﻿using QuickStock.Model;
using Microsoft.VisualStudio.TestTools.UnitTesting;
using Microsoft.VisualStudio.TestTools.UnitTesting.Web;
using System.Data.Linq;

namespace TestProject1
{
    
    
    /// <summary>
    ///Classe di test per ALIQUOTA_IVATest.
    ///Creata per contenere tutti gli unit test ALIQUOTA_IVATest
    ///</summary>
    [TestClass()]
    public class ALIQUOTA_IVATest
    {


        private TestContext testContextInstance;

        /// <summary>
        ///Ottiene o imposta il contesto dei test, che fornisce
        ///funzionalità e informazioni sull'esecuzione dei test corrente.
        ///</summary>
        public TestContext TestContext
        {
            get
            {
                return testContextInstance;
            }
            set
            {
                testContextInstance = value;
            }
        }

        #region Attributi di test aggiuntivi
        // 
        //Durante la scrittura dei test è possibile utilizzare i seguenti attributi aggiuntivi:
        //
        //Utilizzare ClassInitialize per eseguire il codice prima di eseguire il primo test della classe
        //[ClassInitialize()]
        //public static void MyClassInitialize(TestContext testContext)
        //{
        //}
        //
        //Utilizzare ClassCleanup per eseguire il codice dopo l'esecuzione di tutti i test di una classe
        //[ClassCleanup()]
        //public static void MyClassCleanup()
        //{
        //}
        //
        //Utilizzare TestInitialize per eseguire il codice prima di eseguire ciascun test
        //
        //[TestInitialize()]
        //public void MyTestInitialize()
        //{
        //}
        //Utilizzare TestCleanup per eseguire il codice dopo l'esecuzione di ciascun test
        //[TestCleanup()]
        //public void MyTestCleanup()
        //{
        //}
        //
        #endregion


        /// <summary>
        ///Test per FORNITORE
        ///</summary>
        // TODO: assicurarsi che l'attributo UrlToTest specifichi l'URL di una pagina ASP.NET (ad esempio,
        // http://.../Default.aspx). La specifica è necessaria per l'esecuzione dello unit test sul server Web
        // per il test di una pagina, un servizio Web o WCF.
        [TestMethod()]
        [HostType("ASP.NET")]
        [AspNetDevelopmentServerHost("C:\\sv\\dotNet\\QuickStock", "/")]
        [UrlToTest("http://localhost:2275/")]
        public void FORNITORETest()
        {
            ALIQUOTA_IVA target = new ALIQUOTA_IVA(); // TODO: Eseguire l'inizializzazione a un valore appropriato
            EntitySet<FORNITORE> expected = null; // TODO: Eseguire l'inizializzazione a un valore appropriato
            EntitySet<FORNITORE> actual;
            target.FORNITORE = expected;
            actual = target.FORNITORE;
            Assert.AreEqual(expected, actual);
            Assert.Inconclusive("Verificare la correttezza del metodo di test.");
        }

        /// <summary>
        ///Test per CODICE_ALIQUOTA
        ///</summary>
        // TODO: assicurarsi che l'attributo UrlToTest specifichi l'URL di una pagina ASP.NET (ad esempio,
        // http://.../Default.aspx). La specifica è necessaria per l'esecuzione dello unit test sul server Web
        // per il test di una pagina, un servizio Web o WCF.
        [TestMethod()]
        [HostType("ASP.NET")]
        [AspNetDevelopmentServerHost("C:\\sv\\dotNet\\QuickStock", "/")]
        [UrlToTest("http://localhost:2275/")]
        public void CODICE_ALIQUOTATest()
        {
            ALIQUOTA_IVA target = new ALIQUOTA_IVA(); // TODO: Eseguire l'inizializzazione a un valore appropriato
            string expected = string.Empty; // TODO: Eseguire l'inizializzazione a un valore appropriato
            string actual;
            target.CODICE_ALIQUOTA = expected;
            actual = target.CODICE_ALIQUOTA;
            Assert.AreEqual(expected, actual);
            Assert.Inconclusive("Verificare la correttezza del metodo di test.");
        }

        /// <summary>
        ///Test per CLIENTE
        ///</summary>
        // TODO: assicurarsi che l'attributo UrlToTest specifichi l'URL di una pagina ASP.NET (ad esempio,
        // http://.../Default.aspx). La specifica è necessaria per l'esecuzione dello unit test sul server Web
        // per il test di una pagina, un servizio Web o WCF.
        [TestMethod()]
        [HostType("ASP.NET")]
        [AspNetDevelopmentServerHost("C:\\sv\\dotNet\\QuickStock", "/")]
        [UrlToTest("http://localhost:2275/")]
        public void CLIENTETest()
        {
            ALIQUOTA_IVA target = new ALIQUOTA_IVA(); // TODO: Eseguire l'inizializzazione a un valore appropriato
            EntitySet<CLIENTE> expected = null; // TODO: Eseguire l'inizializzazione a un valore appropriato
            EntitySet<CLIENTE> actual;
            target.CLIENTE = expected;
            actual = target.CLIENTE;
            Assert.AreEqual(expected, actual);
            Assert.Inconclusive("Verificare la correttezza del metodo di test.");
        }

        /// <summary>
        ///Test per ALIQUOTA
        ///</summary>
        // TODO: assicurarsi che l'attributo UrlToTest specifichi l'URL di una pagina ASP.NET (ad esempio,
        // http://.../Default.aspx). La specifica è necessaria per l'esecuzione dello unit test sul server Web
        // per il test di una pagina, un servizio Web o WCF.
        [TestMethod()]
        [HostType("ASP.NET")]
        [AspNetDevelopmentServerHost("C:\\sv\\dotNet\\QuickStock", "/")]
        [UrlToTest("http://localhost:2275/")]
        public void ALIQUOTATest()
        {
            ALIQUOTA_IVA target = new ALIQUOTA_IVA(); // TODO: Eseguire l'inizializzazione a un valore appropriato
            int expected = 0; // TODO: Eseguire l'inizializzazione a un valore appropriato
            int actual;
            target.ALIQUOTA = expected;
            actual = target.ALIQUOTA;
            Assert.AreEqual(expected, actual);
            Assert.Inconclusive("Verificare la correttezza del metodo di test.");
        }

        /// <summary>
        ///Test per SendPropertyChanging
        ///</summary>
        // TODO: assicurarsi che l'attributo UrlToTest specifichi l'URL di una pagina ASP.NET (ad esempio,
        // http://.../Default.aspx). La specifica è necessaria per l'esecuzione dello unit test sul server Web
        // per il test di una pagina, un servizio Web o WCF.
        [TestMethod()]
        [HostType("ASP.NET")]
        [AspNetDevelopmentServerHost("C:\\sv\\dotNet\\QuickStock", "/")]
        [UrlToTest("http://localhost:2275/")]
        [DeploymentItem("QuickStock.dll")]
        public void SendPropertyChangingTest()
        {
            ALIQUOTA_IVA_Accessor target = new ALIQUOTA_IVA_Accessor(); // TODO: Eseguire l'inizializzazione a un valore appropriato
            target.SendPropertyChanging();
            Assert.Inconclusive("Impossibile verificare un metodo che non restituisce valori.");
        }

        /// <summary>
        ///Test per SendPropertyChanged
        ///</summary>
        // TODO: assicurarsi che l'attributo UrlToTest specifichi l'URL di una pagina ASP.NET (ad esempio,
        // http://.../Default.aspx). La specifica è necessaria per l'esecuzione dello unit test sul server Web
        // per il test di una pagina, un servizio Web o WCF.
        [TestMethod()]
        [HostType("ASP.NET")]
        [AspNetDevelopmentServerHost("C:\\sv\\dotNet\\QuickStock", "/")]
        [UrlToTest("http://localhost:2275/")]
        [DeploymentItem("QuickStock.dll")]
        public void SendPropertyChangedTest()
        {
            ALIQUOTA_IVA_Accessor target = new ALIQUOTA_IVA_Accessor(); // TODO: Eseguire l'inizializzazione a un valore appropriato
            string propertyName = string.Empty; // TODO: Eseguire l'inizializzazione a un valore appropriato
            target.SendPropertyChanged(propertyName);
            Assert.Inconclusive("Impossibile verificare un metodo che non restituisce valori.");
        }

        /// <summary>
        ///Test per detach_FORNITORE
        ///</summary>
        // TODO: assicurarsi che l'attributo UrlToTest specifichi l'URL di una pagina ASP.NET (ad esempio,
        // http://.../Default.aspx). La specifica è necessaria per l'esecuzione dello unit test sul server Web
        // per il test di una pagina, un servizio Web o WCF.
        [TestMethod()]
        [HostType("ASP.NET")]
        [AspNetDevelopmentServerHost("C:\\sv\\dotNet\\QuickStock", "/")]
        [UrlToTest("http://localhost:2275/")]
        [DeploymentItem("QuickStock.dll")]
        public void detach_FORNITORETest()
        {
            ALIQUOTA_IVA_Accessor target = new ALIQUOTA_IVA_Accessor(); // TODO: Eseguire l'inizializzazione a un valore appropriato
            FORNITORE entity = null; // TODO: Eseguire l'inizializzazione a un valore appropriato
            target.detach_FORNITORE(entity);
            Assert.Inconclusive("Impossibile verificare un metodo che non restituisce valori.");
        }

        /// <summary>
        ///Test per detach_CLIENTE
        ///</summary>
        // TODO: assicurarsi che l'attributo UrlToTest specifichi l'URL di una pagina ASP.NET (ad esempio,
        // http://.../Default.aspx). La specifica è necessaria per l'esecuzione dello unit test sul server Web
        // per il test di una pagina, un servizio Web o WCF.
        [TestMethod()]
        [HostType("ASP.NET")]
        [AspNetDevelopmentServerHost("C:\\sv\\dotNet\\QuickStock", "/")]
        [UrlToTest("http://localhost:2275/")]
        [DeploymentItem("QuickStock.dll")]
        public void detach_CLIENTETest()
        {
            ALIQUOTA_IVA_Accessor target = new ALIQUOTA_IVA_Accessor(); // TODO: Eseguire l'inizializzazione a un valore appropriato
            CLIENTE entity = null; // TODO: Eseguire l'inizializzazione a un valore appropriato
            target.detach_CLIENTE(entity);
            Assert.Inconclusive("Impossibile verificare un metodo che non restituisce valori.");
        }

        /// <summary>
        ///Test per attach_FORNITORE
        ///</summary>
        // TODO: assicurarsi che l'attributo UrlToTest specifichi l'URL di una pagina ASP.NET (ad esempio,
        // http://.../Default.aspx). La specifica è necessaria per l'esecuzione dello unit test sul server Web
        // per il test di una pagina, un servizio Web o WCF.
        [TestMethod()]
        [HostType("ASP.NET")]
        [AspNetDevelopmentServerHost("C:\\sv\\dotNet\\QuickStock", "/")]
        [UrlToTest("http://localhost:2275/")]
        [DeploymentItem("QuickStock.dll")]
        public void attach_FORNITORETest()
        {
            ALIQUOTA_IVA_Accessor target = new ALIQUOTA_IVA_Accessor(); // TODO: Eseguire l'inizializzazione a un valore appropriato
            FORNITORE entity = null; // TODO: Eseguire l'inizializzazione a un valore appropriato
            target.attach_FORNITORE(entity);
            Assert.Inconclusive("Impossibile verificare un metodo che non restituisce valori.");
        }

        /// <summary>
        ///Test per attach_CLIENTE
        ///</summary>
        // TODO: assicurarsi che l'attributo UrlToTest specifichi l'URL di una pagina ASP.NET (ad esempio,
        // http://.../Default.aspx). La specifica è necessaria per l'esecuzione dello unit test sul server Web
        // per il test di una pagina, un servizio Web o WCF.
        [TestMethod()]
        [HostType("ASP.NET")]
        [AspNetDevelopmentServerHost("C:\\sv\\dotNet\\QuickStock", "/")]
        [UrlToTest("http://localhost:2275/")]
        [DeploymentItem("QuickStock.dll")]
        public void attach_CLIENTETest()
        {
            ALIQUOTA_IVA_Accessor target = new ALIQUOTA_IVA_Accessor(); // TODO: Eseguire l'inizializzazione a un valore appropriato
            CLIENTE entity = null; // TODO: Eseguire l'inizializzazione a un valore appropriato
            target.attach_CLIENTE(entity);
            Assert.Inconclusive("Impossibile verificare un metodo che non restituisce valori.");
        }

        /// <summary>
        ///Test per Costruttore ALIQUOTA_IVA
        ///</summary>
        // TODO: assicurarsi che l'attributo UrlToTest specifichi l'URL di una pagina ASP.NET (ad esempio,
        // http://.../Default.aspx). La specifica è necessaria per l'esecuzione dello unit test sul server Web
        // per il test di una pagina, un servizio Web o WCF.
        [TestMethod()]
        [HostType("ASP.NET")]
        [AspNetDevelopmentServerHost("C:\\sv\\dotNet\\QuickStock", "/")]
        [UrlToTest("http://localhost:2275/")]
        public void ALIQUOTA_IVAConstructorTest()
        {
            ALIQUOTA_IVA target = new ALIQUOTA_IVA();
            Assert.Inconclusive("TODO: Implementare il codice per la verifica della destinazione");
        }
    }
}
