﻿using QuickStock;
using Microsoft.VisualStudio.TestTools.UnitTesting;
using Microsoft.VisualStudio.TestTools.UnitTesting.Web;
using System.Web.DynamicData;
using System.Linq;

namespace TestProject1
{
    
    
    /// <summary>
    ///Classe di test per AutocompleteFilterServiceTest.
    ///Creata per contenere tutti gli unit test AutocompleteFilterServiceTest
    ///</summary>
    [TestClass()]
    public class AutocompleteFilterServiceTest
    {


        private TestContext testContextInstance;

        /// <summary>
        ///Ottiene o imposta il contesto dei test, che fornisce
        ///funzionalità e informazioni sull'esecuzione dei test corrente.
        ///</summary>
        public TestContext TestContext
        {
            get
            {
                return testContextInstance;
            }
            set
            {
                testContextInstance = value;
            }
        }

        #region Attributi di test aggiuntivi
        // 
        //Durante la scrittura dei test è possibile utilizzare i seguenti attributi aggiuntivi:
        //
        //Utilizzare ClassInitialize per eseguire il codice prima di eseguire il primo test della classe
        //[ClassInitialize()]
        //public static void MyClassInitialize(TestContext testContext)
        //{
        //}
        //
        //Utilizzare ClassCleanup per eseguire il codice dopo l'esecuzione di tutti i test di una classe
        //[ClassCleanup()]
        //public static void MyClassCleanup()
        //{
        //}
        //
        //Utilizzare TestInitialize per eseguire il codice prima di eseguire ciascun test
        //
        //[TestInitialize()]
        //public void MyTestInitialize()
        //{
        //}
        //Utilizzare TestCleanup per eseguire il codice dopo l'esecuzione di ciascun test
        //[TestCleanup()]
        //public void MyTestCleanup()
        //{
        //}
        //
        #endregion


        /// <summary>
        ///Test per GetTable
        ///</summary>
        // TODO: assicurarsi che l'attributo UrlToTest specifichi l'URL di una pagina ASP.NET (ad esempio,
        // http://.../Default.aspx). La specifica è necessaria per l'esecuzione dello unit test sul server Web
        // per il test di una pagina, un servizio Web o WCF.
        [TestMethod()]
        [HostType("ASP.NET")]
        [AspNetDevelopmentServerHost("C:\\sv\\dotNet\\QuickStock", "/")]
        [UrlToTest("http://localhost:2275/")]
        public void GetTableTest()
        {
            string contextKey = string.Empty; // TODO: Eseguire l'inizializzazione a un valore appropriato
            MetaTable expected = null; // TODO: Eseguire l'inizializzazione a un valore appropriato
            MetaTable actual;
            actual = AutocompleteFilterService.GetTable(contextKey);
            Assert.AreEqual(expected, actual);
            Assert.Inconclusive("Verificare la correttezza del metodo di test.");
        }

        /// <summary>
        ///Test per GetContextKey
        ///</summary>
        // TODO: assicurarsi che l'attributo UrlToTest specifichi l'URL di una pagina ASP.NET (ad esempio,
        // http://.../Default.aspx). La specifica è necessaria per l'esecuzione dello unit test sul server Web
        // per il test di una pagina, un servizio Web o WCF.
        [TestMethod()]
        [HostType("ASP.NET")]
        [AspNetDevelopmentServerHost("C:\\sv\\dotNet\\QuickStock", "/")]
        [UrlToTest("http://localhost:2275/")]
        public void GetContextKeyTest()
        {
            MetaTable parentTable = null; // TODO: Eseguire l'inizializzazione a un valore appropriato
            string expected = string.Empty; // TODO: Eseguire l'inizializzazione a un valore appropriato
            string actual;
            actual = AutocompleteFilterService.GetContextKey(parentTable);
            Assert.AreEqual(expected, actual);
            Assert.Inconclusive("Verificare la correttezza del metodo di test.");
        }

        /// <summary>
        ///Test per GetCompletionList
        ///</summary>
        // TODO: assicurarsi che l'attributo UrlToTest specifichi l'URL di una pagina ASP.NET (ad esempio,
        // http://.../Default.aspx). La specifica è necessaria per l'esecuzione dello unit test sul server Web
        // per il test di una pagina, un servizio Web o WCF.
        [TestMethod()]
        [HostType("ASP.NET")]
        [AspNetDevelopmentServerHost("C:\\sv\\dotNet\\QuickStock", "/")]
        [UrlToTest("http://localhost:2275/")]
        public void GetCompletionListTest()
        {
            AutocompleteFilterService target = new AutocompleteFilterService(); // TODO: Eseguire l'inizializzazione a un valore appropriato
            string prefixText = string.Empty; // TODO: Eseguire l'inizializzazione a un valore appropriato
            int count = 0; // TODO: Eseguire l'inizializzazione a un valore appropriato
            string contextKey = string.Empty; // TODO: Eseguire l'inizializzazione a un valore appropriato
            string[] expected = null; // TODO: Eseguire l'inizializzazione a un valore appropriato
            string[] actual;
            actual = target.GetCompletionList(prefixText, count, contextKey);
            Assert.AreEqual(expected, actual);
            Assert.Inconclusive("Verificare la correttezza del metodo di test.");
        }

        /// <summary>
        ///Test per CreateAutoCompleteItem
        ///</summary>
        // TODO: assicurarsi che l'attributo UrlToTest specifichi l'URL di una pagina ASP.NET (ad esempio,
        // http://.../Default.aspx). La specifica è necessaria per l'esecuzione dello unit test sul server Web
        // per il test di una pagina, un servizio Web o WCF.
        [TestMethod()]
        [HostType("ASP.NET")]
        [AspNetDevelopmentServerHost("C:\\sv\\dotNet\\QuickStock", "/")]
        [UrlToTest("http://localhost:2275/")]
        [DeploymentItem("QuickStock.dll")]
        public void CreateAutoCompleteItemTest()
        {
            MetaTable table = null; // TODO: Eseguire l'inizializzazione a un valore appropriato
            object row = null; // TODO: Eseguire l'inizializzazione a un valore appropriato
            string expected = string.Empty; // TODO: Eseguire l'inizializzazione a un valore appropriato
            string actual;
            actual = AutocompleteFilterService_Accessor.CreateAutoCompleteItem(table, row);
            Assert.AreEqual(expected, actual);
            Assert.Inconclusive("Verificare la correttezza del metodo di test.");
        }

        /// <summary>
        ///Test per BuildFilterQuery
        ///</summary>
        // TODO: assicurarsi che l'attributo UrlToTest specifichi l'URL di una pagina ASP.NET (ad esempio,
        // http://.../Default.aspx). La specifica è necessaria per l'esecuzione dello unit test sul server Web
        // per il test di una pagina, un servizio Web o WCF.
        [TestMethod()]
        [HostType("ASP.NET")]
        [AspNetDevelopmentServerHost("C:\\sv\\dotNet\\QuickStock", "/")]
        [UrlToTest("http://localhost:2275/")]
        [DeploymentItem("QuickStock.dll")]
        public void BuildFilterQueryTest()
        {
            MetaTable table = null; // TODO: Eseguire l'inizializzazione a un valore appropriato
            string prefixText = string.Empty; // TODO: Eseguire l'inizializzazione a un valore appropriato
            int maxCount = 0; // TODO: Eseguire l'inizializzazione a un valore appropriato
            IQueryable expected = null; // TODO: Eseguire l'inizializzazione a un valore appropriato
            IQueryable actual;
            actual = AutocompleteFilterService_Accessor.BuildFilterQuery(table, prefixText, maxCount);
            Assert.AreEqual(expected, actual);
            Assert.Inconclusive("Verificare la correttezza del metodo di test.");
        }

        /// <summary>
        ///Test per Costruttore AutocompleteFilterService
        ///</summary>
        // TODO: assicurarsi che l'attributo UrlToTest specifichi l'URL di una pagina ASP.NET (ad esempio,
        // http://.../Default.aspx). La specifica è necessaria per l'esecuzione dello unit test sul server Web
        // per il test di una pagina, un servizio Web o WCF.
        [TestMethod()]
        [HostType("ASP.NET")]
        [AspNetDevelopmentServerHost("C:\\sv\\dotNet\\QuickStock", "/")]
        [UrlToTest("http://localhost:2275/")]
        public void AutocompleteFilterServiceConstructorTest()
        {
            AutocompleteFilterService target = new AutocompleteFilterService();
            Assert.Inconclusive("TODO: Implementare il codice per la verifica della destinazione");
        }
    }
}
