﻿using QuickStock.Model;
using Microsoft.VisualStudio.TestTools.UnitTesting;
using Microsoft.VisualStudio.TestTools.UnitTesting.Web;
using System.Data.Linq;

namespace TestProject1
{
    
    
    /// <summary>
    ///Classe di test per CLIENTETest.
    ///Creata per contenere tutti gli unit test CLIENTETest
    ///</summary>
    [TestClass()]
    public class CLIENTETest
    {


        private TestContext testContextInstance;

        /// <summary>
        ///Ottiene o imposta il contesto dei test, che fornisce
        ///funzionalità e informazioni sull'esecuzione dei test corrente.
        ///</summary>
        public TestContext TestContext
        {
            get
            {
                return testContextInstance;
            }
            set
            {
                testContextInstance = value;
            }
        }

        #region Attributi di test aggiuntivi
        // 
        //Durante la scrittura dei test è possibile utilizzare i seguenti attributi aggiuntivi:
        //
        //Utilizzare ClassInitialize per eseguire il codice prima di eseguire il primo test della classe
        //[ClassInitialize()]
        //public static void MyClassInitialize(TestContext testContext)
        //{
        //}
        //
        //Utilizzare ClassCleanup per eseguire il codice dopo l'esecuzione di tutti i test di una classe
        //[ClassCleanup()]
        //public static void MyClassCleanup()
        //{
        //}
        //
        //Utilizzare TestInitialize per eseguire il codice prima di eseguire ciascun test
        //
        //[TestInitialize()]
        //public void MyTestInitialize()
        //{
        //}
        //Utilizzare TestCleanup per eseguire il codice dopo l'esecuzione di ciascun test
        //[TestCleanup()]
        //public void MyTestCleanup()
        //{
        //}
        //
        #endregion


        /// <summary>
        ///Test per TEL_CLIENTE
        ///</summary>
        // TODO: assicurarsi che l'attributo UrlToTest specifichi l'URL di una pagina ASP.NET (ad esempio,
        // http://.../Default.aspx). La specifica è necessaria per l'esecuzione dello unit test sul server Web
        // per il test di una pagina, un servizio Web o WCF.
        [TestMethod()]
        [HostType("ASP.NET")]
        [AspNetDevelopmentServerHost("C:\\sv\\dotNet\\QuickStock", "/")]
        [UrlToTest("http://localhost:2275/")]
        public void TEL_CLIENTETest()
        {
            CLIENTE target = new CLIENTE(); // TODO: Eseguire l'inizializzazione a un valore appropriato
            string expected = string.Empty; // TODO: Eseguire l'inizializzazione a un valore appropriato
            string actual;
            target.TEL_CLIENTE = expected;
            actual = target.TEL_CLIENTE;
            Assert.AreEqual(expected, actual);
            Assert.Inconclusive("Verificare la correttezza del metodo di test.");
        }

        /// <summary>
        ///Test per RAGIONE_SOCIALE_CLIENTE
        ///</summary>
        // TODO: assicurarsi che l'attributo UrlToTest specifichi l'URL di una pagina ASP.NET (ad esempio,
        // http://.../Default.aspx). La specifica è necessaria per l'esecuzione dello unit test sul server Web
        // per il test di una pagina, un servizio Web o WCF.
        [TestMethod()]
        [HostType("ASP.NET")]
        [AspNetDevelopmentServerHost("C:\\sv\\dotNet\\QuickStock", "/")]
        [UrlToTest("http://localhost:2275/")]
        public void RAGIONE_SOCIALE_CLIENTETest()
        {
            CLIENTE target = new CLIENTE(); // TODO: Eseguire l'inizializzazione a un valore appropriato
            string expected = string.Empty; // TODO: Eseguire l'inizializzazione a un valore appropriato
            string actual;
            target.RAGIONE_SOCIALE_CLIENTE = expected;
            actual = target.RAGIONE_SOCIALE_CLIENTE;
            Assert.AreEqual(expected, actual);
            Assert.Inconclusive("Verificare la correttezza del metodo di test.");
        }

        /// <summary>
        ///Test per PR_CLIENTE
        ///</summary>
        // TODO: assicurarsi che l'attributo UrlToTest specifichi l'URL di una pagina ASP.NET (ad esempio,
        // http://.../Default.aspx). La specifica è necessaria per l'esecuzione dello unit test sul server Web
        // per il test di una pagina, un servizio Web o WCF.
        [TestMethod()]
        [HostType("ASP.NET")]
        [AspNetDevelopmentServerHost("C:\\sv\\dotNet\\QuickStock", "/")]
        [UrlToTest("http://localhost:2275/")]
        public void PR_CLIENTETest()
        {
            CLIENTE target = new CLIENTE(); // TODO: Eseguire l'inizializzazione a un valore appropriato
            string expected = string.Empty; // TODO: Eseguire l'inizializzazione a un valore appropriato
            string actual;
            target.PR_CLIENTE = expected;
            actual = target.PR_CLIENTE;
            Assert.AreEqual(expected, actual);
            Assert.Inconclusive("Verificare la correttezza del metodo di test.");
        }

        /// <summary>
        ///Test per PI_CLIENTE
        ///</summary>
        // TODO: assicurarsi che l'attributo UrlToTest specifichi l'URL di una pagina ASP.NET (ad esempio,
        // http://.../Default.aspx). La specifica è necessaria per l'esecuzione dello unit test sul server Web
        // per il test di una pagina, un servizio Web o WCF.
        [TestMethod()]
        [HostType("ASP.NET")]
        [AspNetDevelopmentServerHost("C:\\sv\\dotNet\\QuickStock", "/")]
        [UrlToTest("http://localhost:2275/")]
        public void PI_CLIENTETest()
        {
            CLIENTE target = new CLIENTE(); // TODO: Eseguire l'inizializzazione a un valore appropriato
            string expected = string.Empty; // TODO: Eseguire l'inizializzazione a un valore appropriato
            string actual;
            target.PI_CLIENTE = expected;
            actual = target.PI_CLIENTE;
            Assert.AreEqual(expected, actual);
            Assert.Inconclusive("Verificare la correttezza del metodo di test.");
        }

        /// <summary>
        ///Test per ORDINE_CLIENTE
        ///</summary>
        // TODO: assicurarsi che l'attributo UrlToTest specifichi l'URL di una pagina ASP.NET (ad esempio,
        // http://.../Default.aspx). La specifica è necessaria per l'esecuzione dello unit test sul server Web
        // per il test di una pagina, un servizio Web o WCF.
        [TestMethod()]
        [HostType("ASP.NET")]
        [AspNetDevelopmentServerHost("C:\\sv\\dotNet\\QuickStock", "/")]
        [UrlToTest("http://localhost:2275/")]
        public void ORDINE_CLIENTETest()
        {
            CLIENTE target = new CLIENTE(); // TODO: Eseguire l'inizializzazione a un valore appropriato
            EntitySet<ORDINE_CLIENTE> expected = null; // TODO: Eseguire l'inizializzazione a un valore appropriato
            EntitySet<ORDINE_CLIENTE> actual;
            target.ORDINE_CLIENTE = expected;
            actual = target.ORDINE_CLIENTE;
            Assert.AreEqual(expected, actual);
            Assert.Inconclusive("Verificare la correttezza del metodo di test.");
        }

        /// <summary>
        ///Test per NOTE_CLIENTE
        ///</summary>
        // TODO: assicurarsi che l'attributo UrlToTest specifichi l'URL di una pagina ASP.NET (ad esempio,
        // http://.../Default.aspx). La specifica è necessaria per l'esecuzione dello unit test sul server Web
        // per il test di una pagina, un servizio Web o WCF.
        [TestMethod()]
        [HostType("ASP.NET")]
        [AspNetDevelopmentServerHost("C:\\sv\\dotNet\\QuickStock", "/")]
        [UrlToTest("http://localhost:2275/")]
        public void NOTE_CLIENTETest()
        {
            CLIENTE target = new CLIENTE(); // TODO: Eseguire l'inizializzazione a un valore appropriato
            string expected = string.Empty; // TODO: Eseguire l'inizializzazione a un valore appropriato
            string actual;
            target.NOTE_CLIENTE = expected;
            actual = target.NOTE_CLIENTE;
            Assert.AreEqual(expected, actual);
            Assert.Inconclusive("Verificare la correttezza del metodo di test.");
        }

        /// <summary>
        ///Test per INDIRIZZO_CLIENTE
        ///</summary>
        // TODO: assicurarsi che l'attributo UrlToTest specifichi l'URL di una pagina ASP.NET (ad esempio,
        // http://.../Default.aspx). La specifica è necessaria per l'esecuzione dello unit test sul server Web
        // per il test di una pagina, un servizio Web o WCF.
        [TestMethod()]
        [HostType("ASP.NET")]
        [AspNetDevelopmentServerHost("C:\\sv\\dotNet\\QuickStock", "/")]
        [UrlToTest("http://localhost:2275/")]
        public void INDIRIZZO_CLIENTETest()
        {
            CLIENTE target = new CLIENTE(); // TODO: Eseguire l'inizializzazione a un valore appropriato
            string expected = string.Empty; // TODO: Eseguire l'inizializzazione a un valore appropriato
            string actual;
            target.INDIRIZZO_CLIENTE = expected;
            actual = target.INDIRIZZO_CLIENTE;
            Assert.AreEqual(expected, actual);
            Assert.Inconclusive("Verificare la correttezza del metodo di test.");
        }

        /// <summary>
        ///Test per ID_CLIENTE
        ///</summary>
        // TODO: assicurarsi che l'attributo UrlToTest specifichi l'URL di una pagina ASP.NET (ad esempio,
        // http://.../Default.aspx). La specifica è necessaria per l'esecuzione dello unit test sul server Web
        // per il test di una pagina, un servizio Web o WCF.
        [TestMethod()]
        [HostType("ASP.NET")]
        [AspNetDevelopmentServerHost("C:\\sv\\dotNet\\QuickStock", "/")]
        [UrlToTest("http://localhost:2275/")]
        public void ID_CLIENTETest()
        {
            CLIENTE target = new CLIENTE(); // TODO: Eseguire l'inizializzazione a un valore appropriato
            int expected = 0; // TODO: Eseguire l'inizializzazione a un valore appropriato
            int actual;
            target.ID_CLIENTE = expected;
            actual = target.ID_CLIENTE;
            Assert.AreEqual(expected, actual);
            Assert.Inconclusive("Verificare la correttezza del metodo di test.");
        }

        /// <summary>
        ///Test per FAX_CLIENTE
        ///</summary>
        // TODO: assicurarsi che l'attributo UrlToTest specifichi l'URL di una pagina ASP.NET (ad esempio,
        // http://.../Default.aspx). La specifica è necessaria per l'esecuzione dello unit test sul server Web
        // per il test di una pagina, un servizio Web o WCF.
        [TestMethod()]
        [HostType("ASP.NET")]
        [AspNetDevelopmentServerHost("C:\\sv\\dotNet\\QuickStock", "/")]
        [UrlToTest("http://localhost:2275/")]
        public void FAX_CLIENTETest()
        {
            CLIENTE target = new CLIENTE(); // TODO: Eseguire l'inizializzazione a un valore appropriato
            string expected = string.Empty; // TODO: Eseguire l'inizializzazione a un valore appropriato
            string actual;
            target.FAX_CLIENTE = expected;
            actual = target.FAX_CLIENTE;
            Assert.AreEqual(expected, actual);
            Assert.Inconclusive("Verificare la correttezza del metodo di test.");
        }

        /// <summary>
        ///Test per EMAIL_CLIENTE
        ///</summary>
        // TODO: assicurarsi che l'attributo UrlToTest specifichi l'URL di una pagina ASP.NET (ad esempio,
        // http://.../Default.aspx). La specifica è necessaria per l'esecuzione dello unit test sul server Web
        // per il test di una pagina, un servizio Web o WCF.
        [TestMethod()]
        [HostType("ASP.NET")]
        [AspNetDevelopmentServerHost("C:\\sv\\dotNet\\QuickStock", "/")]
        [UrlToTest("http://localhost:2275/")]
        public void EMAIL_CLIENTETest()
        {
            CLIENTE target = new CLIENTE(); // TODO: Eseguire l'inizializzazione a un valore appropriato
            string expected = string.Empty; // TODO: Eseguire l'inizializzazione a un valore appropriato
            string actual;
            target.EMAIL_CLIENTE = expected;
            actual = target.EMAIL_CLIENTE;
            Assert.AreEqual(expected, actual);
            Assert.Inconclusive("Verificare la correttezza del metodo di test.");
        }

        /// <summary>
        ///Test per COMUNE_CLIENTE
        ///</summary>
        // TODO: assicurarsi che l'attributo UrlToTest specifichi l'URL di una pagina ASP.NET (ad esempio,
        // http://.../Default.aspx). La specifica è necessaria per l'esecuzione dello unit test sul server Web
        // per il test di una pagina, un servizio Web o WCF.
        [TestMethod()]
        [HostType("ASP.NET")]
        [AspNetDevelopmentServerHost("C:\\sv\\dotNet\\QuickStock", "/")]
        [UrlToTest("http://localhost:2275/")]
        public void COMUNE_CLIENTETest()
        {
            CLIENTE target = new CLIENTE(); // TODO: Eseguire l'inizializzazione a un valore appropriato
            string expected = string.Empty; // TODO: Eseguire l'inizializzazione a un valore appropriato
            string actual;
            target.COMUNE_CLIENTE = expected;
            actual = target.COMUNE_CLIENTE;
            Assert.AreEqual(expected, actual);
            Assert.Inconclusive("Verificare la correttezza del metodo di test.");
        }

        /// <summary>
        ///Test per CODICE_CLIENTE
        ///</summary>
        // TODO: assicurarsi che l'attributo UrlToTest specifichi l'URL di una pagina ASP.NET (ad esempio,
        // http://.../Default.aspx). La specifica è necessaria per l'esecuzione dello unit test sul server Web
        // per il test di una pagina, un servizio Web o WCF.
        [TestMethod()]
        [HostType("ASP.NET")]
        [AspNetDevelopmentServerHost("C:\\sv\\dotNet\\QuickStock", "/")]
        [UrlToTest("http://localhost:2275/")]
        public void CODICE_CLIENTETest()
        {
            CLIENTE target = new CLIENTE(); // TODO: Eseguire l'inizializzazione a un valore appropriato
            string expected = string.Empty; // TODO: Eseguire l'inizializzazione a un valore appropriato
            string actual;
            target.CODICE_CLIENTE = expected;
            actual = target.CODICE_CLIENTE;
            Assert.AreEqual(expected, actual);
            Assert.Inconclusive("Verificare la correttezza del metodo di test.");
        }

        /// <summary>
        ///Test per CODICE_ALIQUOTA_IVA_CLIENTE
        ///</summary>
        // TODO: assicurarsi che l'attributo UrlToTest specifichi l'URL di una pagina ASP.NET (ad esempio,
        // http://.../Default.aspx). La specifica è necessaria per l'esecuzione dello unit test sul server Web
        // per il test di una pagina, un servizio Web o WCF.
        [TestMethod()]
        [HostType("ASP.NET")]
        [AspNetDevelopmentServerHost("C:\\sv\\dotNet\\QuickStock", "/")]
        [UrlToTest("http://localhost:2275/")]
        public void CODICE_ALIQUOTA_IVA_CLIENTETest()
        {
            CLIENTE target = new CLIENTE(); // TODO: Eseguire l'inizializzazione a un valore appropriato
            string expected = string.Empty; // TODO: Eseguire l'inizializzazione a un valore appropriato
            string actual;
            target.CODICE_ALIQUOTA_IVA_CLIENTE = expected;
            actual = target.CODICE_ALIQUOTA_IVA_CLIENTE;
            Assert.AreEqual(expected, actual);
            Assert.Inconclusive("Verificare la correttezza del metodo di test.");
        }

        /// <summary>
        ///Test per CF_CLIENTE
        ///</summary>
        // TODO: assicurarsi che l'attributo UrlToTest specifichi l'URL di una pagina ASP.NET (ad esempio,
        // http://.../Default.aspx). La specifica è necessaria per l'esecuzione dello unit test sul server Web
        // per il test di una pagina, un servizio Web o WCF.
        [TestMethod()]
        [HostType("ASP.NET")]
        [AspNetDevelopmentServerHost("C:\\sv\\dotNet\\QuickStock", "/")]
        [UrlToTest("http://localhost:2275/")]
        public void CF_CLIENTETest()
        {
            CLIENTE target = new CLIENTE(); // TODO: Eseguire l'inizializzazione a un valore appropriato
            string expected = string.Empty; // TODO: Eseguire l'inizializzazione a un valore appropriato
            string actual;
            target.CF_CLIENTE = expected;
            actual = target.CF_CLIENTE;
            Assert.AreEqual(expected, actual);
            Assert.Inconclusive("Verificare la correttezza del metodo di test.");
        }

        /// <summary>
        ///Test per CAAP_CLIENTE
        ///</summary>
        // TODO: assicurarsi che l'attributo UrlToTest specifichi l'URL di una pagina ASP.NET (ad esempio,
        // http://.../Default.aspx). La specifica è necessaria per l'esecuzione dello unit test sul server Web
        // per il test di una pagina, un servizio Web o WCF.
        [TestMethod()]
        [HostType("ASP.NET")]
        [AspNetDevelopmentServerHost("C:\\sv\\dotNet\\QuickStock", "/")]
        [UrlToTest("http://localhost:2275/")]
        public void CAAP_CLIENTETest()
        {
            CLIENTE target = new CLIENTE(); // TODO: Eseguire l'inizializzazione a un valore appropriato
            string expected = string.Empty; // TODO: Eseguire l'inizializzazione a un valore appropriato
            string actual;
            target.CAAP_CLIENTE = expected;
            actual = target.CAAP_CLIENTE;
            Assert.AreEqual(expected, actual);
            Assert.Inconclusive("Verificare la correttezza del metodo di test.");
        }

        /// <summary>
        ///Test per ALIQUOTA_IVA
        ///</summary>
        // TODO: assicurarsi che l'attributo UrlToTest specifichi l'URL di una pagina ASP.NET (ad esempio,
        // http://.../Default.aspx). La specifica è necessaria per l'esecuzione dello unit test sul server Web
        // per il test di una pagina, un servizio Web o WCF.
        [TestMethod()]
        [HostType("ASP.NET")]
        [AspNetDevelopmentServerHost("C:\\sv\\dotNet\\QuickStock", "/")]
        [UrlToTest("http://localhost:2275/")]
        public void ALIQUOTA_IVATest()
        {
            CLIENTE target = new CLIENTE(); // TODO: Eseguire l'inizializzazione a un valore appropriato
            ALIQUOTA_IVA expected = null; // TODO: Eseguire l'inizializzazione a un valore appropriato
            ALIQUOTA_IVA actual;
            target.ALIQUOTA_IVA = expected;
            actual = target.ALIQUOTA_IVA;
            Assert.AreEqual(expected, actual);
            Assert.Inconclusive("Verificare la correttezza del metodo di test.");
        }

        /// <summary>
        ///Test per SendPropertyChanging
        ///</summary>
        // TODO: assicurarsi che l'attributo UrlToTest specifichi l'URL di una pagina ASP.NET (ad esempio,
        // http://.../Default.aspx). La specifica è necessaria per l'esecuzione dello unit test sul server Web
        // per il test di una pagina, un servizio Web o WCF.
        [TestMethod()]
        [HostType("ASP.NET")]
        [AspNetDevelopmentServerHost("C:\\sv\\dotNet\\QuickStock", "/")]
        [UrlToTest("http://localhost:2275/")]
        [DeploymentItem("QuickStock.dll")]
        public void SendPropertyChangingTest()
        {
            CLIENTE_Accessor target = new CLIENTE_Accessor(); // TODO: Eseguire l'inizializzazione a un valore appropriato
            target.SendPropertyChanging();
            Assert.Inconclusive("Impossibile verificare un metodo che non restituisce valori.");
        }

        /// <summary>
        ///Test per SendPropertyChanged
        ///</summary>
        // TODO: assicurarsi che l'attributo UrlToTest specifichi l'URL di una pagina ASP.NET (ad esempio,
        // http://.../Default.aspx). La specifica è necessaria per l'esecuzione dello unit test sul server Web
        // per il test di una pagina, un servizio Web o WCF.
        [TestMethod()]
        [HostType("ASP.NET")]
        [AspNetDevelopmentServerHost("C:\\sv\\dotNet\\QuickStock", "/")]
        [UrlToTest("http://localhost:2275/")]
        [DeploymentItem("QuickStock.dll")]
        public void SendPropertyChangedTest()
        {
            CLIENTE_Accessor target = new CLIENTE_Accessor(); // TODO: Eseguire l'inizializzazione a un valore appropriato
            string propertyName = string.Empty; // TODO: Eseguire l'inizializzazione a un valore appropriato
            target.SendPropertyChanged(propertyName);
            Assert.Inconclusive("Impossibile verificare un metodo che non restituisce valori.");
        }

        /// <summary>
        ///Test per detach_ORDINE_CLIENTE
        ///</summary>
        // TODO: assicurarsi che l'attributo UrlToTest specifichi l'URL di una pagina ASP.NET (ad esempio,
        // http://.../Default.aspx). La specifica è necessaria per l'esecuzione dello unit test sul server Web
        // per il test di una pagina, un servizio Web o WCF.
        [TestMethod()]
        [HostType("ASP.NET")]
        [AspNetDevelopmentServerHost("C:\\sv\\dotNet\\QuickStock", "/")]
        [UrlToTest("http://localhost:2275/")]
        [DeploymentItem("QuickStock.dll")]
        public void detach_ORDINE_CLIENTETest()
        {
            CLIENTE_Accessor target = new CLIENTE_Accessor(); // TODO: Eseguire l'inizializzazione a un valore appropriato
            ORDINE_CLIENTE entity = null; // TODO: Eseguire l'inizializzazione a un valore appropriato
            target.detach_ORDINE_CLIENTE(entity);
            Assert.Inconclusive("Impossibile verificare un metodo che non restituisce valori.");
        }

        /// <summary>
        ///Test per attach_ORDINE_CLIENTE
        ///</summary>
        // TODO: assicurarsi che l'attributo UrlToTest specifichi l'URL di una pagina ASP.NET (ad esempio,
        // http://.../Default.aspx). La specifica è necessaria per l'esecuzione dello unit test sul server Web
        // per il test di una pagina, un servizio Web o WCF.
        [TestMethod()]
        [HostType("ASP.NET")]
        [AspNetDevelopmentServerHost("C:\\sv\\dotNet\\QuickStock", "/")]
        [UrlToTest("http://localhost:2275/")]
        [DeploymentItem("QuickStock.dll")]
        public void attach_ORDINE_CLIENTETest()
        {
            CLIENTE_Accessor target = new CLIENTE_Accessor(); // TODO: Eseguire l'inizializzazione a un valore appropriato
            ORDINE_CLIENTE entity = null; // TODO: Eseguire l'inizializzazione a un valore appropriato
            target.attach_ORDINE_CLIENTE(entity);
            Assert.Inconclusive("Impossibile verificare un metodo che non restituisce valori.");
        }

        /// <summary>
        ///Test per Costruttore CLIENTE
        ///</summary>
        // TODO: assicurarsi che l'attributo UrlToTest specifichi l'URL di una pagina ASP.NET (ad esempio,
        // http://.../Default.aspx). La specifica è necessaria per l'esecuzione dello unit test sul server Web
        // per il test di una pagina, un servizio Web o WCF.
        [TestMethod()]
        [HostType("ASP.NET")]
        [AspNetDevelopmentServerHost("C:\\sv\\dotNet\\QuickStock", "/")]
        [UrlToTest("http://localhost:2275/")]
        public void CLIENTEConstructorTest()
        {
            CLIENTE target = new CLIENTE();
            Assert.Inconclusive("TODO: Implementare il codice per la verifica della destinazione");
        }
    }
}
