﻿using Microsoft.VisualStudio.TestTools.UnitTesting;
using Microsoft.VisualStudio.TestTools.UnitTesting.Web;
using System.Web.UI.WebControls;
using System;
using ARTICOLI_DDT_CARICO;
using ARTICOLI_ORDINE_CLIENTE;
using ARTICOLI_ORDINE_FORNITORE;
using ARTICOLO;
using DDT_CARICO;
using ORDINE_FORNITORE;
using QuickStock.DynamicData.CustomPages.ORDINE_CLIENTE;

namespace TestProject1
{
    
    
    /// <summary>
    ///Classe di test per DetailsTest.
    ///Creata per contenere tutti gli unit test DetailsTest
    ///</summary>
    [TestClass()]
    public class DetailsTest
    {


        private TestContext testContextInstance;

        /// <summary>
        ///Ottiene o imposta il contesto dei test, che fornisce
        ///funzionalità e informazioni sull'esecuzione dei test corrente.
        ///</summary>
        public TestContext TestContext
        {
            get
            {
                return testContextInstance;
            }
            set
            {
                testContextInstance = value;
            }
        }

        #region Attributi di test aggiuntivi
        // 
        //Durante la scrittura dei test è possibile utilizzare i seguenti attributi aggiuntivi:
        //
        //Utilizzare ClassInitialize per eseguire il codice prima di eseguire il primo test della classe
        //[ClassInitialize()]
        //public static void MyClassInitialize(TestContext testContext)
        //{
        //}
        //
        //Utilizzare ClassCleanup per eseguire il codice dopo l'esecuzione di tutti i test di una classe
        //[ClassCleanup()]
        //public static void MyClassCleanup()
        //{
        //}
        //
        //Utilizzare TestInitialize per eseguire il codice prima di eseguire ciascun test
        //
        //[TestInitialize()]
        //public void MyTestInitialize()
        //{
        //}
        //Utilizzare TestCleanup per eseguire il codice dopo l'esecuzione di ciascun test
        //[TestCleanup()]
        //public void MyTestCleanup()
        //{
        //}
        //
        #endregion


        /// <summary>
        ///Test per Page_Load
        ///</summary>
        // TODO: assicurarsi che l'attributo UrlToTest specifichi l'URL di una pagina ASP.NET (ad esempio,
        // http://.../Default.aspx). La specifica è necessaria per l'esecuzione dello unit test sul server Web
        // per il test di una pagina, un servizio Web o WCF.
        [TestMethod()]
        [HostType("ASP.NET")]
        [AspNetDevelopmentServerHost("C:\\sv\\dotNet\\QuickStock", "/")]
        [UrlToTest("http://localhost:2275/")]
        [DeploymentItem("QuickStock.dll")]
        public void Page_LoadTest7()
        {
            Details_Accessor target = new Details_Accessor(); // TODO: Eseguire l'inizializzazione a un valore appropriato
            object sender = null; // TODO: Eseguire l'inizializzazione a un valore appropriato
            EventArgs e = null; // TODO: Eseguire l'inizializzazione a un valore appropriato
            target.Page_Load(sender, e);
            Assert.Inconclusive("Impossibile verificare un metodo che non restituisce valori.");
        }

        /// <summary>
        ///Test per Page_Init
        ///</summary>
        // TODO: assicurarsi che l'attributo UrlToTest specifichi l'URL di una pagina ASP.NET (ad esempio,
        // http://.../Default.aspx). La specifica è necessaria per l'esecuzione dello unit test sul server Web
        // per il test di una pagina, un servizio Web o WCF.
        [TestMethod()]
        [HostType("ASP.NET")]
        [AspNetDevelopmentServerHost("C:\\sv\\dotNet\\QuickStock", "/")]
        [UrlToTest("http://localhost:2275/")]
        [DeploymentItem("QuickStock.dll")]
        public void Page_InitTest7()
        {
            Details_Accessor target = new Details_Accessor(); // TODO: Eseguire l'inizializzazione a un valore appropriato
            object sender = null; // TODO: Eseguire l'inizializzazione a un valore appropriato
            EventArgs e = null; // TODO: Eseguire l'inizializzazione a un valore appropriato
            target.Page_Init(sender, e);
            Assert.Inconclusive("Impossibile verificare un metodo che non restituisce valori.");
        }

        /// <summary>
        ///Test per DetailsView1_ItemDeleted
        ///</summary>
        // TODO: assicurarsi che l'attributo UrlToTest specifichi l'URL di una pagina ASP.NET (ad esempio,
        // http://.../Default.aspx). La specifica è necessaria per l'esecuzione dello unit test sul server Web
        // per il test di una pagina, un servizio Web o WCF.
        [TestMethod()]
        [HostType("ASP.NET")]
        [AspNetDevelopmentServerHost("C:\\sv\\dotNet\\QuickStock", "/")]
        [UrlToTest("http://localhost:2275/")]
        [DeploymentItem("QuickStock.dll")]
        public void DetailsView1_ItemDeletedTest7()
        {
            Details_Accessor target = new Details_Accessor(); // TODO: Eseguire l'inizializzazione a un valore appropriato
            object sender = null; // TODO: Eseguire l'inizializzazione a un valore appropriato
            DetailsViewDeletedEventArgs e = null; // TODO: Eseguire l'inizializzazione a un valore appropriato
            target.DetailsView1_ItemDeleted(sender, e);
            Assert.Inconclusive("Impossibile verificare un metodo che non restituisce valori.");
        }

        /// <summary>
        ///Test per articoli_OrdineCliente_GridView_RowDataBound
        ///</summary>
        // TODO: assicurarsi che l'attributo UrlToTest specifichi l'URL di una pagina ASP.NET (ad esempio,
        // http://.../Default.aspx). La specifica è necessaria per l'esecuzione dello unit test sul server Web
        // per il test di una pagina, un servizio Web o WCF.
        [TestMethod()]
        [HostType("ASP.NET")]
        [AspNetDevelopmentServerHost("C:\\sv\\dotNet\\QuickStock", "/")]
        [UrlToTest("http://localhost:2275/")]
        [DeploymentItem("QuickStock.dll")]
        public void articoli_OrdineCliente_GridView_RowDataBoundTest()
        {
            Details_Accessor target = new Details_Accessor(); // TODO: Eseguire l'inizializzazione a un valore appropriato
            object sender = null; // TODO: Eseguire l'inizializzazione a un valore appropriato
            GridViewRowEventArgs e = null; // TODO: Eseguire l'inizializzazione a un valore appropriato
            target.articoli_OrdineCliente_GridView_RowDataBound(sender, e);
            Assert.Inconclusive("Impossibile verificare un metodo che non restituisce valori.");
        }

        /// <summary>
        ///Test per Costruttore Details
        ///</summary>
        // TODO: assicurarsi che l'attributo UrlToTest specifichi l'URL di una pagina ASP.NET (ad esempio,
        // http://.../Default.aspx). La specifica è necessaria per l'esecuzione dello unit test sul server Web
        // per il test di una pagina, un servizio Web o WCF.
        [TestMethod()]
        [HostType("ASP.NET")]
        [AspNetDevelopmentServerHost("C:\\sv\\dotNet\\QuickStock", "/")]
        [UrlToTest("http://localhost:2275/")]
        public void DetailsConstructorTest7()
        {
            Details target = new Details();
            Assert.Inconclusive("TODO: Implementare il codice per la verifica della destinazione");
        }

        /// <summary>
        ///Test per printButton_Load
        ///</summary>
        // TODO: assicurarsi che l'attributo UrlToTest specifichi l'URL di una pagina ASP.NET (ad esempio,
        // http://.../Default.aspx). La specifica è necessaria per l'esecuzione dello unit test sul server Web
        // per il test di una pagina, un servizio Web o WCF.
        [TestMethod()]
        [HostType("ASP.NET")]
        [AspNetDevelopmentServerHost("C:\\sv\\dotNet\\QuickStock", "/")]
        [UrlToTest("http://localhost:2275/")]
        [DeploymentItem("QuickStock.dll")]
        public void printButton_LoadTest()
        {
            Details_Accessor target = new Details_Accessor(); // TODO: Eseguire l'inizializzazione a un valore appropriato
            object sender = null; // TODO: Eseguire l'inizializzazione a un valore appropriato
            EventArgs e = null; // TODO: Eseguire l'inizializzazione a un valore appropriato
            target.printButton_Load(sender, e);
            Assert.Inconclusive("Impossibile verificare un metodo che non restituisce valori.");
        }

        /// <summary>
        ///Test per Page_Load
        ///</summary>
        // TODO: assicurarsi che l'attributo UrlToTest specifichi l'URL di una pagina ASP.NET (ad esempio,
        // http://.../Default.aspx). La specifica è necessaria per l'esecuzione dello unit test sul server Web
        // per il test di una pagina, un servizio Web o WCF.
        [TestMethod()]
        [HostType("ASP.NET")]
        [AspNetDevelopmentServerHost("C:\\sv\\dotNet\\QuickStock", "/")]
        [UrlToTest("http://localhost:2275/")]
        [DeploymentItem("QuickStock.dll")]
        public void Page_LoadTest6()
        {
            Details_Accessor target = new Details_Accessor(); // TODO: Eseguire l'inizializzazione a un valore appropriato
            object sender = null; // TODO: Eseguire l'inizializzazione a un valore appropriato
            EventArgs e = null; // TODO: Eseguire l'inizializzazione a un valore appropriato
            target.Page_Load(sender, e);
            Assert.Inconclusive("Impossibile verificare un metodo che non restituisce valori.");
        }

        /// <summary>
        ///Test per Page_Init
        ///</summary>
        // TODO: assicurarsi che l'attributo UrlToTest specifichi l'URL di una pagina ASP.NET (ad esempio,
        // http://.../Default.aspx). La specifica è necessaria per l'esecuzione dello unit test sul server Web
        // per il test di una pagina, un servizio Web o WCF.
        [TestMethod()]
        [HostType("ASP.NET")]
        [AspNetDevelopmentServerHost("C:\\sv\\dotNet\\QuickStock", "/")]
        [UrlToTest("http://localhost:2275/")]
        [DeploymentItem("QuickStock.dll")]
        public void Page_InitTest6()
        {
            Details_Accessor target = new Details_Accessor(); // TODO: Eseguire l'inizializzazione a un valore appropriato
            object sender = null; // TODO: Eseguire l'inizializzazione a un valore appropriato
            EventArgs e = null; // TODO: Eseguire l'inizializzazione a un valore appropriato
            target.Page_Init(sender, e);
            Assert.Inconclusive("Impossibile verificare un metodo che non restituisce valori.");
        }

        /// <summary>
        ///Test per helper_GroupSummary
        ///</summary>
        // TODO: assicurarsi che l'attributo UrlToTest specifichi l'URL di una pagina ASP.NET (ad esempio,
        // http://.../Default.aspx). La specifica è necessaria per l'esecuzione dello unit test sul server Web
        // per il test di una pagina, un servizio Web o WCF.
        [TestMethod()]
        [HostType("ASP.NET")]
        [AspNetDevelopmentServerHost("C:\\sv\\dotNet\\QuickStock", "/")]
        [UrlToTest("http://localhost:2275/")]
        [DeploymentItem("QuickStock.dll")]
        public void helper_GroupSummaryTest1()
        {
            Details_Accessor target = new Details_Accessor(); // TODO: Eseguire l'inizializzazione a un valore appropriato
            string groupName = string.Empty; // TODO: Eseguire l'inizializzazione a un valore appropriato
            object[] values = null; // TODO: Eseguire l'inizializzazione a un valore appropriato
            GridViewRow row = null; // TODO: Eseguire l'inizializzazione a un valore appropriato
            target.helper_GroupSummary(groupName, values, row);
            Assert.Inconclusive("Impossibile verificare un metodo che non restituisce valori.");
        }

        /// <summary>
        ///Test per helper_GroupHeader
        ///</summary>
        // TODO: assicurarsi che l'attributo UrlToTest specifichi l'URL di una pagina ASP.NET (ad esempio,
        // http://.../Default.aspx). La specifica è necessaria per l'esecuzione dello unit test sul server Web
        // per il test di una pagina, un servizio Web o WCF.
        [TestMethod()]
        [HostType("ASP.NET")]
        [AspNetDevelopmentServerHost("C:\\sv\\dotNet\\QuickStock", "/")]
        [UrlToTest("http://localhost:2275/")]
        [DeploymentItem("QuickStock.dll")]
        public void helper_GroupHeaderTest1()
        {
            Details_Accessor target = new Details_Accessor(); // TODO: Eseguire l'inizializzazione a un valore appropriato
            string groupName = string.Empty; // TODO: Eseguire l'inizializzazione a un valore appropriato
            object[] values = null; // TODO: Eseguire l'inizializzazione a un valore appropriato
            GridViewRow row = null; // TODO: Eseguire l'inizializzazione a un valore appropriato
            target.helper_GroupHeader(groupName, values, row);
            Assert.Inconclusive("Impossibile verificare un metodo che non restituisce valori.");
        }

        /// <summary>
        ///Test per DetailsView1_ItemDeleted
        ///</summary>
        // TODO: assicurarsi che l'attributo UrlToTest specifichi l'URL di una pagina ASP.NET (ad esempio,
        // http://.../Default.aspx). La specifica è necessaria per l'esecuzione dello unit test sul server Web
        // per il test di una pagina, un servizio Web o WCF.
        [TestMethod()]
        [HostType("ASP.NET")]
        [AspNetDevelopmentServerHost("C:\\sv\\dotNet\\QuickStock", "/")]
        [UrlToTest("http://localhost:2275/")]
        [DeploymentItem("QuickStock.dll")]
        public void DetailsView1_ItemDeletedTest6()
        {
            Details_Accessor target = new Details_Accessor(); // TODO: Eseguire l'inizializzazione a un valore appropriato
            object sender = null; // TODO: Eseguire l'inizializzazione a un valore appropriato
            DetailsViewDeletedEventArgs e = null; // TODO: Eseguire l'inizializzazione a un valore appropriato
            target.DetailsView1_ItemDeleted(sender, e);
            Assert.Inconclusive("Impossibile verificare un metodo che non restituisce valori.");
        }

        /// <summary>
        ///Test per articoliOrdine_GridView_RowDataBound
        ///</summary>
        // TODO: assicurarsi che l'attributo UrlToTest specifichi l'URL di una pagina ASP.NET (ad esempio,
        // http://.../Default.aspx). La specifica è necessaria per l'esecuzione dello unit test sul server Web
        // per il test di una pagina, un servizio Web o WCF.
        [TestMethod()]
        [HostType("ASP.NET")]
        [AspNetDevelopmentServerHost("C:\\sv\\dotNet\\QuickStock", "/")]
        [UrlToTest("http://localhost:2275/")]
        [DeploymentItem("QuickStock.dll")]
        public void articoliOrdine_GridView_RowDataBoundTest()
        {
            Details_Accessor target = new Details_Accessor(); // TODO: Eseguire l'inizializzazione a un valore appropriato
            object sender = null; // TODO: Eseguire l'inizializzazione a un valore appropriato
            GridViewRowEventArgs e = null; // TODO: Eseguire l'inizializzazione a un valore appropriato
            target.articoliOrdine_GridView_RowDataBound(sender, e);
            Assert.Inconclusive("Impossibile verificare un metodo che non restituisce valori.");
        }

        /// <summary>
        ///Test per Costruttore Details
        ///</summary>
        // TODO: assicurarsi che l'attributo UrlToTest specifichi l'URL di una pagina ASP.NET (ad esempio,
        // http://.../Default.aspx). La specifica è necessaria per l'esecuzione dello unit test sul server Web
        // per il test di una pagina, un servizio Web o WCF.
        [TestMethod()]
        [HostType("ASP.NET")]
        [AspNetDevelopmentServerHost("C:\\sv\\dotNet\\QuickStock", "/")]
        [UrlToTest("http://localhost:2275/")]
        public void DetailsConstructorTest6()
        {
            Details target = new Details();
            Assert.Inconclusive("TODO: Implementare il codice per la verifica della destinazione");
        }

        /// <summary>
        ///Test per Page_Load
        ///</summary>
        // TODO: assicurarsi che l'attributo UrlToTest specifichi l'URL di una pagina ASP.NET (ad esempio,
        // http://.../Default.aspx). La specifica è necessaria per l'esecuzione dello unit test sul server Web
        // per il test di una pagina, un servizio Web o WCF.
        [TestMethod()]
        [HostType("ASP.NET")]
        [AspNetDevelopmentServerHost("C:\\sv\\dotNet\\QuickStock", "/")]
        [UrlToTest("http://localhost:2275/")]
        [DeploymentItem("QuickStock.dll")]
        public void Page_LoadTest5()
        {
            Details_Accessor target = new Details_Accessor(); // TODO: Eseguire l'inizializzazione a un valore appropriato
            object sender = null; // TODO: Eseguire l'inizializzazione a un valore appropriato
            EventArgs e = null; // TODO: Eseguire l'inizializzazione a un valore appropriato
            target.Page_Load(sender, e);
            Assert.Inconclusive("Impossibile verificare un metodo che non restituisce valori.");
        }

        /// <summary>
        ///Test per Page_Init
        ///</summary>
        // TODO: assicurarsi che l'attributo UrlToTest specifichi l'URL di una pagina ASP.NET (ad esempio,
        // http://.../Default.aspx). La specifica è necessaria per l'esecuzione dello unit test sul server Web
        // per il test di una pagina, un servizio Web o WCF.
        [TestMethod()]
        [HostType("ASP.NET")]
        [AspNetDevelopmentServerHost("C:\\sv\\dotNet\\QuickStock", "/")]
        [UrlToTest("http://localhost:2275/")]
        [DeploymentItem("QuickStock.dll")]
        public void Page_InitTest5()
        {
            Details_Accessor target = new Details_Accessor(); // TODO: Eseguire l'inizializzazione a un valore appropriato
            object sender = null; // TODO: Eseguire l'inizializzazione a un valore appropriato
            EventArgs e = null; // TODO: Eseguire l'inizializzazione a un valore appropriato
            target.Page_Init(sender, e);
            Assert.Inconclusive("Impossibile verificare un metodo che non restituisce valori.");
        }

        /// <summary>
        ///Test per helper_GroupSummary
        ///</summary>
        // TODO: assicurarsi che l'attributo UrlToTest specifichi l'URL di una pagina ASP.NET (ad esempio,
        // http://.../Default.aspx). La specifica è necessaria per l'esecuzione dello unit test sul server Web
        // per il test di una pagina, un servizio Web o WCF.
        [TestMethod()]
        [HostType("ASP.NET")]
        [AspNetDevelopmentServerHost("C:\\sv\\dotNet\\QuickStock", "/")]
        [UrlToTest("http://localhost:2275/")]
        [DeploymentItem("QuickStock.dll")]
        public void helper_GroupSummaryTest()
        {
            Details_Accessor target = new Details_Accessor(); // TODO: Eseguire l'inizializzazione a un valore appropriato
            string groupName = string.Empty; // TODO: Eseguire l'inizializzazione a un valore appropriato
            object[] values = null; // TODO: Eseguire l'inizializzazione a un valore appropriato
            GridViewRow row = null; // TODO: Eseguire l'inizializzazione a un valore appropriato
            target.helper_GroupSummary(groupName, values, row);
            Assert.Inconclusive("Impossibile verificare un metodo che non restituisce valori.");
        }

        /// <summary>
        ///Test per helper_GroupHeader
        ///</summary>
        // TODO: assicurarsi che l'attributo UrlToTest specifichi l'URL di una pagina ASP.NET (ad esempio,
        // http://.../Default.aspx). La specifica è necessaria per l'esecuzione dello unit test sul server Web
        // per il test di una pagina, un servizio Web o WCF.
        [TestMethod()]
        [HostType("ASP.NET")]
        [AspNetDevelopmentServerHost("C:\\sv\\dotNet\\QuickStock", "/")]
        [UrlToTest("http://localhost:2275/")]
        [DeploymentItem("QuickStock.dll")]
        public void helper_GroupHeaderTest()
        {
            Details_Accessor target = new Details_Accessor(); // TODO: Eseguire l'inizializzazione a un valore appropriato
            string groupName = string.Empty; // TODO: Eseguire l'inizializzazione a un valore appropriato
            object[] values = null; // TODO: Eseguire l'inizializzazione a un valore appropriato
            GridViewRow row = null; // TODO: Eseguire l'inizializzazione a un valore appropriato
            target.helper_GroupHeader(groupName, values, row);
            Assert.Inconclusive("Impossibile verificare un metodo che non restituisce valori.");
        }

        /// <summary>
        ///Test per DetailsView1_ItemDeleted
        ///</summary>
        // TODO: assicurarsi che l'attributo UrlToTest specifichi l'URL di una pagina ASP.NET (ad esempio,
        // http://.../Default.aspx). La specifica è necessaria per l'esecuzione dello unit test sul server Web
        // per il test di una pagina, un servizio Web o WCF.
        [TestMethod()]
        [HostType("ASP.NET")]
        [AspNetDevelopmentServerHost("C:\\sv\\dotNet\\QuickStock", "/")]
        [UrlToTest("http://localhost:2275/")]
        [DeploymentItem("QuickStock.dll")]
        public void DetailsView1_ItemDeletedTest5()
        {
            Details_Accessor target = new Details_Accessor(); // TODO: Eseguire l'inizializzazione a un valore appropriato
            object sender = null; // TODO: Eseguire l'inizializzazione a un valore appropriato
            DetailsViewDeletedEventArgs e = null; // TODO: Eseguire l'inizializzazione a un valore appropriato
            target.DetailsView1_ItemDeleted(sender, e);
            Assert.Inconclusive("Impossibile verificare un metodo che non restituisce valori.");
        }

        /// <summary>
        ///Test per articoliDDT_GridView_RowDataBound
        ///</summary>
        // TODO: assicurarsi che l'attributo UrlToTest specifichi l'URL di una pagina ASP.NET (ad esempio,
        // http://.../Default.aspx). La specifica è necessaria per l'esecuzione dello unit test sul server Web
        // per il test di una pagina, un servizio Web o WCF.
        [TestMethod()]
        [HostType("ASP.NET")]
        [AspNetDevelopmentServerHost("C:\\sv\\dotNet\\QuickStock", "/")]
        [UrlToTest("http://localhost:2275/")]
        [DeploymentItem("QuickStock.dll")]
        public void articoliDDT_GridView_RowDataBoundTest()
        {
            Details_Accessor target = new Details_Accessor(); // TODO: Eseguire l'inizializzazione a un valore appropriato
            object sender = null; // TODO: Eseguire l'inizializzazione a un valore appropriato
            GridViewRowEventArgs e = null; // TODO: Eseguire l'inizializzazione a un valore appropriato
            target.articoliDDT_GridView_RowDataBound(sender, e);
            Assert.Inconclusive("Impossibile verificare un metodo che non restituisce valori.");
        }

        /// <summary>
        ///Test per Costruttore Details
        ///</summary>
        // TODO: assicurarsi che l'attributo UrlToTest specifichi l'URL di una pagina ASP.NET (ad esempio,
        // http://.../Default.aspx). La specifica è necessaria per l'esecuzione dello unit test sul server Web
        // per il test di una pagina, un servizio Web o WCF.
        [TestMethod()]
        [HostType("ASP.NET")]
        [AspNetDevelopmentServerHost("C:\\sv\\dotNet\\QuickStock", "/")]
        [UrlToTest("http://localhost:2275/")]
        public void DetailsConstructorTest5()
        {
            Details target = new Details();
            Assert.Inconclusive("TODO: Implementare il codice per la verifica della destinazione");
        }

        /// <summary>
        ///Test per Page_Load
        ///</summary>
        // TODO: assicurarsi che l'attributo UrlToTest specifichi l'URL di una pagina ASP.NET (ad esempio,
        // http://.../Default.aspx). La specifica è necessaria per l'esecuzione dello unit test sul server Web
        // per il test di una pagina, un servizio Web o WCF.
        [TestMethod()]
        [HostType("ASP.NET")]
        [AspNetDevelopmentServerHost("C:\\sv\\dotNet\\QuickStock", "/")]
        [UrlToTest("http://localhost:2275/")]
        [DeploymentItem("QuickStock.dll")]
        public void Page_LoadTest4()
        {
            Details_Accessor target = new Details_Accessor(); // TODO: Eseguire l'inizializzazione a un valore appropriato
            object sender = null; // TODO: Eseguire l'inizializzazione a un valore appropriato
            EventArgs e = null; // TODO: Eseguire l'inizializzazione a un valore appropriato
            target.Page_Load(sender, e);
            Assert.Inconclusive("Impossibile verificare un metodo che non restituisce valori.");
        }

        /// <summary>
        ///Test per Page_Init
        ///</summary>
        // TODO: assicurarsi che l'attributo UrlToTest specifichi l'URL di una pagina ASP.NET (ad esempio,
        // http://.../Default.aspx). La specifica è necessaria per l'esecuzione dello unit test sul server Web
        // per il test di una pagina, un servizio Web o WCF.
        [TestMethod()]
        [HostType("ASP.NET")]
        [AspNetDevelopmentServerHost("C:\\sv\\dotNet\\QuickStock", "/")]
        [UrlToTest("http://localhost:2275/")]
        [DeploymentItem("QuickStock.dll")]
        public void Page_InitTest4()
        {
            Details_Accessor target = new Details_Accessor(); // TODO: Eseguire l'inizializzazione a un valore appropriato
            object sender = null; // TODO: Eseguire l'inizializzazione a un valore appropriato
            EventArgs e = null; // TODO: Eseguire l'inizializzazione a un valore appropriato
            target.Page_Init(sender, e);
            Assert.Inconclusive("Impossibile verificare un metodo che non restituisce valori.");
        }

        /// <summary>
        ///Test per DetailsView1_ItemDeleted
        ///</summary>
        // TODO: assicurarsi che l'attributo UrlToTest specifichi l'URL di una pagina ASP.NET (ad esempio,
        // http://.../Default.aspx). La specifica è necessaria per l'esecuzione dello unit test sul server Web
        // per il test di una pagina, un servizio Web o WCF.
        [TestMethod()]
        [HostType("ASP.NET")]
        [AspNetDevelopmentServerHost("C:\\sv\\dotNet\\QuickStock", "/")]
        [UrlToTest("http://localhost:2275/")]
        [DeploymentItem("QuickStock.dll")]
        public void DetailsView1_ItemDeletedTest4()
        {
            Details_Accessor target = new Details_Accessor(); // TODO: Eseguire l'inizializzazione a un valore appropriato
            object sender = null; // TODO: Eseguire l'inizializzazione a un valore appropriato
            DetailsViewDeletedEventArgs e = null; // TODO: Eseguire l'inizializzazione a un valore appropriato
            target.DetailsView1_ItemDeleted(sender, e);
            Assert.Inconclusive("Impossibile verificare un metodo che non restituisce valori.");
        }

        /// <summary>
        ///Test per Costruttore Details
        ///</summary>
        // TODO: assicurarsi che l'attributo UrlToTest specifichi l'URL di una pagina ASP.NET (ad esempio,
        // http://.../Default.aspx). La specifica è necessaria per l'esecuzione dello unit test sul server Web
        // per il test di una pagina, un servizio Web o WCF.
        [TestMethod()]
        [HostType("ASP.NET")]
        [AspNetDevelopmentServerHost("C:\\sv\\dotNet\\QuickStock", "/")]
        [UrlToTest("http://localhost:2275/")]
        public void DetailsConstructorTest4()
        {
            Details target = new Details();
            Assert.Inconclusive("TODO: Implementare il codice per la verifica della destinazione");
        }

        /// <summary>
        ///Test per Page_Load
        ///</summary>
        // TODO: assicurarsi che l'attributo UrlToTest specifichi l'URL di una pagina ASP.NET (ad esempio,
        // http://.../Default.aspx). La specifica è necessaria per l'esecuzione dello unit test sul server Web
        // per il test di una pagina, un servizio Web o WCF.
        [TestMethod()]
        [HostType("ASP.NET")]
        [AspNetDevelopmentServerHost("C:\\sv\\dotNet\\QuickStock", "/")]
        [UrlToTest("http://localhost:2275/")]
        [DeploymentItem("QuickStock.dll")]
        public void Page_LoadTest3()
        {
            Details_Accessor target = new Details_Accessor(); // TODO: Eseguire l'inizializzazione a un valore appropriato
            object sender = null; // TODO: Eseguire l'inizializzazione a un valore appropriato
            EventArgs e = null; // TODO: Eseguire l'inizializzazione a un valore appropriato
            target.Page_Load(sender, e);
            Assert.Inconclusive("Impossibile verificare un metodo che non restituisce valori.");
        }

        /// <summary>
        ///Test per Page_Init
        ///</summary>
        // TODO: assicurarsi che l'attributo UrlToTest specifichi l'URL di una pagina ASP.NET (ad esempio,
        // http://.../Default.aspx). La specifica è necessaria per l'esecuzione dello unit test sul server Web
        // per il test di una pagina, un servizio Web o WCF.
        [TestMethod()]
        [HostType("ASP.NET")]
        [AspNetDevelopmentServerHost("C:\\sv\\dotNet\\QuickStock", "/")]
        [UrlToTest("http://localhost:2275/")]
        [DeploymentItem("QuickStock.dll")]
        public void Page_InitTest3()
        {
            Details_Accessor target = new Details_Accessor(); // TODO: Eseguire l'inizializzazione a un valore appropriato
            object sender = null; // TODO: Eseguire l'inizializzazione a un valore appropriato
            EventArgs e = null; // TODO: Eseguire l'inizializzazione a un valore appropriato
            target.Page_Init(sender, e);
            Assert.Inconclusive("Impossibile verificare un metodo che non restituisce valori.");
        }

        /// <summary>
        ///Test per DetailsView1_ItemDeleted
        ///</summary>
        // TODO: assicurarsi che l'attributo UrlToTest specifichi l'URL di una pagina ASP.NET (ad esempio,
        // http://.../Default.aspx). La specifica è necessaria per l'esecuzione dello unit test sul server Web
        // per il test di una pagina, un servizio Web o WCF.
        [TestMethod()]
        [HostType("ASP.NET")]
        [AspNetDevelopmentServerHost("C:\\sv\\dotNet\\QuickStock", "/")]
        [UrlToTest("http://localhost:2275/")]
        [DeploymentItem("QuickStock.dll")]
        public void DetailsView1_ItemDeletedTest3()
        {
            Details_Accessor target = new Details_Accessor(); // TODO: Eseguire l'inizializzazione a un valore appropriato
            object sender = null; // TODO: Eseguire l'inizializzazione a un valore appropriato
            DetailsViewDeletedEventArgs e = null; // TODO: Eseguire l'inizializzazione a un valore appropriato
            target.DetailsView1_ItemDeleted(sender, e);
            Assert.Inconclusive("Impossibile verificare un metodo che non restituisce valori.");
        }

        /// <summary>
        ///Test per DetailsView1_DataBound
        ///</summary>
        // TODO: assicurarsi che l'attributo UrlToTest specifichi l'URL di una pagina ASP.NET (ad esempio,
        // http://.../Default.aspx). La specifica è necessaria per l'esecuzione dello unit test sul server Web
        // per il test di una pagina, un servizio Web o WCF.
        [TestMethod()]
        [HostType("ASP.NET")]
        [AspNetDevelopmentServerHost("C:\\sv\\dotNet\\QuickStock", "/")]
        [UrlToTest("http://localhost:2275/")]
        [DeploymentItem("QuickStock.dll")]
        public void DetailsView1_DataBoundTest2()
        {
            Details_Accessor target = new Details_Accessor(); // TODO: Eseguire l'inizializzazione a un valore appropriato
            object sender = null; // TODO: Eseguire l'inizializzazione a un valore appropriato
            EventArgs e = null; // TODO: Eseguire l'inizializzazione a un valore appropriato
            target.DetailsView1_DataBound(sender, e);
            Assert.Inconclusive("Impossibile verificare un metodo che non restituisce valori.");
        }

        /// <summary>
        ///Test per Costruttore Details
        ///</summary>
        // TODO: assicurarsi che l'attributo UrlToTest specifichi l'URL di una pagina ASP.NET (ad esempio,
        // http://.../Default.aspx). La specifica è necessaria per l'esecuzione dello unit test sul server Web
        // per il test di una pagina, un servizio Web o WCF.
        [TestMethod()]
        [HostType("ASP.NET")]
        [AspNetDevelopmentServerHost("C:\\sv\\dotNet\\QuickStock", "/")]
        [UrlToTest("http://localhost:2275/")]
        public void DetailsConstructorTest3()
        {
            Details target = new Details();
            Assert.Inconclusive("TODO: Implementare il codice per la verifica della destinazione");
        }

        /// <summary>
        ///Test per Page_Load
        ///</summary>
        // TODO: assicurarsi che l'attributo UrlToTest specifichi l'URL di una pagina ASP.NET (ad esempio,
        // http://.../Default.aspx). La specifica è necessaria per l'esecuzione dello unit test sul server Web
        // per il test di una pagina, un servizio Web o WCF.
        [TestMethod()]
        [HostType("ASP.NET")]
        [AspNetDevelopmentServerHost("C:\\sv\\dotNet\\QuickStock", "/")]
        [UrlToTest("http://localhost:2275/")]
        [DeploymentItem("QuickStock.dll")]
        public void Page_LoadTest2()
        {
            Details_Accessor target = new Details_Accessor(); // TODO: Eseguire l'inizializzazione a un valore appropriato
            object sender = null; // TODO: Eseguire l'inizializzazione a un valore appropriato
            EventArgs e = null; // TODO: Eseguire l'inizializzazione a un valore appropriato
            target.Page_Load(sender, e);
            Assert.Inconclusive("Impossibile verificare un metodo che non restituisce valori.");
        }

        /// <summary>
        ///Test per Page_Init
        ///</summary>
        // TODO: assicurarsi che l'attributo UrlToTest specifichi l'URL di una pagina ASP.NET (ad esempio,
        // http://.../Default.aspx). La specifica è necessaria per l'esecuzione dello unit test sul server Web
        // per il test di una pagina, un servizio Web o WCF.
        [TestMethod()]
        [HostType("ASP.NET")]
        [AspNetDevelopmentServerHost("C:\\sv\\dotNet\\QuickStock", "/")]
        [UrlToTest("http://localhost:2275/")]
        [DeploymentItem("QuickStock.dll")]
        public void Page_InitTest2()
        {
            Details_Accessor target = new Details_Accessor(); // TODO: Eseguire l'inizializzazione a un valore appropriato
            object sender = null; // TODO: Eseguire l'inizializzazione a un valore appropriato
            EventArgs e = null; // TODO: Eseguire l'inizializzazione a un valore appropriato
            target.Page_Init(sender, e);
            Assert.Inconclusive("Impossibile verificare un metodo che non restituisce valori.");
        }

        /// <summary>
        ///Test per DetailsView1_ItemDeleted
        ///</summary>
        // TODO: assicurarsi che l'attributo UrlToTest specifichi l'URL di una pagina ASP.NET (ad esempio,
        // http://.../Default.aspx). La specifica è necessaria per l'esecuzione dello unit test sul server Web
        // per il test di una pagina, un servizio Web o WCF.
        [TestMethod()]
        [HostType("ASP.NET")]
        [AspNetDevelopmentServerHost("C:\\sv\\dotNet\\QuickStock", "/")]
        [UrlToTest("http://localhost:2275/")]
        [DeploymentItem("QuickStock.dll")]
        public void DetailsView1_ItemDeletedTest2()
        {
            Details_Accessor target = new Details_Accessor(); // TODO: Eseguire l'inizializzazione a un valore appropriato
            object sender = null; // TODO: Eseguire l'inizializzazione a un valore appropriato
            DetailsViewDeletedEventArgs e = null; // TODO: Eseguire l'inizializzazione a un valore appropriato
            target.DetailsView1_ItemDeleted(sender, e);
            Assert.Inconclusive("Impossibile verificare un metodo che non restituisce valori.");
        }

        /// <summary>
        ///Test per DetailsView1_DataBound
        ///</summary>
        // TODO: assicurarsi che l'attributo UrlToTest specifichi l'URL di una pagina ASP.NET (ad esempio,
        // http://.../Default.aspx). La specifica è necessaria per l'esecuzione dello unit test sul server Web
        // per il test di una pagina, un servizio Web o WCF.
        [TestMethod()]
        [HostType("ASP.NET")]
        [AspNetDevelopmentServerHost("C:\\sv\\dotNet\\QuickStock", "/")]
        [UrlToTest("http://localhost:2275/")]
        [DeploymentItem("QuickStock.dll")]
        public void DetailsView1_DataBoundTest1()
        {
            Details_Accessor target = new Details_Accessor(); // TODO: Eseguire l'inizializzazione a un valore appropriato
            object sender = null; // TODO: Eseguire l'inizializzazione a un valore appropriato
            EventArgs e = null; // TODO: Eseguire l'inizializzazione a un valore appropriato
            target.DetailsView1_DataBound(sender, e);
            Assert.Inconclusive("Impossibile verificare un metodo che non restituisce valori.");
        }

        /// <summary>
        ///Test per Costruttore Details
        ///</summary>
        // TODO: assicurarsi che l'attributo UrlToTest specifichi l'URL di una pagina ASP.NET (ad esempio,
        // http://.../Default.aspx). La specifica è necessaria per l'esecuzione dello unit test sul server Web
        // per il test di una pagina, un servizio Web o WCF.
        [TestMethod()]
        [HostType("ASP.NET")]
        [AspNetDevelopmentServerHost("C:\\sv\\dotNet\\QuickStock", "/")]
        [UrlToTest("http://localhost:2275/")]
        public void DetailsConstructorTest2()
        {
            Details target = new Details();
            Assert.Inconclusive("TODO: Implementare il codice per la verifica della destinazione");
        }

        /// <summary>
        ///Test per Page_Load
        ///</summary>
        // TODO: assicurarsi che l'attributo UrlToTest specifichi l'URL di una pagina ASP.NET (ad esempio,
        // http://.../Default.aspx). La specifica è necessaria per l'esecuzione dello unit test sul server Web
        // per il test di una pagina, un servizio Web o WCF.
        [TestMethod()]
        [HostType("ASP.NET")]
        [AspNetDevelopmentServerHost("C:\\sv\\dotNet\\QuickStock", "/")]
        [UrlToTest("http://localhost:2275/")]
        [DeploymentItem("QuickStock.dll")]
        public void Page_LoadTest1()
        {
            Details_Accessor target = new Details_Accessor(); // TODO: Eseguire l'inizializzazione a un valore appropriato
            object sender = null; // TODO: Eseguire l'inizializzazione a un valore appropriato
            EventArgs e = null; // TODO: Eseguire l'inizializzazione a un valore appropriato
            target.Page_Load(sender, e);
            Assert.Inconclusive("Impossibile verificare un metodo che non restituisce valori.");
        }

        /// <summary>
        ///Test per Page_Init
        ///</summary>
        // TODO: assicurarsi che l'attributo UrlToTest specifichi l'URL di una pagina ASP.NET (ad esempio,
        // http://.../Default.aspx). La specifica è necessaria per l'esecuzione dello unit test sul server Web
        // per il test di una pagina, un servizio Web o WCF.
        [TestMethod()]
        [HostType("ASP.NET")]
        [AspNetDevelopmentServerHost("C:\\sv\\dotNet\\QuickStock", "/")]
        [UrlToTest("http://localhost:2275/")]
        [DeploymentItem("QuickStock.dll")]
        public void Page_InitTest1()
        {
            Details_Accessor target = new Details_Accessor(); // TODO: Eseguire l'inizializzazione a un valore appropriato
            object sender = null; // TODO: Eseguire l'inizializzazione a un valore appropriato
            EventArgs e = null; // TODO: Eseguire l'inizializzazione a un valore appropriato
            target.Page_Init(sender, e);
            Assert.Inconclusive("Impossibile verificare un metodo che non restituisce valori.");
        }

        /// <summary>
        ///Test per DetailsView1_ItemDeleted
        ///</summary>
        // TODO: assicurarsi che l'attributo UrlToTest specifichi l'URL di una pagina ASP.NET (ad esempio,
        // http://.../Default.aspx). La specifica è necessaria per l'esecuzione dello unit test sul server Web
        // per il test di una pagina, un servizio Web o WCF.
        [TestMethod()]
        [HostType("ASP.NET")]
        [AspNetDevelopmentServerHost("C:\\sv\\dotNet\\QuickStock", "/")]
        [UrlToTest("http://localhost:2275/")]
        [DeploymentItem("QuickStock.dll")]
        public void DetailsView1_ItemDeletedTest1()
        {
            Details_Accessor target = new Details_Accessor(); // TODO: Eseguire l'inizializzazione a un valore appropriato
            object sender = null; // TODO: Eseguire l'inizializzazione a un valore appropriato
            DetailsViewDeletedEventArgs e = null; // TODO: Eseguire l'inizializzazione a un valore appropriato
            target.DetailsView1_ItemDeleted(sender, e);
            Assert.Inconclusive("Impossibile verificare un metodo che non restituisce valori.");
        }

        /// <summary>
        ///Test per DetailsView1_DataBound
        ///</summary>
        // TODO: assicurarsi che l'attributo UrlToTest specifichi l'URL di una pagina ASP.NET (ad esempio,
        // http://.../Default.aspx). La specifica è necessaria per l'esecuzione dello unit test sul server Web
        // per il test di una pagina, un servizio Web o WCF.
        [TestMethod()]
        [HostType("ASP.NET")]
        [AspNetDevelopmentServerHost("C:\\sv\\dotNet\\QuickStock", "/")]
        [UrlToTest("http://localhost:2275/")]
        [DeploymentItem("QuickStock.dll")]
        public void DetailsView1_DataBoundTest()
        {
            Details_Accessor target = new Details_Accessor(); // TODO: Eseguire l'inizializzazione a un valore appropriato
            object sender = null; // TODO: Eseguire l'inizializzazione a un valore appropriato
            EventArgs e = null; // TODO: Eseguire l'inizializzazione a un valore appropriato
            target.DetailsView1_DataBound(sender, e);
            Assert.Inconclusive("Impossibile verificare un metodo che non restituisce valori.");
        }

        /// <summary>
        ///Test per Costruttore Details
        ///</summary>
        // TODO: assicurarsi che l'attributo UrlToTest specifichi l'URL di una pagina ASP.NET (ad esempio,
        // http://.../Default.aspx). La specifica è necessaria per l'esecuzione dello unit test sul server Web
        // per il test di una pagina, un servizio Web o WCF.
        [TestMethod()]
        [HostType("ASP.NET")]
        [AspNetDevelopmentServerHost("C:\\sv\\dotNet\\QuickStock", "/")]
        [UrlToTest("http://localhost:2275/")]
        public void DetailsConstructorTest1()
        {
            Details target = new Details();
            Assert.Inconclusive("TODO: Implementare il codice per la verifica della destinazione");
        }

        /// <summary>
        ///Test per Page_Load
        ///</summary>
        // TODO: assicurarsi che l'attributo UrlToTest specifichi l'URL di una pagina ASP.NET (ad esempio,
        // http://.../Default.aspx). La specifica è necessaria per l'esecuzione dello unit test sul server Web
        // per il test di una pagina, un servizio Web o WCF.
        [TestMethod()]
        [HostType("ASP.NET")]
        [AspNetDevelopmentServerHost("C:\\sv\\dotNet\\QuickStock", "/")]
        [UrlToTest("http://localhost:2275/")]
        [DeploymentItem("QuickStock.dll")]
        public void Page_LoadTest()
        {
            Details_Accessor target = new Details_Accessor(); // TODO: Eseguire l'inizializzazione a un valore appropriato
            object sender = null; // TODO: Eseguire l'inizializzazione a un valore appropriato
            EventArgs e = null; // TODO: Eseguire l'inizializzazione a un valore appropriato
            target.Page_Load(sender, e);
            Assert.Inconclusive("Impossibile verificare un metodo che non restituisce valori.");
        }

        /// <summary>
        ///Test per Page_Init
        ///</summary>
        // TODO: assicurarsi che l'attributo UrlToTest specifichi l'URL di una pagina ASP.NET (ad esempio,
        // http://.../Default.aspx). La specifica è necessaria per l'esecuzione dello unit test sul server Web
        // per il test di una pagina, un servizio Web o WCF.
        [TestMethod()]
        [HostType("ASP.NET")]
        [AspNetDevelopmentServerHost("C:\\sv\\dotNet\\QuickStock", "/")]
        [UrlToTest("http://localhost:2275/")]
        [DeploymentItem("QuickStock.dll")]
        public void Page_InitTest()
        {
            Details_Accessor target = new Details_Accessor(); // TODO: Eseguire l'inizializzazione a un valore appropriato
            object sender = null; // TODO: Eseguire l'inizializzazione a un valore appropriato
            EventArgs e = null; // TODO: Eseguire l'inizializzazione a un valore appropriato
            target.Page_Init(sender, e);
            Assert.Inconclusive("Impossibile verificare un metodo che non restituisce valori.");
        }

        /// <summary>
        ///Test per DetailsView1_ItemDeleted
        ///</summary>
        // TODO: assicurarsi che l'attributo UrlToTest specifichi l'URL di una pagina ASP.NET (ad esempio,
        // http://.../Default.aspx). La specifica è necessaria per l'esecuzione dello unit test sul server Web
        // per il test di una pagina, un servizio Web o WCF.
        [TestMethod()]
        [HostType("ASP.NET")]
        [AspNetDevelopmentServerHost("C:\\sv\\dotNet\\QuickStock", "/")]
        [UrlToTest("http://localhost:2275/")]
        [DeploymentItem("QuickStock.dll")]
        public void DetailsView1_ItemDeletedTest()
        {
            Details_Accessor target = new Details_Accessor(); // TODO: Eseguire l'inizializzazione a un valore appropriato
            object sender = null; // TODO: Eseguire l'inizializzazione a un valore appropriato
            DetailsViewDeletedEventArgs e = null; // TODO: Eseguire l'inizializzazione a un valore appropriato
            target.DetailsView1_ItemDeleted(sender, e);
            Assert.Inconclusive("Impossibile verificare un metodo che non restituisce valori.");
        }

        /// <summary>
        ///Test per Costruttore Details
        ///</summary>
        // TODO: assicurarsi che l'attributo UrlToTest specifichi l'URL di una pagina ASP.NET (ad esempio,
        // http://.../Default.aspx). La specifica è necessaria per l'esecuzione dello unit test sul server Web
        // per il test di una pagina, un servizio Web o WCF.
        [TestMethod()]
        [HostType("ASP.NET")]
        [AspNetDevelopmentServerHost("C:\\sv\\dotNet\\QuickStock", "/")]
        [UrlToTest("http://localhost:2275/")]
        public void DetailsConstructorTest()
        {
            Details target = new Details();
            Assert.Inconclusive("TODO: Implementare il codice per la verifica della destinazione");
        }
    }
}
