﻿using QuickStock.Model.DSOrdiniTableAdapters;
using Microsoft.VisualStudio.TestTools.UnitTesting;
using Microsoft.VisualStudio.TestTools.UnitTesting.Web;
using System.Data;
using System.Collections.Generic;
using QuickStock.Model;

namespace TestProject1
{
    
    
    /// <summary>
    ///Classe di test per TableAdapterManagerTest.
    ///Creata per contenere tutti gli unit test TableAdapterManagerTest
    ///</summary>
    [TestClass()]
    public class TableAdapterManagerTest
    {


        private TestContext testContextInstance;

        /// <summary>
        ///Ottiene o imposta il contesto dei test, che fornisce
        ///funzionalità e informazioni sull'esecuzione dei test corrente.
        ///</summary>
        public TestContext TestContext
        {
            get
            {
                return testContextInstance;
            }
            set
            {
                testContextInstance = value;
            }
        }

        #region Attributi di test aggiuntivi
        // 
        //Durante la scrittura dei test è possibile utilizzare i seguenti attributi aggiuntivi:
        //
        //Utilizzare ClassInitialize per eseguire il codice prima di eseguire il primo test della classe
        //[ClassInitialize()]
        //public static void MyClassInitialize(TestContext testContext)
        //{
        //}
        //
        //Utilizzare ClassCleanup per eseguire il codice dopo l'esecuzione di tutti i test di una classe
        //[ClassCleanup()]
        //public static void MyClassCleanup()
        //{
        //}
        //
        //Utilizzare TestInitialize per eseguire il codice prima di eseguire ciascun test
        //
        //[TestInitialize()]
        //public void MyTestInitialize()
        //{
        //}
        //Utilizzare TestCleanup per eseguire il codice dopo l'esecuzione di ciascun test
        //[TestCleanup()]
        //public void MyTestCleanup()
        //{
        //}
        //
        #endregion


        /// <summary>
        ///Test per UpdateOrder
        ///</summary>
        // TODO: assicurarsi che l'attributo UrlToTest specifichi l'URL di una pagina ASP.NET (ad esempio,
        // http://.../Default.aspx). La specifica è necessaria per l'esecuzione dello unit test sul server Web
        // per il test di una pagina, un servizio Web o WCF.
        [TestMethod()]
        [HostType("ASP.NET")]
        [AspNetDevelopmentServerHost("C:\\sv\\dotNet\\QuickStock", "/")]
        [UrlToTest("http://localhost:2275/")]
        public void UpdateOrderTest()
        {
            TableAdapterManager target = new TableAdapterManager(); // TODO: Eseguire l'inizializzazione a un valore appropriato
            TableAdapterManager.UpdateOrderOption expected = new TableAdapterManager.UpdateOrderOption(); // TODO: Eseguire l'inizializzazione a un valore appropriato
            TableAdapterManager.UpdateOrderOption actual;
            target.UpdateOrder = expected;
            actual = target.UpdateOrder;
            Assert.AreEqual(expected, actual);
            Assert.Inconclusive("Verificare la correttezza del metodo di test.");
        }

        /// <summary>
        ///Test per TableAdapterInstanceCount
        ///</summary>
        // TODO: assicurarsi che l'attributo UrlToTest specifichi l'URL di una pagina ASP.NET (ad esempio,
        // http://.../Default.aspx). La specifica è necessaria per l'esecuzione dello unit test sul server Web
        // per il test di una pagina, un servizio Web o WCF.
        [TestMethod()]
        [HostType("ASP.NET")]
        [AspNetDevelopmentServerHost("C:\\sv\\dotNet\\QuickStock", "/")]
        [UrlToTest("http://localhost:2275/")]
        public void TableAdapterInstanceCountTest()
        {
            TableAdapterManager target = new TableAdapterManager(); // TODO: Eseguire l'inizializzazione a un valore appropriato
            int actual;
            actual = target.TableAdapterInstanceCount;
            Assert.Inconclusive("Verificare la correttezza del metodo di test.");
        }

        /// <summary>
        ///Test per ORDINE_CLIENTETableAdapter
        ///</summary>
        // TODO: assicurarsi che l'attributo UrlToTest specifichi l'URL di una pagina ASP.NET (ad esempio,
        // http://.../Default.aspx). La specifica è necessaria per l'esecuzione dello unit test sul server Web
        // per il test di una pagina, un servizio Web o WCF.
        [TestMethod()]
        [HostType("ASP.NET")]
        [AspNetDevelopmentServerHost("C:\\sv\\dotNet\\QuickStock", "/")]
        [UrlToTest("http://localhost:2275/")]
        public void ORDINE_CLIENTETableAdapterTest()
        {
            TableAdapterManager target = new TableAdapterManager(); // TODO: Eseguire l'inizializzazione a un valore appropriato
            ORDINE_CLIENTETableAdapter expected = null; // TODO: Eseguire l'inizializzazione a un valore appropriato
            ORDINE_CLIENTETableAdapter actual;
            target.ORDINE_CLIENTETableAdapter = expected;
            actual = target.ORDINE_CLIENTETableAdapter;
            Assert.AreEqual(expected, actual);
            Assert.Inconclusive("Verificare la correttezza del metodo di test.");
        }

        /// <summary>
        ///Test per Connection
        ///</summary>
        // TODO: assicurarsi che l'attributo UrlToTest specifichi l'URL di una pagina ASP.NET (ad esempio,
        // http://.../Default.aspx). La specifica è necessaria per l'esecuzione dello unit test sul server Web
        // per il test di una pagina, un servizio Web o WCF.
        [TestMethod()]
        [HostType("ASP.NET")]
        [AspNetDevelopmentServerHost("C:\\sv\\dotNet\\QuickStock", "/")]
        [UrlToTest("http://localhost:2275/")]
        public void ConnectionTest()
        {
            TableAdapterManager target = new TableAdapterManager(); // TODO: Eseguire l'inizializzazione a un valore appropriato
            IDbConnection expected = null; // TODO: Eseguire l'inizializzazione a un valore appropriato
            IDbConnection actual;
            target.Connection = expected;
            actual = target.Connection;
            Assert.AreEqual(expected, actual);
            Assert.Inconclusive("Verificare la correttezza del metodo di test.");
        }

        /// <summary>
        ///Test per BackupDataSetBeforeUpdate
        ///</summary>
        // TODO: assicurarsi che l'attributo UrlToTest specifichi l'URL di una pagina ASP.NET (ad esempio,
        // http://.../Default.aspx). La specifica è necessaria per l'esecuzione dello unit test sul server Web
        // per il test di una pagina, un servizio Web o WCF.
        [TestMethod()]
        [HostType("ASP.NET")]
        [AspNetDevelopmentServerHost("C:\\sv\\dotNet\\QuickStock", "/")]
        [UrlToTest("http://localhost:2275/")]
        public void BackupDataSetBeforeUpdateTest()
        {
            TableAdapterManager target = new TableAdapterManager(); // TODO: Eseguire l'inizializzazione a un valore appropriato
            bool expected = false; // TODO: Eseguire l'inizializzazione a un valore appropriato
            bool actual;
            target.BackupDataSetBeforeUpdate = expected;
            actual = target.BackupDataSetBeforeUpdate;
            Assert.AreEqual(expected, actual);
            Assert.Inconclusive("Verificare la correttezza del metodo di test.");
        }

        /// <summary>
        ///Test per ARTICOLOTableAdapter
        ///</summary>
        // TODO: assicurarsi che l'attributo UrlToTest specifichi l'URL di una pagina ASP.NET (ad esempio,
        // http://.../Default.aspx). La specifica è necessaria per l'esecuzione dello unit test sul server Web
        // per il test di una pagina, un servizio Web o WCF.
        [TestMethod()]
        [HostType("ASP.NET")]
        [AspNetDevelopmentServerHost("C:\\sv\\dotNet\\QuickStock", "/")]
        [UrlToTest("http://localhost:2275/")]
        public void ARTICOLOTableAdapterTest()
        {
            TableAdapterManager target = new TableAdapterManager(); // TODO: Eseguire l'inizializzazione a un valore appropriato
            ARTICOLOTableAdapter expected = null; // TODO: Eseguire l'inizializzazione a un valore appropriato
            ARTICOLOTableAdapter actual;
            target.ARTICOLOTableAdapter = expected;
            actual = target.ARTICOLOTableAdapter;
            Assert.AreEqual(expected, actual);
            Assert.Inconclusive("Verificare la correttezza del metodo di test.");
        }

        /// <summary>
        ///Test per ARTICOLI_ORDINE_FORNITORETableAdapter
        ///</summary>
        // TODO: assicurarsi che l'attributo UrlToTest specifichi l'URL di una pagina ASP.NET (ad esempio,
        // http://.../Default.aspx). La specifica è necessaria per l'esecuzione dello unit test sul server Web
        // per il test di una pagina, un servizio Web o WCF.
        [TestMethod()]
        [HostType("ASP.NET")]
        [AspNetDevelopmentServerHost("C:\\sv\\dotNet\\QuickStock", "/")]
        [UrlToTest("http://localhost:2275/")]
        public void ARTICOLI_ORDINE_FORNITORETableAdapterTest()
        {
            TableAdapterManager target = new TableAdapterManager(); // TODO: Eseguire l'inizializzazione a un valore appropriato
            ARTICOLI_ORDINE_FORNITORETableAdapter expected = null; // TODO: Eseguire l'inizializzazione a un valore appropriato
            ARTICOLI_ORDINE_FORNITORETableAdapter actual;
            target.ARTICOLI_ORDINE_FORNITORETableAdapter = expected;
            actual = target.ARTICOLI_ORDINE_FORNITORETableAdapter;
            Assert.AreEqual(expected, actual);
            Assert.Inconclusive("Verificare la correttezza del metodo di test.");
        }

        /// <summary>
        ///Test per ARTICOLI_ORDINE_CLIENTETableAdapter
        ///</summary>
        // TODO: assicurarsi che l'attributo UrlToTest specifichi l'URL di una pagina ASP.NET (ad esempio,
        // http://.../Default.aspx). La specifica è necessaria per l'esecuzione dello unit test sul server Web
        // per il test di una pagina, un servizio Web o WCF.
        [TestMethod()]
        [HostType("ASP.NET")]
        [AspNetDevelopmentServerHost("C:\\sv\\dotNet\\QuickStock", "/")]
        [UrlToTest("http://localhost:2275/")]
        public void ARTICOLI_ORDINE_CLIENTETableAdapterTest()
        {
            TableAdapterManager target = new TableAdapterManager(); // TODO: Eseguire l'inizializzazione a un valore appropriato
            ARTICOLI_ORDINE_CLIENTETableAdapter expected = null; // TODO: Eseguire l'inizializzazione a un valore appropriato
            ARTICOLI_ORDINE_CLIENTETableAdapter actual;
            target.ARTICOLI_ORDINE_CLIENTETableAdapter = expected;
            actual = target.ARTICOLI_ORDINE_CLIENTETableAdapter;
            Assert.AreEqual(expected, actual);
            Assert.Inconclusive("Verificare la correttezza del metodo di test.");
        }

        /// <summary>
        ///Test per UpdateUpdatedRows
        ///</summary>
        // TODO: assicurarsi che l'attributo UrlToTest specifichi l'URL di una pagina ASP.NET (ad esempio,
        // http://.../Default.aspx). La specifica è necessaria per l'esecuzione dello unit test sul server Web
        // per il test di una pagina, un servizio Web o WCF.
        [TestMethod()]
        [HostType("ASP.NET")]
        [AspNetDevelopmentServerHost("C:\\sv\\dotNet\\QuickStock", "/")]
        [UrlToTest("http://localhost:2275/")]
        [DeploymentItem("QuickStock.dll")]
        public void UpdateUpdatedRowsTest()
        {
            TableAdapterManager_Accessor target = new TableAdapterManager_Accessor(); // TODO: Eseguire l'inizializzazione a un valore appropriato
            DSOrdini dataSet = null; // TODO: Eseguire l'inizializzazione a un valore appropriato
            List<DataRow> allChangedRows = null; // TODO: Eseguire l'inizializzazione a un valore appropriato
            List<DataRow> allAddedRows = null; // TODO: Eseguire l'inizializzazione a un valore appropriato
            int expected = 0; // TODO: Eseguire l'inizializzazione a un valore appropriato
            int actual;
            actual = target.UpdateUpdatedRows(dataSet, allChangedRows, allAddedRows);
            Assert.AreEqual(expected, actual);
            Assert.Inconclusive("Verificare la correttezza del metodo di test.");
        }

        /// <summary>
        ///Test per UpdateInsertedRows
        ///</summary>
        // TODO: assicurarsi che l'attributo UrlToTest specifichi l'URL di una pagina ASP.NET (ad esempio,
        // http://.../Default.aspx). La specifica è necessaria per l'esecuzione dello unit test sul server Web
        // per il test di una pagina, un servizio Web o WCF.
        [TestMethod()]
        [HostType("ASP.NET")]
        [AspNetDevelopmentServerHost("C:\\sv\\dotNet\\QuickStock", "/")]
        [UrlToTest("http://localhost:2275/")]
        [DeploymentItem("QuickStock.dll")]
        public void UpdateInsertedRowsTest()
        {
            TableAdapterManager_Accessor target = new TableAdapterManager_Accessor(); // TODO: Eseguire l'inizializzazione a un valore appropriato
            DSOrdini dataSet = null; // TODO: Eseguire l'inizializzazione a un valore appropriato
            List<DataRow> allAddedRows = null; // TODO: Eseguire l'inizializzazione a un valore appropriato
            int expected = 0; // TODO: Eseguire l'inizializzazione a un valore appropriato
            int actual;
            actual = target.UpdateInsertedRows(dataSet, allAddedRows);
            Assert.AreEqual(expected, actual);
            Assert.Inconclusive("Verificare la correttezza del metodo di test.");
        }

        /// <summary>
        ///Test per UpdateDeletedRows
        ///</summary>
        // TODO: assicurarsi che l'attributo UrlToTest specifichi l'URL di una pagina ASP.NET (ad esempio,
        // http://.../Default.aspx). La specifica è necessaria per l'esecuzione dello unit test sul server Web
        // per il test di una pagina, un servizio Web o WCF.
        [TestMethod()]
        [HostType("ASP.NET")]
        [AspNetDevelopmentServerHost("C:\\sv\\dotNet\\QuickStock", "/")]
        [UrlToTest("http://localhost:2275/")]
        [DeploymentItem("QuickStock.dll")]
        public void UpdateDeletedRowsTest()
        {
            TableAdapterManager_Accessor target = new TableAdapterManager_Accessor(); // TODO: Eseguire l'inizializzazione a un valore appropriato
            DSOrdini dataSet = null; // TODO: Eseguire l'inizializzazione a un valore appropriato
            List<DataRow> allChangedRows = null; // TODO: Eseguire l'inizializzazione a un valore appropriato
            int expected = 0; // TODO: Eseguire l'inizializzazione a un valore appropriato
            int actual;
            actual = target.UpdateDeletedRows(dataSet, allChangedRows);
            Assert.AreEqual(expected, actual);
            Assert.Inconclusive("Verificare la correttezza del metodo di test.");
        }

        /// <summary>
        ///Test per UpdateAll
        ///</summary>
        // TODO: assicurarsi che l'attributo UrlToTest specifichi l'URL di una pagina ASP.NET (ad esempio,
        // http://.../Default.aspx). La specifica è necessaria per l'esecuzione dello unit test sul server Web
        // per il test di una pagina, un servizio Web o WCF.
        [TestMethod()]
        [HostType("ASP.NET")]
        [AspNetDevelopmentServerHost("C:\\sv\\dotNet\\QuickStock", "/")]
        [UrlToTest("http://localhost:2275/")]
        public void UpdateAllTest()
        {
            TableAdapterManager target = new TableAdapterManager(); // TODO: Eseguire l'inizializzazione a un valore appropriato
            DSOrdini dataSet = null; // TODO: Eseguire l'inizializzazione a un valore appropriato
            int expected = 0; // TODO: Eseguire l'inizializzazione a un valore appropriato
            int actual;
            actual = target.UpdateAll(dataSet);
            Assert.AreEqual(expected, actual);
            Assert.Inconclusive("Verificare la correttezza del metodo di test.");
        }

        /// <summary>
        ///Test per SortSelfReferenceRows
        ///</summary>
        // TODO: assicurarsi che l'attributo UrlToTest specifichi l'URL di una pagina ASP.NET (ad esempio,
        // http://.../Default.aspx). La specifica è necessaria per l'esecuzione dello unit test sul server Web
        // per il test di una pagina, un servizio Web o WCF.
        [TestMethod()]
        [HostType("ASP.NET")]
        [AspNetDevelopmentServerHost("C:\\sv\\dotNet\\QuickStock", "/")]
        [UrlToTest("http://localhost:2275/")]
        [DeploymentItem("QuickStock.dll")]
        public void SortSelfReferenceRowsTest()
        {
            TableAdapterManager_Accessor target = new TableAdapterManager_Accessor(); // TODO: Eseguire l'inizializzazione a un valore appropriato
            DataRow[] rows = null; // TODO: Eseguire l'inizializzazione a un valore appropriato
            DataRelation relation = null; // TODO: Eseguire l'inizializzazione a un valore appropriato
            bool childFirst = false; // TODO: Eseguire l'inizializzazione a un valore appropriato
            target.SortSelfReferenceRows(rows, relation, childFirst);
            Assert.Inconclusive("Impossibile verificare un metodo che non restituisce valori.");
        }

        /// <summary>
        ///Test per MatchTableAdapterConnection
        ///</summary>
        // TODO: assicurarsi che l'attributo UrlToTest specifichi l'URL di una pagina ASP.NET (ad esempio,
        // http://.../Default.aspx). La specifica è necessaria per l'esecuzione dello unit test sul server Web
        // per il test di una pagina, un servizio Web o WCF.
        [TestMethod()]
        [HostType("ASP.NET")]
        [AspNetDevelopmentServerHost("C:\\sv\\dotNet\\QuickStock", "/")]
        [UrlToTest("http://localhost:2275/")]
        [DeploymentItem("QuickStock.dll")]
        public void MatchTableAdapterConnectionTest()
        {
            TableAdapterManager_Accessor target = new TableAdapterManager_Accessor(); // TODO: Eseguire l'inizializzazione a un valore appropriato
            IDbConnection inputConnection = null; // TODO: Eseguire l'inizializzazione a un valore appropriato
            bool expected = false; // TODO: Eseguire l'inizializzazione a un valore appropriato
            bool actual;
            actual = target.MatchTableAdapterConnection(inputConnection);
            Assert.AreEqual(expected, actual);
            Assert.Inconclusive("Verificare la correttezza del metodo di test.");
        }

        /// <summary>
        ///Test per GetRealUpdatedRows
        ///</summary>
        // TODO: assicurarsi che l'attributo UrlToTest specifichi l'URL di una pagina ASP.NET (ad esempio,
        // http://.../Default.aspx). La specifica è necessaria per l'esecuzione dello unit test sul server Web
        // per il test di una pagina, un servizio Web o WCF.
        [TestMethod()]
        [HostType("ASP.NET")]
        [AspNetDevelopmentServerHost("C:\\sv\\dotNet\\QuickStock", "/")]
        [UrlToTest("http://localhost:2275/")]
        [DeploymentItem("QuickStock.dll")]
        public void GetRealUpdatedRowsTest()
        {
            TableAdapterManager_Accessor target = new TableAdapterManager_Accessor(); // TODO: Eseguire l'inizializzazione a un valore appropriato
            DataRow[] updatedRows = null; // TODO: Eseguire l'inizializzazione a un valore appropriato
            List<DataRow> allAddedRows = null; // TODO: Eseguire l'inizializzazione a un valore appropriato
            DataRow[] expected = null; // TODO: Eseguire l'inizializzazione a un valore appropriato
            DataRow[] actual;
            actual = target.GetRealUpdatedRows(updatedRows, allAddedRows);
            Assert.AreEqual(expected, actual);
            Assert.Inconclusive("Verificare la correttezza del metodo di test.");
        }

        /// <summary>
        ///Test per Costruttore TableAdapterManager
        ///</summary>
        // TODO: assicurarsi che l'attributo UrlToTest specifichi l'URL di una pagina ASP.NET (ad esempio,
        // http://.../Default.aspx). La specifica è necessaria per l'esecuzione dello unit test sul server Web
        // per il test di una pagina, un servizio Web o WCF.
        [TestMethod()]
        [HostType("ASP.NET")]
        [AspNetDevelopmentServerHost("C:\\sv\\dotNet\\QuickStock", "/")]
        [UrlToTest("http://localhost:2275/")]
        public void TableAdapterManagerConstructorTest()
        {
            TableAdapterManager target = new TableAdapterManager();
            Assert.Inconclusive("TODO: Implementare il codice per la verifica della destinazione");
        }
    }
}
