﻿using QuickStock.Model.DSOrdiniTableAdapters;
using Microsoft.VisualStudio.TestTools.UnitTesting;
using Microsoft.VisualStudio.TestTools.UnitTesting.Web;
using QuickStock.Model;
using System;
using System.Data;
using System.Data.SqlClient;

namespace TestProject1
{
    
    
    /// <summary>
    ///Classe di test per ARTICOLOTableAdapterTest.
    ///Creata per contenere tutti gli unit test ARTICOLOTableAdapterTest
    ///</summary>
    [TestClass()]
    public class ARTICOLOTableAdapterTest
    {


        private TestContext testContextInstance;

        /// <summary>
        ///Ottiene o imposta il contesto dei test, che fornisce
        ///funzionalità e informazioni sull'esecuzione dei test corrente.
        ///</summary>
        public TestContext TestContext
        {
            get
            {
                return testContextInstance;
            }
            set
            {
                testContextInstance = value;
            }
        }

        #region Attributi di test aggiuntivi
        // 
        //Durante la scrittura dei test è possibile utilizzare i seguenti attributi aggiuntivi:
        //
        //Utilizzare ClassInitialize per eseguire il codice prima di eseguire il primo test della classe
        //[ClassInitialize()]
        //public static void MyClassInitialize(TestContext testContext)
        //{
        //}
        //
        //Utilizzare ClassCleanup per eseguire il codice dopo l'esecuzione di tutti i test di una classe
        //[ClassCleanup()]
        //public static void MyClassCleanup()
        //{
        //}
        //
        //Utilizzare TestInitialize per eseguire il codice prima di eseguire ciascun test
        //
        //[TestInitialize()]
        //public void MyTestInitialize()
        //{
        //}
        //Utilizzare TestCleanup per eseguire il codice dopo l'esecuzione di ciascun test
        //[TestCleanup()]
        //public void MyTestCleanup()
        //{
        //}
        //
        #endregion


        /// <summary>
        ///Test per Transaction
        ///</summary>
        // TODO: assicurarsi che l'attributo UrlToTest specifichi l'URL di una pagina ASP.NET (ad esempio,
        // http://.../Default.aspx). La specifica è necessaria per l'esecuzione dello unit test sul server Web
        // per il test di una pagina, un servizio Web o WCF.
        [TestMethod()]
        [HostType("ASP.NET")]
        [AspNetDevelopmentServerHost("C:\\sv\\dotNet\\QuickStock", "/")]
        [UrlToTest("http://localhost:2275/")]
        public void TransactionTest()
        {
            ARTICOLOTableAdapter target = new ARTICOLOTableAdapter(); // TODO: Eseguire l'inizializzazione a un valore appropriato
            SqlTransaction expected = null; // TODO: Eseguire l'inizializzazione a un valore appropriato
            SqlTransaction actual;
            target.Transaction = expected;
            actual = target.Transaction;
            Assert.AreEqual(expected, actual);
            Assert.Inconclusive("Verificare la correttezza del metodo di test.");
        }

        /// <summary>
        ///Test per Connection
        ///</summary>
        // TODO: assicurarsi che l'attributo UrlToTest specifichi l'URL di una pagina ASP.NET (ad esempio,
        // http://.../Default.aspx). La specifica è necessaria per l'esecuzione dello unit test sul server Web
        // per il test di una pagina, un servizio Web o WCF.
        [TestMethod()]
        [HostType("ASP.NET")]
        [AspNetDevelopmentServerHost("C:\\sv\\dotNet\\QuickStock", "/")]
        [UrlToTest("http://localhost:2275/")]
        public void ConnectionTest()
        {
            ARTICOLOTableAdapter target = new ARTICOLOTableAdapter(); // TODO: Eseguire l'inizializzazione a un valore appropriato
            SqlConnection expected = null; // TODO: Eseguire l'inizializzazione a un valore appropriato
            SqlConnection actual;
            target.Connection = expected;
            actual = target.Connection;
            Assert.AreEqual(expected, actual);
            Assert.Inconclusive("Verificare la correttezza del metodo di test.");
        }

        /// <summary>
        ///Test per CommandCollection
        ///</summary>
        // TODO: assicurarsi che l'attributo UrlToTest specifichi l'URL di una pagina ASP.NET (ad esempio,
        // http://.../Default.aspx). La specifica è necessaria per l'esecuzione dello unit test sul server Web
        // per il test di una pagina, un servizio Web o WCF.
        [TestMethod()]
        [HostType("ASP.NET")]
        [AspNetDevelopmentServerHost("C:\\sv\\dotNet\\QuickStock", "/")]
        [UrlToTest("http://localhost:2275/")]
        [DeploymentItem("QuickStock.dll")]
        public void CommandCollectionTest()
        {
            ARTICOLOTableAdapter_Accessor target = new ARTICOLOTableAdapter_Accessor(); // TODO: Eseguire l'inizializzazione a un valore appropriato
            SqlCommand[] actual;
            actual = target.CommandCollection;
            Assert.Inconclusive("Verificare la correttezza del metodo di test.");
        }

        /// <summary>
        ///Test per ClearBeforeFill
        ///</summary>
        // TODO: assicurarsi che l'attributo UrlToTest specifichi l'URL di una pagina ASP.NET (ad esempio,
        // http://.../Default.aspx). La specifica è necessaria per l'esecuzione dello unit test sul server Web
        // per il test di una pagina, un servizio Web o WCF.
        [TestMethod()]
        [HostType("ASP.NET")]
        [AspNetDevelopmentServerHost("C:\\sv\\dotNet\\QuickStock", "/")]
        [UrlToTest("http://localhost:2275/")]
        public void ClearBeforeFillTest()
        {
            ARTICOLOTableAdapter target = new ARTICOLOTableAdapter(); // TODO: Eseguire l'inizializzazione a un valore appropriato
            bool expected = false; // TODO: Eseguire l'inizializzazione a un valore appropriato
            bool actual;
            target.ClearBeforeFill = expected;
            actual = target.ClearBeforeFill;
            Assert.AreEqual(expected, actual);
            Assert.Inconclusive("Verificare la correttezza del metodo di test.");
        }

        /// <summary>
        ///Test per Adapter
        ///</summary>
        // TODO: assicurarsi che l'attributo UrlToTest specifichi l'URL di una pagina ASP.NET (ad esempio,
        // http://.../Default.aspx). La specifica è necessaria per l'esecuzione dello unit test sul server Web
        // per il test di una pagina, un servizio Web o WCF.
        [TestMethod()]
        [HostType("ASP.NET")]
        [AspNetDevelopmentServerHost("C:\\sv\\dotNet\\QuickStock", "/")]
        [UrlToTest("http://localhost:2275/")]
        public void AdapterTest()
        {
            ARTICOLOTableAdapter target = new ARTICOLOTableAdapter(); // TODO: Eseguire l'inizializzazione a un valore appropriato
            SqlDataAdapter actual;
            actual = target.Adapter;
            Assert.Inconclusive("Verificare la correttezza del metodo di test.");
        }

        /// <summary>
        ///Test per Update
        ///</summary>
        // TODO: assicurarsi che l'attributo UrlToTest specifichi l'URL di una pagina ASP.NET (ad esempio,
        // http://.../Default.aspx). La specifica è necessaria per l'esecuzione dello unit test sul server Web
        // per il test di una pagina, un servizio Web o WCF.
        [TestMethod()]
        [HostType("ASP.NET")]
        [AspNetDevelopmentServerHost("C:\\sv\\dotNet\\QuickStock", "/")]
        [UrlToTest("http://localhost:2275/")]
        public void UpdateTest5()
        {
            ARTICOLOTableAdapter target = new ARTICOLOTableAdapter(); // TODO: Eseguire l'inizializzazione a un valore appropriato
            DataRow dataRow = null; // TODO: Eseguire l'inizializzazione a un valore appropriato
            int expected = 0; // TODO: Eseguire l'inizializzazione a un valore appropriato
            int actual;
            actual = target.Update(dataRow);
            Assert.AreEqual(expected, actual);
            Assert.Inconclusive("Verificare la correttezza del metodo di test.");
        }

        /// <summary>
        ///Test per Update
        ///</summary>
        // TODO: assicurarsi che l'attributo UrlToTest specifichi l'URL di una pagina ASP.NET (ad esempio,
        // http://.../Default.aspx). La specifica è necessaria per l'esecuzione dello unit test sul server Web
        // per il test di una pagina, un servizio Web o WCF.
        [TestMethod()]
        [HostType("ASP.NET")]
        [AspNetDevelopmentServerHost("C:\\sv\\dotNet\\QuickStock", "/")]
        [UrlToTest("http://localhost:2275/")]
        public void UpdateTest4()
        {
            ARTICOLOTableAdapter target = new ARTICOLOTableAdapter(); // TODO: Eseguire l'inizializzazione a un valore appropriato
            DataRow[] dataRows = null; // TODO: Eseguire l'inizializzazione a un valore appropriato
            int expected = 0; // TODO: Eseguire l'inizializzazione a un valore appropriato
            int actual;
            actual = target.Update(dataRows);
            Assert.AreEqual(expected, actual);
            Assert.Inconclusive("Verificare la correttezza del metodo di test.");
        }

        /// <summary>
        ///Test per Update
        ///</summary>
        // TODO: assicurarsi che l'attributo UrlToTest specifichi l'URL di una pagina ASP.NET (ad esempio,
        // http://.../Default.aspx). La specifica è necessaria per l'esecuzione dello unit test sul server Web
        // per il test di una pagina, un servizio Web o WCF.
        [TestMethod()]
        [HostType("ASP.NET")]
        [AspNetDevelopmentServerHost("C:\\sv\\dotNet\\QuickStock", "/")]
        [UrlToTest("http://localhost:2275/")]
        public void UpdateTest3()
        {
            ARTICOLOTableAdapter target = new ARTICOLOTableAdapter(); // TODO: Eseguire l'inizializzazione a un valore appropriato
            DSOrdini.ARTICOLODataTable dataTable = null; // TODO: Eseguire l'inizializzazione a un valore appropriato
            int expected = 0; // TODO: Eseguire l'inizializzazione a un valore appropriato
            int actual;
            actual = target.Update(dataTable);
            Assert.AreEqual(expected, actual);
            Assert.Inconclusive("Verificare la correttezza del metodo di test.");
        }

        /// <summary>
        ///Test per Update
        ///</summary>
        // TODO: assicurarsi che l'attributo UrlToTest specifichi l'URL di una pagina ASP.NET (ad esempio,
        // http://.../Default.aspx). La specifica è necessaria per l'esecuzione dello unit test sul server Web
        // per il test di una pagina, un servizio Web o WCF.
        [TestMethod()]
        [HostType("ASP.NET")]
        [AspNetDevelopmentServerHost("C:\\sv\\dotNet\\QuickStock", "/")]
        [UrlToTest("http://localhost:2275/")]
        public void UpdateTest2()
        {
            ARTICOLOTableAdapter target = new ARTICOLOTableAdapter(); // TODO: Eseguire l'inizializzazione a un valore appropriato
            DSOrdini dataSet = null; // TODO: Eseguire l'inizializzazione a un valore appropriato
            int expected = 0; // TODO: Eseguire l'inizializzazione a un valore appropriato
            int actual;
            actual = target.Update(dataSet);
            Assert.AreEqual(expected, actual);
            Assert.Inconclusive("Verificare la correttezza del metodo di test.");
        }

        /// <summary>
        ///Test per Update
        ///</summary>
        // TODO: assicurarsi che l'attributo UrlToTest specifichi l'URL di una pagina ASP.NET (ad esempio,
        // http://.../Default.aspx). La specifica è necessaria per l'esecuzione dello unit test sul server Web
        // per il test di una pagina, un servizio Web o WCF.
        [TestMethod()]
        [HostType("ASP.NET")]
        [AspNetDevelopmentServerHost("C:\\sv\\dotNet\\QuickStock", "/")]
        [UrlToTest("http://localhost:2275/")]
        public void UpdateTest1()
        {
            ARTICOLOTableAdapter target = new ARTICOLOTableAdapter(); // TODO: Eseguire l'inizializzazione a un valore appropriato
            string CODICE_ARTICOLO = string.Empty; // TODO: Eseguire l'inizializzazione a un valore appropriato
            string DESCRIZIONE_ARTICOLO = string.Empty; // TODO: Eseguire l'inizializzazione a un valore appropriato
            string TIPO_ARTICOLO = string.Empty; // TODO: Eseguire l'inizializzazione a un valore appropriato
            string CLASSSE_ARTICOLO = string.Empty; // TODO: Eseguire l'inizializzazione a un valore appropriato
            string CATEGORIA_ARTICOLO = string.Empty; // TODO: Eseguire l'inizializzazione a un valore appropriato
            Nullable<double> PREZZO_ACQUISTO_ARTICOLO = new Nullable<double>(); // TODO: Eseguire l'inizializzazione a un valore appropriato
            string UNITA_MISURA_ARTICOLO = string.Empty; // TODO: Eseguire l'inizializzazione a un valore appropriato
            Nullable<int> PEZZI_PER_SCATOLA_ARTICOLO = new Nullable<int>(); // TODO: Eseguire l'inizializzazione a un valore appropriato
            int ID_PRODUTTORE_ARTICOLO = 0; // TODO: Eseguire l'inizializzazione a un valore appropriato
            Nullable<double> PESO_ARTICOLO = new Nullable<double>(); // TODO: Eseguire l'inizializzazione a un valore appropriato
            string Original_CODICE_ARTICOLO = string.Empty; // TODO: Eseguire l'inizializzazione a un valore appropriato
            int expected = 0; // TODO: Eseguire l'inizializzazione a un valore appropriato
            int actual;
            actual = target.Update(CODICE_ARTICOLO, DESCRIZIONE_ARTICOLO, TIPO_ARTICOLO, CLASSSE_ARTICOLO, CATEGORIA_ARTICOLO, PREZZO_ACQUISTO_ARTICOLO, UNITA_MISURA_ARTICOLO, PEZZI_PER_SCATOLA_ARTICOLO, ID_PRODUTTORE_ARTICOLO, PESO_ARTICOLO, Original_CODICE_ARTICOLO);
            Assert.AreEqual(expected, actual);
            Assert.Inconclusive("Verificare la correttezza del metodo di test.");
        }

        /// <summary>
        ///Test per Update
        ///</summary>
        // TODO: assicurarsi che l'attributo UrlToTest specifichi l'URL di una pagina ASP.NET (ad esempio,
        // http://.../Default.aspx). La specifica è necessaria per l'esecuzione dello unit test sul server Web
        // per il test di una pagina, un servizio Web o WCF.
        [TestMethod()]
        [HostType("ASP.NET")]
        [AspNetDevelopmentServerHost("C:\\sv\\dotNet\\QuickStock", "/")]
        [UrlToTest("http://localhost:2275/")]
        public void UpdateTest()
        {
            ARTICOLOTableAdapter target = new ARTICOLOTableAdapter(); // TODO: Eseguire l'inizializzazione a un valore appropriato
            string DESCRIZIONE_ARTICOLO = string.Empty; // TODO: Eseguire l'inizializzazione a un valore appropriato
            string TIPO_ARTICOLO = string.Empty; // TODO: Eseguire l'inizializzazione a un valore appropriato
            string CLASSSE_ARTICOLO = string.Empty; // TODO: Eseguire l'inizializzazione a un valore appropriato
            string CATEGORIA_ARTICOLO = string.Empty; // TODO: Eseguire l'inizializzazione a un valore appropriato
            Nullable<double> PREZZO_ACQUISTO_ARTICOLO = new Nullable<double>(); // TODO: Eseguire l'inizializzazione a un valore appropriato
            string UNITA_MISURA_ARTICOLO = string.Empty; // TODO: Eseguire l'inizializzazione a un valore appropriato
            Nullable<int> PEZZI_PER_SCATOLA_ARTICOLO = new Nullable<int>(); // TODO: Eseguire l'inizializzazione a un valore appropriato
            int ID_PRODUTTORE_ARTICOLO = 0; // TODO: Eseguire l'inizializzazione a un valore appropriato
            Nullable<double> PESO_ARTICOLO = new Nullable<double>(); // TODO: Eseguire l'inizializzazione a un valore appropriato
            string Original_CODICE_ARTICOLO = string.Empty; // TODO: Eseguire l'inizializzazione a un valore appropriato
            int expected = 0; // TODO: Eseguire l'inizializzazione a un valore appropriato
            int actual;
            actual = target.Update(DESCRIZIONE_ARTICOLO, TIPO_ARTICOLO, CLASSSE_ARTICOLO, CATEGORIA_ARTICOLO, PREZZO_ACQUISTO_ARTICOLO, UNITA_MISURA_ARTICOLO, PEZZI_PER_SCATOLA_ARTICOLO, ID_PRODUTTORE_ARTICOLO, PESO_ARTICOLO, Original_CODICE_ARTICOLO);
            Assert.AreEqual(expected, actual);
            Assert.Inconclusive("Verificare la correttezza del metodo di test.");
        }

        /// <summary>
        ///Test per Insert
        ///</summary>
        // TODO: assicurarsi che l'attributo UrlToTest specifichi l'URL di una pagina ASP.NET (ad esempio,
        // http://.../Default.aspx). La specifica è necessaria per l'esecuzione dello unit test sul server Web
        // per il test di una pagina, un servizio Web o WCF.
        [TestMethod()]
        [HostType("ASP.NET")]
        [AspNetDevelopmentServerHost("C:\\sv\\dotNet\\QuickStock", "/")]
        [UrlToTest("http://localhost:2275/")]
        public void InsertTest()
        {
            ARTICOLOTableAdapter target = new ARTICOLOTableAdapter(); // TODO: Eseguire l'inizializzazione a un valore appropriato
            string CODICE_ARTICOLO = string.Empty; // TODO: Eseguire l'inizializzazione a un valore appropriato
            string DESCRIZIONE_ARTICOLO = string.Empty; // TODO: Eseguire l'inizializzazione a un valore appropriato
            string TIPO_ARTICOLO = string.Empty; // TODO: Eseguire l'inizializzazione a un valore appropriato
            string CLASSSE_ARTICOLO = string.Empty; // TODO: Eseguire l'inizializzazione a un valore appropriato
            string CATEGORIA_ARTICOLO = string.Empty; // TODO: Eseguire l'inizializzazione a un valore appropriato
            Nullable<double> PREZZO_ACQUISTO_ARTICOLO = new Nullable<double>(); // TODO: Eseguire l'inizializzazione a un valore appropriato
            string UNITA_MISURA_ARTICOLO = string.Empty; // TODO: Eseguire l'inizializzazione a un valore appropriato
            Nullable<int> PEZZI_PER_SCATOLA_ARTICOLO = new Nullable<int>(); // TODO: Eseguire l'inizializzazione a un valore appropriato
            int ID_PRODUTTORE_ARTICOLO = 0; // TODO: Eseguire l'inizializzazione a un valore appropriato
            Nullable<double> PESO_ARTICOLO = new Nullable<double>(); // TODO: Eseguire l'inizializzazione a un valore appropriato
            int expected = 0; // TODO: Eseguire l'inizializzazione a un valore appropriato
            int actual;
            actual = target.Insert(CODICE_ARTICOLO, DESCRIZIONE_ARTICOLO, TIPO_ARTICOLO, CLASSSE_ARTICOLO, CATEGORIA_ARTICOLO, PREZZO_ACQUISTO_ARTICOLO, UNITA_MISURA_ARTICOLO, PEZZI_PER_SCATOLA_ARTICOLO, ID_PRODUTTORE_ARTICOLO, PESO_ARTICOLO);
            Assert.AreEqual(expected, actual);
            Assert.Inconclusive("Verificare la correttezza del metodo di test.");
        }

        /// <summary>
        ///Test per InitConnection
        ///</summary>
        // TODO: assicurarsi che l'attributo UrlToTest specifichi l'URL di una pagina ASP.NET (ad esempio,
        // http://.../Default.aspx). La specifica è necessaria per l'esecuzione dello unit test sul server Web
        // per il test di una pagina, un servizio Web o WCF.
        [TestMethod()]
        [HostType("ASP.NET")]
        [AspNetDevelopmentServerHost("C:\\sv\\dotNet\\QuickStock", "/")]
        [UrlToTest("http://localhost:2275/")]
        [DeploymentItem("QuickStock.dll")]
        public void InitConnectionTest()
        {
            ARTICOLOTableAdapter_Accessor target = new ARTICOLOTableAdapter_Accessor(); // TODO: Eseguire l'inizializzazione a un valore appropriato
            target.InitConnection();
            Assert.Inconclusive("Impossibile verificare un metodo che non restituisce valori.");
        }

        /// <summary>
        ///Test per InitCommandCollection
        ///</summary>
        // TODO: assicurarsi che l'attributo UrlToTest specifichi l'URL di una pagina ASP.NET (ad esempio,
        // http://.../Default.aspx). La specifica è necessaria per l'esecuzione dello unit test sul server Web
        // per il test di una pagina, un servizio Web o WCF.
        [TestMethod()]
        [HostType("ASP.NET")]
        [AspNetDevelopmentServerHost("C:\\sv\\dotNet\\QuickStock", "/")]
        [UrlToTest("http://localhost:2275/")]
        [DeploymentItem("QuickStock.dll")]
        public void InitCommandCollectionTest()
        {
            ARTICOLOTableAdapter_Accessor target = new ARTICOLOTableAdapter_Accessor(); // TODO: Eseguire l'inizializzazione a un valore appropriato
            target.InitCommandCollection();
            Assert.Inconclusive("Impossibile verificare un metodo che non restituisce valori.");
        }

        /// <summary>
        ///Test per InitAdapter
        ///</summary>
        // TODO: assicurarsi che l'attributo UrlToTest specifichi l'URL di una pagina ASP.NET (ad esempio,
        // http://.../Default.aspx). La specifica è necessaria per l'esecuzione dello unit test sul server Web
        // per il test di una pagina, un servizio Web o WCF.
        [TestMethod()]
        [HostType("ASP.NET")]
        [AspNetDevelopmentServerHost("C:\\sv\\dotNet\\QuickStock", "/")]
        [UrlToTest("http://localhost:2275/")]
        [DeploymentItem("QuickStock.dll")]
        public void InitAdapterTest()
        {
            ARTICOLOTableAdapter_Accessor target = new ARTICOLOTableAdapter_Accessor(); // TODO: Eseguire l'inizializzazione a un valore appropriato
            target.InitAdapter();
            Assert.Inconclusive("Impossibile verificare un metodo che non restituisce valori.");
        }

        /// <summary>
        ///Test per GetData
        ///</summary>
        // TODO: assicurarsi che l'attributo UrlToTest specifichi l'URL di una pagina ASP.NET (ad esempio,
        // http://.../Default.aspx). La specifica è necessaria per l'esecuzione dello unit test sul server Web
        // per il test di una pagina, un servizio Web o WCF.
        [TestMethod()]
        [HostType("ASP.NET")]
        [AspNetDevelopmentServerHost("C:\\sv\\dotNet\\QuickStock", "/")]
        [UrlToTest("http://localhost:2275/")]
        public void GetDataTest()
        {
            ARTICOLOTableAdapter target = new ARTICOLOTableAdapter(); // TODO: Eseguire l'inizializzazione a un valore appropriato
            DSOrdini.ARTICOLODataTable expected = null; // TODO: Eseguire l'inizializzazione a un valore appropriato
            DSOrdini.ARTICOLODataTable actual;
            actual = target.GetData();
            Assert.AreEqual(expected, actual);
            Assert.Inconclusive("Verificare la correttezza del metodo di test.");
        }

        /// <summary>
        ///Test per Fill
        ///</summary>
        // TODO: assicurarsi che l'attributo UrlToTest specifichi l'URL di una pagina ASP.NET (ad esempio,
        // http://.../Default.aspx). La specifica è necessaria per l'esecuzione dello unit test sul server Web
        // per il test di una pagina, un servizio Web o WCF.
        [TestMethod()]
        [HostType("ASP.NET")]
        [AspNetDevelopmentServerHost("C:\\sv\\dotNet\\QuickStock", "/")]
        [UrlToTest("http://localhost:2275/")]
        public void FillTest()
        {
            ARTICOLOTableAdapter target = new ARTICOLOTableAdapter(); // TODO: Eseguire l'inizializzazione a un valore appropriato
            DSOrdini.ARTICOLODataTable dataTable = null; // TODO: Eseguire l'inizializzazione a un valore appropriato
            int expected = 0; // TODO: Eseguire l'inizializzazione a un valore appropriato
            int actual;
            actual = target.Fill(dataTable);
            Assert.AreEqual(expected, actual);
            Assert.Inconclusive("Verificare la correttezza del metodo di test.");
        }

        /// <summary>
        ///Test per Delete
        ///</summary>
        // TODO: assicurarsi che l'attributo UrlToTest specifichi l'URL di una pagina ASP.NET (ad esempio,
        // http://.../Default.aspx). La specifica è necessaria per l'esecuzione dello unit test sul server Web
        // per il test di una pagina, un servizio Web o WCF.
        [TestMethod()]
        [HostType("ASP.NET")]
        [AspNetDevelopmentServerHost("C:\\sv\\dotNet\\QuickStock", "/")]
        [UrlToTest("http://localhost:2275/")]
        public void DeleteTest()
        {
            ARTICOLOTableAdapter target = new ARTICOLOTableAdapter(); // TODO: Eseguire l'inizializzazione a un valore appropriato
            string Original_CODICE_ARTICOLO = string.Empty; // TODO: Eseguire l'inizializzazione a un valore appropriato
            int expected = 0; // TODO: Eseguire l'inizializzazione a un valore appropriato
            int actual;
            actual = target.Delete(Original_CODICE_ARTICOLO);
            Assert.AreEqual(expected, actual);
            Assert.Inconclusive("Verificare la correttezza del metodo di test.");
        }

        /// <summary>
        ///Test per Costruttore ARTICOLOTableAdapter
        ///</summary>
        // TODO: assicurarsi che l'attributo UrlToTest specifichi l'URL di una pagina ASP.NET (ad esempio,
        // http://.../Default.aspx). La specifica è necessaria per l'esecuzione dello unit test sul server Web
        // per il test di una pagina, un servizio Web o WCF.
        [TestMethod()]
        [HostType("ASP.NET")]
        [AspNetDevelopmentServerHost("C:\\sv\\dotNet\\QuickStock", "/")]
        [UrlToTest("http://localhost:2275/")]
        public void ARTICOLOTableAdapterConstructorTest()
        {
            ARTICOLOTableAdapter target = new ARTICOLOTableAdapter();
            Assert.Inconclusive("TODO: Implementare il codice per la verifica della destinazione");
        }
    }
}
