﻿using QuickStock.Model;
using Microsoft.VisualStudio.TestTools.UnitTesting;
using Microsoft.VisualStudio.TestTools.UnitTesting.Web;
using System.Data.Linq;
using System;

namespace TestProject1
{
    
    
    /// <summary>
    ///Classe di test per ARTICOLOTest.
    ///Creata per contenere tutti gli unit test ARTICOLOTest
    ///</summary>
    [TestClass()]
    public class ARTICOLOTest
    {


        private TestContext testContextInstance;

        /// <summary>
        ///Ottiene o imposta il contesto dei test, che fornisce
        ///funzionalità e informazioni sull'esecuzione dei test corrente.
        ///</summary>
        public TestContext TestContext
        {
            get
            {
                return testContextInstance;
            }
            set
            {
                testContextInstance = value;
            }
        }

        #region Attributi di test aggiuntivi
        // 
        //Durante la scrittura dei test è possibile utilizzare i seguenti attributi aggiuntivi:
        //
        //Utilizzare ClassInitialize per eseguire il codice prima di eseguire il primo test della classe
        //[ClassInitialize()]
        //public static void MyClassInitialize(TestContext testContext)
        //{
        //}
        //
        //Utilizzare ClassCleanup per eseguire il codice dopo l'esecuzione di tutti i test di una classe
        //[ClassCleanup()]
        //public static void MyClassCleanup()
        //{
        //}
        //
        //Utilizzare TestInitialize per eseguire il codice prima di eseguire ciascun test
        //
        //[TestInitialize()]
        //public void MyTestInitialize()
        //{
        //}
        //Utilizzare TestCleanup per eseguire il codice dopo l'esecuzione di ciascun test
        //[TestCleanup()]
        //public void MyTestCleanup()
        //{
        //}
        //
        #endregion


        /// <summary>
        ///Test per UNITA_MISURA_ARTICOLO
        ///</summary>
        // TODO: assicurarsi che l'attributo UrlToTest specifichi l'URL di una pagina ASP.NET (ad esempio,
        // http://.../Default.aspx). La specifica è necessaria per l'esecuzione dello unit test sul server Web
        // per il test di una pagina, un servizio Web o WCF.
        [TestMethod()]
        [HostType("ASP.NET")]
        [AspNetDevelopmentServerHost("C:\\sv\\dotNet\\QuickStock", "/")]
        [UrlToTest("http://localhost:2275/")]
        public void UNITA_MISURA_ARTICOLOTest()
        {
            ARTICOLO target = new ARTICOLO(); // TODO: Eseguire l'inizializzazione a un valore appropriato
            string expected = string.Empty; // TODO: Eseguire l'inizializzazione a un valore appropriato
            string actual;
            target.UNITA_MISURA_ARTICOLO = expected;
            actual = target.UNITA_MISURA_ARTICOLO;
            Assert.AreEqual(expected, actual);
            Assert.Inconclusive("Verificare la correttezza del metodo di test.");
        }

        /// <summary>
        ///Test per UNITA_MISURA
        ///</summary>
        // TODO: assicurarsi che l'attributo UrlToTest specifichi l'URL di una pagina ASP.NET (ad esempio,
        // http://.../Default.aspx). La specifica è necessaria per l'esecuzione dello unit test sul server Web
        // per il test di una pagina, un servizio Web o WCF.
        [TestMethod()]
        [HostType("ASP.NET")]
        [AspNetDevelopmentServerHost("C:\\sv\\dotNet\\QuickStock", "/")]
        [UrlToTest("http://localhost:2275/")]
        public void UNITA_MISURATest()
        {
            ARTICOLO target = new ARTICOLO(); // TODO: Eseguire l'inizializzazione a un valore appropriato
            UNITA_MISURA expected = null; // TODO: Eseguire l'inizializzazione a un valore appropriato
            UNITA_MISURA actual;
            target.UNITA_MISURA = expected;
            actual = target.UNITA_MISURA;
            Assert.AreEqual(expected, actual);
            Assert.Inconclusive("Verificare la correttezza del metodo di test.");
        }

        /// <summary>
        ///Test per TIPO_ARTICOLO
        ///</summary>
        // TODO: assicurarsi che l'attributo UrlToTest specifichi l'URL di una pagina ASP.NET (ad esempio,
        // http://.../Default.aspx). La specifica è necessaria per l'esecuzione dello unit test sul server Web
        // per il test di una pagina, un servizio Web o WCF.
        [TestMethod()]
        [HostType("ASP.NET")]
        [AspNetDevelopmentServerHost("C:\\sv\\dotNet\\QuickStock", "/")]
        [UrlToTest("http://localhost:2275/")]
        public void TIPO_ARTICOLOTest()
        {
            ARTICOLO target = new ARTICOLO(); // TODO: Eseguire l'inizializzazione a un valore appropriato
            string expected = string.Empty; // TODO: Eseguire l'inizializzazione a un valore appropriato
            string actual;
            target.TIPO_ARTICOLO = expected;
            actual = target.TIPO_ARTICOLO;
            Assert.AreEqual(expected, actual);
            Assert.Inconclusive("Verificare la correttezza del metodo di test.");
        }

        /// <summary>
        ///Test per PRODUTTORE
        ///</summary>
        // TODO: assicurarsi che l'attributo UrlToTest specifichi l'URL di una pagina ASP.NET (ad esempio,
        // http://.../Default.aspx). La specifica è necessaria per l'esecuzione dello unit test sul server Web
        // per il test di una pagina, un servizio Web o WCF.
        [TestMethod()]
        [HostType("ASP.NET")]
        [AspNetDevelopmentServerHost("C:\\sv\\dotNet\\QuickStock", "/")]
        [UrlToTest("http://localhost:2275/")]
        public void PRODUTTORETest()
        {
            ARTICOLO target = new ARTICOLO(); // TODO: Eseguire l'inizializzazione a un valore appropriato
            PRODUTTORE expected = null; // TODO: Eseguire l'inizializzazione a un valore appropriato
            PRODUTTORE actual;
            target.PRODUTTORE = expected;
            actual = target.PRODUTTORE;
            Assert.AreEqual(expected, actual);
            Assert.Inconclusive("Verificare la correttezza del metodo di test.");
        }

        /// <summary>
        ///Test per PREZZO_ACQUISTO_ARTICOLO
        ///</summary>
        // TODO: assicurarsi che l'attributo UrlToTest specifichi l'URL di una pagina ASP.NET (ad esempio,
        // http://.../Default.aspx). La specifica è necessaria per l'esecuzione dello unit test sul server Web
        // per il test di una pagina, un servizio Web o WCF.
        [TestMethod()]
        [HostType("ASP.NET")]
        [AspNetDevelopmentServerHost("C:\\sv\\dotNet\\QuickStock", "/")]
        [UrlToTest("http://localhost:2275/")]
        public void PREZZO_ACQUISTO_ARTICOLOTest()
        {
            ARTICOLO target = new ARTICOLO(); // TODO: Eseguire l'inizializzazione a un valore appropriato
            Nullable<double> expected = new Nullable<double>(); // TODO: Eseguire l'inizializzazione a un valore appropriato
            Nullable<double> actual;
            target.PREZZO_ACQUISTO_ARTICOLO = expected;
            actual = target.PREZZO_ACQUISTO_ARTICOLO;
            Assert.AreEqual(expected, actual);
            Assert.Inconclusive("Verificare la correttezza del metodo di test.");
        }

        /// <summary>
        ///Test per PEZZI_PER_SCATOLA_ARTICOLO
        ///</summary>
        // TODO: assicurarsi che l'attributo UrlToTest specifichi l'URL di una pagina ASP.NET (ad esempio,
        // http://.../Default.aspx). La specifica è necessaria per l'esecuzione dello unit test sul server Web
        // per il test di una pagina, un servizio Web o WCF.
        [TestMethod()]
        [HostType("ASP.NET")]
        [AspNetDevelopmentServerHost("C:\\sv\\dotNet\\QuickStock", "/")]
        [UrlToTest("http://localhost:2275/")]
        public void PEZZI_PER_SCATOLA_ARTICOLOTest()
        {
            ARTICOLO target = new ARTICOLO(); // TODO: Eseguire l'inizializzazione a un valore appropriato
            Nullable<int> expected = new Nullable<int>(); // TODO: Eseguire l'inizializzazione a un valore appropriato
            Nullable<int> actual;
            target.PEZZI_PER_SCATOLA_ARTICOLO = expected;
            actual = target.PEZZI_PER_SCATOLA_ARTICOLO;
            Assert.AreEqual(expected, actual);
            Assert.Inconclusive("Verificare la correttezza del metodo di test.");
        }

        /// <summary>
        ///Test per PESO_ARTICOLO
        ///</summary>
        // TODO: assicurarsi che l'attributo UrlToTest specifichi l'URL di una pagina ASP.NET (ad esempio,
        // http://.../Default.aspx). La specifica è necessaria per l'esecuzione dello unit test sul server Web
        // per il test di una pagina, un servizio Web o WCF.
        [TestMethod()]
        [HostType("ASP.NET")]
        [AspNetDevelopmentServerHost("C:\\sv\\dotNet\\QuickStock", "/")]
        [UrlToTest("http://localhost:2275/")]
        public void PESO_ARTICOLOTest()
        {
            ARTICOLO target = new ARTICOLO(); // TODO: Eseguire l'inizializzazione a un valore appropriato
            Nullable<double> expected = new Nullable<double>(); // TODO: Eseguire l'inizializzazione a un valore appropriato
            Nullable<double> actual;
            target.PESO_ARTICOLO = expected;
            actual = target.PESO_ARTICOLO;
            Assert.AreEqual(expected, actual);
            Assert.Inconclusive("Verificare la correttezza del metodo di test.");
        }

        /// <summary>
        ///Test per NOME_TIPO_ARTICOLO
        ///</summary>
        // TODO: assicurarsi che l'attributo UrlToTest specifichi l'URL di una pagina ASP.NET (ad esempio,
        // http://.../Default.aspx). La specifica è necessaria per l'esecuzione dello unit test sul server Web
        // per il test di una pagina, un servizio Web o WCF.
        [TestMethod()]
        [HostType("ASP.NET")]
        [AspNetDevelopmentServerHost("C:\\sv\\dotNet\\QuickStock", "/")]
        [UrlToTest("http://localhost:2275/")]
        public void NOME_TIPO_ARTICOLOTest()
        {
            ARTICOLO target = new ARTICOLO(); // TODO: Eseguire l'inizializzazione a un valore appropriato
            TIPO_ARTICOLO expected = null; // TODO: Eseguire l'inizializzazione a un valore appropriato
            TIPO_ARTICOLO actual;
            target.NOME_TIPO_ARTICOLO = expected;
            actual = target.NOME_TIPO_ARTICOLO;
            Assert.AreEqual(expected, actual);
            Assert.Inconclusive("Verificare la correttezza del metodo di test.");
        }

        /// <summary>
        ///Test per NOME_CLASSE_ARTICOLO
        ///</summary>
        // TODO: assicurarsi che l'attributo UrlToTest specifichi l'URL di una pagina ASP.NET (ad esempio,
        // http://.../Default.aspx). La specifica è necessaria per l'esecuzione dello unit test sul server Web
        // per il test di una pagina, un servizio Web o WCF.
        [TestMethod()]
        [HostType("ASP.NET")]
        [AspNetDevelopmentServerHost("C:\\sv\\dotNet\\QuickStock", "/")]
        [UrlToTest("http://localhost:2275/")]
        public void NOME_CLASSE_ARTICOLOTest()
        {
            ARTICOLO target = new ARTICOLO(); // TODO: Eseguire l'inizializzazione a un valore appropriato
            CLASSE_ARTICOLO expected = null; // TODO: Eseguire l'inizializzazione a un valore appropriato
            CLASSE_ARTICOLO actual;
            target.NOME_CLASSE_ARTICOLO = expected;
            actual = target.NOME_CLASSE_ARTICOLO;
            Assert.AreEqual(expected, actual);
            Assert.Inconclusive("Verificare la correttezza del metodo di test.");
        }

        /// <summary>
        ///Test per NOME_CATEGORIA_ARTICOLO
        ///</summary>
        // TODO: assicurarsi che l'attributo UrlToTest specifichi l'URL di una pagina ASP.NET (ad esempio,
        // http://.../Default.aspx). La specifica è necessaria per l'esecuzione dello unit test sul server Web
        // per il test di una pagina, un servizio Web o WCF.
        [TestMethod()]
        [HostType("ASP.NET")]
        [AspNetDevelopmentServerHost("C:\\sv\\dotNet\\QuickStock", "/")]
        [UrlToTest("http://localhost:2275/")]
        public void NOME_CATEGORIA_ARTICOLOTest()
        {
            ARTICOLO target = new ARTICOLO(); // TODO: Eseguire l'inizializzazione a un valore appropriato
            CATEGORIA_ARTICOLO expected = null; // TODO: Eseguire l'inizializzazione a un valore appropriato
            CATEGORIA_ARTICOLO actual;
            target.NOME_CATEGORIA_ARTICOLO = expected;
            actual = target.NOME_CATEGORIA_ARTICOLO;
            Assert.AreEqual(expected, actual);
            Assert.Inconclusive("Verificare la correttezza del metodo di test.");
        }

        /// <summary>
        ///Test per ID_PRODUTTORE_ARTICOLO
        ///</summary>
        // TODO: assicurarsi che l'attributo UrlToTest specifichi l'URL di una pagina ASP.NET (ad esempio,
        // http://.../Default.aspx). La specifica è necessaria per l'esecuzione dello unit test sul server Web
        // per il test di una pagina, un servizio Web o WCF.
        [TestMethod()]
        [HostType("ASP.NET")]
        [AspNetDevelopmentServerHost("C:\\sv\\dotNet\\QuickStock", "/")]
        [UrlToTest("http://localhost:2275/")]
        public void ID_PRODUTTORE_ARTICOLOTest()
        {
            ARTICOLO target = new ARTICOLO(); // TODO: Eseguire l'inizializzazione a un valore appropriato
            int expected = 0; // TODO: Eseguire l'inizializzazione a un valore appropriato
            int actual;
            target.ID_PRODUTTORE_ARTICOLO = expected;
            actual = target.ID_PRODUTTORE_ARTICOLO;
            Assert.AreEqual(expected, actual);
            Assert.Inconclusive("Verificare la correttezza del metodo di test.");
        }

        /// <summary>
        ///Test per DESCRIZIONE_ARTICOLO
        ///</summary>
        // TODO: assicurarsi che l'attributo UrlToTest specifichi l'URL di una pagina ASP.NET (ad esempio,
        // http://.../Default.aspx). La specifica è necessaria per l'esecuzione dello unit test sul server Web
        // per il test di una pagina, un servizio Web o WCF.
        [TestMethod()]
        [HostType("ASP.NET")]
        [AspNetDevelopmentServerHost("C:\\sv\\dotNet\\QuickStock", "/")]
        [UrlToTest("http://localhost:2275/")]
        public void DESCRIZIONE_ARTICOLOTest()
        {
            ARTICOLO target = new ARTICOLO(); // TODO: Eseguire l'inizializzazione a un valore appropriato
            string expected = string.Empty; // TODO: Eseguire l'inizializzazione a un valore appropriato
            string actual;
            target.DESCRIZIONE_ARTICOLO = expected;
            actual = target.DESCRIZIONE_ARTICOLO;
            Assert.AreEqual(expected, actual);
            Assert.Inconclusive("Verificare la correttezza del metodo di test.");
        }

        /// <summary>
        ///Test per CODICE_ARTICOLO
        ///</summary>
        // TODO: assicurarsi che l'attributo UrlToTest specifichi l'URL di una pagina ASP.NET (ad esempio,
        // http://.../Default.aspx). La specifica è necessaria per l'esecuzione dello unit test sul server Web
        // per il test di una pagina, un servizio Web o WCF.
        [TestMethod()]
        [HostType("ASP.NET")]
        [AspNetDevelopmentServerHost("C:\\sv\\dotNet\\QuickStock", "/")]
        [UrlToTest("http://localhost:2275/")]
        public void CODICE_ARTICOLOTest()
        {
            ARTICOLO target = new ARTICOLO(); // TODO: Eseguire l'inizializzazione a un valore appropriato
            string expected = string.Empty; // TODO: Eseguire l'inizializzazione a un valore appropriato
            string actual;
            target.CODICE_ARTICOLO = expected;
            actual = target.CODICE_ARTICOLO;
            Assert.AreEqual(expected, actual);
            Assert.Inconclusive("Verificare la correttezza del metodo di test.");
        }

        /// <summary>
        ///Test per CLASSE_ARTICOLO
        ///</summary>
        // TODO: assicurarsi che l'attributo UrlToTest specifichi l'URL di una pagina ASP.NET (ad esempio,
        // http://.../Default.aspx). La specifica è necessaria per l'esecuzione dello unit test sul server Web
        // per il test di una pagina, un servizio Web o WCF.
        [TestMethod()]
        [HostType("ASP.NET")]
        [AspNetDevelopmentServerHost("C:\\sv\\dotNet\\QuickStock", "/")]
        [UrlToTest("http://localhost:2275/")]
        public void CLASSE_ARTICOLOTest()
        {
            ARTICOLO target = new ARTICOLO(); // TODO: Eseguire l'inizializzazione a un valore appropriato
            string expected = string.Empty; // TODO: Eseguire l'inizializzazione a un valore appropriato
            string actual;
            target.CLASSE_ARTICOLO = expected;
            actual = target.CLASSE_ARTICOLO;
            Assert.AreEqual(expected, actual);
            Assert.Inconclusive("Verificare la correttezza del metodo di test.");
        }

        /// <summary>
        ///Test per CATEGORIA_ARTICOLO
        ///</summary>
        // TODO: assicurarsi che l'attributo UrlToTest specifichi l'URL di una pagina ASP.NET (ad esempio,
        // http://.../Default.aspx). La specifica è necessaria per l'esecuzione dello unit test sul server Web
        // per il test di una pagina, un servizio Web o WCF.
        [TestMethod()]
        [HostType("ASP.NET")]
        [AspNetDevelopmentServerHost("C:\\sv\\dotNet\\QuickStock", "/")]
        [UrlToTest("http://localhost:2275/")]
        public void CATEGORIA_ARTICOLOTest()
        {
            ARTICOLO target = new ARTICOLO(); // TODO: Eseguire l'inizializzazione a un valore appropriato
            string expected = string.Empty; // TODO: Eseguire l'inizializzazione a un valore appropriato
            string actual;
            target.CATEGORIA_ARTICOLO = expected;
            actual = target.CATEGORIA_ARTICOLO;
            Assert.AreEqual(expected, actual);
            Assert.Inconclusive("Verificare la correttezza del metodo di test.");
        }

        /// <summary>
        ///Test per ARTICOLI_ORDINE_FORNITORE
        ///</summary>
        // TODO: assicurarsi che l'attributo UrlToTest specifichi l'URL di una pagina ASP.NET (ad esempio,
        // http://.../Default.aspx). La specifica è necessaria per l'esecuzione dello unit test sul server Web
        // per il test di una pagina, un servizio Web o WCF.
        [TestMethod()]
        [HostType("ASP.NET")]
        [AspNetDevelopmentServerHost("C:\\sv\\dotNet\\QuickStock", "/")]
        [UrlToTest("http://localhost:2275/")]
        public void ARTICOLI_ORDINE_FORNITORETest()
        {
            ARTICOLO target = new ARTICOLO(); // TODO: Eseguire l'inizializzazione a un valore appropriato
            EntitySet<ARTICOLI_ORDINE_FORNITORE> expected = null; // TODO: Eseguire l'inizializzazione a un valore appropriato
            EntitySet<ARTICOLI_ORDINE_FORNITORE> actual;
            target.ARTICOLI_ORDINE_FORNITORE = expected;
            actual = target.ARTICOLI_ORDINE_FORNITORE;
            Assert.AreEqual(expected, actual);
            Assert.Inconclusive("Verificare la correttezza del metodo di test.");
        }

        /// <summary>
        ///Test per ARTICOLI_ORDINE_CLIENTE
        ///</summary>
        // TODO: assicurarsi che l'attributo UrlToTest specifichi l'URL di una pagina ASP.NET (ad esempio,
        // http://.../Default.aspx). La specifica è necessaria per l'esecuzione dello unit test sul server Web
        // per il test di una pagina, un servizio Web o WCF.
        [TestMethod()]
        [HostType("ASP.NET")]
        [AspNetDevelopmentServerHost("C:\\sv\\dotNet\\QuickStock", "/")]
        [UrlToTest("http://localhost:2275/")]
        public void ARTICOLI_ORDINE_CLIENTETest()
        {
            ARTICOLO target = new ARTICOLO(); // TODO: Eseguire l'inizializzazione a un valore appropriato
            EntitySet<ARTICOLI_ORDINE_CLIENTE> expected = null; // TODO: Eseguire l'inizializzazione a un valore appropriato
            EntitySet<ARTICOLI_ORDINE_CLIENTE> actual;
            target.ARTICOLI_ORDINE_CLIENTE = expected;
            actual = target.ARTICOLI_ORDINE_CLIENTE;
            Assert.AreEqual(expected, actual);
            Assert.Inconclusive("Verificare la correttezza del metodo di test.");
        }

        /// <summary>
        ///Test per ARTICOLI_DDT_CARICO
        ///</summary>
        // TODO: assicurarsi che l'attributo UrlToTest specifichi l'URL di una pagina ASP.NET (ad esempio,
        // http://.../Default.aspx). La specifica è necessaria per l'esecuzione dello unit test sul server Web
        // per il test di una pagina, un servizio Web o WCF.
        [TestMethod()]
        [HostType("ASP.NET")]
        [AspNetDevelopmentServerHost("C:\\sv\\dotNet\\QuickStock", "/")]
        [UrlToTest("http://localhost:2275/")]
        public void ARTICOLI_DDT_CARICOTest()
        {
            ARTICOLO target = new ARTICOLO(); // TODO: Eseguire l'inizializzazione a un valore appropriato
            EntitySet<ARTICOLI_DDT_CARICO> expected = null; // TODO: Eseguire l'inizializzazione a un valore appropriato
            EntitySet<ARTICOLI_DDT_CARICO> actual;
            target.ARTICOLI_DDT_CARICO = expected;
            actual = target.ARTICOLI_DDT_CARICO;
            Assert.AreEqual(expected, actual);
            Assert.Inconclusive("Verificare la correttezza del metodo di test.");
        }

        /// <summary>
        ///Test per SendPropertyChanging
        ///</summary>
        // TODO: assicurarsi che l'attributo UrlToTest specifichi l'URL di una pagina ASP.NET (ad esempio,
        // http://.../Default.aspx). La specifica è necessaria per l'esecuzione dello unit test sul server Web
        // per il test di una pagina, un servizio Web o WCF.
        [TestMethod()]
        [HostType("ASP.NET")]
        [AspNetDevelopmentServerHost("C:\\sv\\dotNet\\QuickStock", "/")]
        [UrlToTest("http://localhost:2275/")]
        [DeploymentItem("QuickStock.dll")]
        public void SendPropertyChangingTest()
        {
            ARTICOLO_Accessor target = new ARTICOLO_Accessor(); // TODO: Eseguire l'inizializzazione a un valore appropriato
            target.SendPropertyChanging();
            Assert.Inconclusive("Impossibile verificare un metodo che non restituisce valori.");
        }

        /// <summary>
        ///Test per SendPropertyChanged
        ///</summary>
        // TODO: assicurarsi che l'attributo UrlToTest specifichi l'URL di una pagina ASP.NET (ad esempio,
        // http://.../Default.aspx). La specifica è necessaria per l'esecuzione dello unit test sul server Web
        // per il test di una pagina, un servizio Web o WCF.
        [TestMethod()]
        [HostType("ASP.NET")]
        [AspNetDevelopmentServerHost("C:\\sv\\dotNet\\QuickStock", "/")]
        [UrlToTest("http://localhost:2275/")]
        [DeploymentItem("QuickStock.dll")]
        public void SendPropertyChangedTest()
        {
            ARTICOLO_Accessor target = new ARTICOLO_Accessor(); // TODO: Eseguire l'inizializzazione a un valore appropriato
            string propertyName = string.Empty; // TODO: Eseguire l'inizializzazione a un valore appropriato
            target.SendPropertyChanged(propertyName);
            Assert.Inconclusive("Impossibile verificare un metodo che non restituisce valori.");
        }

        /// <summary>
        ///Test per detach_ARTICOLI_ORDINE_FORNITORE
        ///</summary>
        // TODO: assicurarsi che l'attributo UrlToTest specifichi l'URL di una pagina ASP.NET (ad esempio,
        // http://.../Default.aspx). La specifica è necessaria per l'esecuzione dello unit test sul server Web
        // per il test di una pagina, un servizio Web o WCF.
        [TestMethod()]
        [HostType("ASP.NET")]
        [AspNetDevelopmentServerHost("C:\\sv\\dotNet\\QuickStock", "/")]
        [UrlToTest("http://localhost:2275/")]
        [DeploymentItem("QuickStock.dll")]
        public void detach_ARTICOLI_ORDINE_FORNITORETest()
        {
            ARTICOLO_Accessor target = new ARTICOLO_Accessor(); // TODO: Eseguire l'inizializzazione a un valore appropriato
            ARTICOLI_ORDINE_FORNITORE entity = null; // TODO: Eseguire l'inizializzazione a un valore appropriato
            target.detach_ARTICOLI_ORDINE_FORNITORE(entity);
            Assert.Inconclusive("Impossibile verificare un metodo che non restituisce valori.");
        }

        /// <summary>
        ///Test per detach_ARTICOLI_ORDINE_CLIENTE
        ///</summary>
        // TODO: assicurarsi che l'attributo UrlToTest specifichi l'URL di una pagina ASP.NET (ad esempio,
        // http://.../Default.aspx). La specifica è necessaria per l'esecuzione dello unit test sul server Web
        // per il test di una pagina, un servizio Web o WCF.
        [TestMethod()]
        [HostType("ASP.NET")]
        [AspNetDevelopmentServerHost("C:\\sv\\dotNet\\QuickStock", "/")]
        [UrlToTest("http://localhost:2275/")]
        [DeploymentItem("QuickStock.dll")]
        public void detach_ARTICOLI_ORDINE_CLIENTETest()
        {
            ARTICOLO_Accessor target = new ARTICOLO_Accessor(); // TODO: Eseguire l'inizializzazione a un valore appropriato
            ARTICOLI_ORDINE_CLIENTE entity = null; // TODO: Eseguire l'inizializzazione a un valore appropriato
            target.detach_ARTICOLI_ORDINE_CLIENTE(entity);
            Assert.Inconclusive("Impossibile verificare un metodo che non restituisce valori.");
        }

        /// <summary>
        ///Test per detach_ARTICOLI_DDT_CARICO
        ///</summary>
        // TODO: assicurarsi che l'attributo UrlToTest specifichi l'URL di una pagina ASP.NET (ad esempio,
        // http://.../Default.aspx). La specifica è necessaria per l'esecuzione dello unit test sul server Web
        // per il test di una pagina, un servizio Web o WCF.
        [TestMethod()]
        [HostType("ASP.NET")]
        [AspNetDevelopmentServerHost("C:\\sv\\dotNet\\QuickStock", "/")]
        [UrlToTest("http://localhost:2275/")]
        [DeploymentItem("QuickStock.dll")]
        public void detach_ARTICOLI_DDT_CARICOTest()
        {
            ARTICOLO_Accessor target = new ARTICOLO_Accessor(); // TODO: Eseguire l'inizializzazione a un valore appropriato
            ARTICOLI_DDT_CARICO entity = null; // TODO: Eseguire l'inizializzazione a un valore appropriato
            target.detach_ARTICOLI_DDT_CARICO(entity);
            Assert.Inconclusive("Impossibile verificare un metodo che non restituisce valori.");
        }

        /// <summary>
        ///Test per attach_ARTICOLI_ORDINE_FORNITORE
        ///</summary>
        // TODO: assicurarsi che l'attributo UrlToTest specifichi l'URL di una pagina ASP.NET (ad esempio,
        // http://.../Default.aspx). La specifica è necessaria per l'esecuzione dello unit test sul server Web
        // per il test di una pagina, un servizio Web o WCF.
        [TestMethod()]
        [HostType("ASP.NET")]
        [AspNetDevelopmentServerHost("C:\\sv\\dotNet\\QuickStock", "/")]
        [UrlToTest("http://localhost:2275/")]
        [DeploymentItem("QuickStock.dll")]
        public void attach_ARTICOLI_ORDINE_FORNITORETest()
        {
            ARTICOLO_Accessor target = new ARTICOLO_Accessor(); // TODO: Eseguire l'inizializzazione a un valore appropriato
            ARTICOLI_ORDINE_FORNITORE entity = null; // TODO: Eseguire l'inizializzazione a un valore appropriato
            target.attach_ARTICOLI_ORDINE_FORNITORE(entity);
            Assert.Inconclusive("Impossibile verificare un metodo che non restituisce valori.");
        }

        /// <summary>
        ///Test per attach_ARTICOLI_ORDINE_CLIENTE
        ///</summary>
        // TODO: assicurarsi che l'attributo UrlToTest specifichi l'URL di una pagina ASP.NET (ad esempio,
        // http://.../Default.aspx). La specifica è necessaria per l'esecuzione dello unit test sul server Web
        // per il test di una pagina, un servizio Web o WCF.
        [TestMethod()]
        [HostType("ASP.NET")]
        [AspNetDevelopmentServerHost("C:\\sv\\dotNet\\QuickStock", "/")]
        [UrlToTest("http://localhost:2275/")]
        [DeploymentItem("QuickStock.dll")]
        public void attach_ARTICOLI_ORDINE_CLIENTETest()
        {
            ARTICOLO_Accessor target = new ARTICOLO_Accessor(); // TODO: Eseguire l'inizializzazione a un valore appropriato
            ARTICOLI_ORDINE_CLIENTE entity = null; // TODO: Eseguire l'inizializzazione a un valore appropriato
            target.attach_ARTICOLI_ORDINE_CLIENTE(entity);
            Assert.Inconclusive("Impossibile verificare un metodo che non restituisce valori.");
        }

        /// <summary>
        ///Test per attach_ARTICOLI_DDT_CARICO
        ///</summary>
        // TODO: assicurarsi che l'attributo UrlToTest specifichi l'URL di una pagina ASP.NET (ad esempio,
        // http://.../Default.aspx). La specifica è necessaria per l'esecuzione dello unit test sul server Web
        // per il test di una pagina, un servizio Web o WCF.
        [TestMethod()]
        [HostType("ASP.NET")]
        [AspNetDevelopmentServerHost("C:\\sv\\dotNet\\QuickStock", "/")]
        [UrlToTest("http://localhost:2275/")]
        [DeploymentItem("QuickStock.dll")]
        public void attach_ARTICOLI_DDT_CARICOTest()
        {
            ARTICOLO_Accessor target = new ARTICOLO_Accessor(); // TODO: Eseguire l'inizializzazione a un valore appropriato
            ARTICOLI_DDT_CARICO entity = null; // TODO: Eseguire l'inizializzazione a un valore appropriato
            target.attach_ARTICOLI_DDT_CARICO(entity);
            Assert.Inconclusive("Impossibile verificare un metodo che non restituisce valori.");
        }

        /// <summary>
        ///Test per Costruttore ARTICOLO
        ///</summary>
        // TODO: assicurarsi che l'attributo UrlToTest specifichi l'URL di una pagina ASP.NET (ad esempio,
        // http://.../Default.aspx). La specifica è necessaria per l'esecuzione dello unit test sul server Web
        // per il test di una pagina, un servizio Web o WCF.
        [TestMethod()]
        [HostType("ASP.NET")]
        [AspNetDevelopmentServerHost("C:\\sv\\dotNet\\QuickStock", "/")]
        [UrlToTest("http://localhost:2275/")]
        public void ARTICOLOConstructorTest()
        {
            ARTICOLO target = new ARTICOLO();
            Assert.Inconclusive("TODO: Implementare il codice per la verifica della destinazione");
        }
    }
}
