﻿using QuickStock.Model;
using Microsoft.VisualStudio.TestTools.UnitTesting;
using Microsoft.VisualStudio.TestTools.UnitTesting.Web;
using System;

namespace TestProject1
{
    
    
    /// <summary>
    ///Classe di test per BLTest.
    ///Creata per contenere tutti gli unit test BLTest
    ///</summary>
    [TestClass()]
    public class BLTest
    {


        private TestContext testContextInstance;

        /// <summary>
        ///Ottiene o imposta il contesto dei test, che fornisce
        ///funzionalità e informazioni sull'esecuzione dei test corrente.
        ///</summary>
        public TestContext TestContext
        {
            get
            {
                return testContextInstance;
            }
            set
            {
                testContextInstance = value;
            }
        }

        #region Attributi di test aggiuntivi
        // 
        //Durante la scrittura dei test è possibile utilizzare i seguenti attributi aggiuntivi:
        //
        //Utilizzare ClassInitialize per eseguire il codice prima di eseguire il primo test della classe
        //[ClassInitialize()]
        //public static void MyClassInitialize(TestContext testContext)
        //{
        //}
        //
        //Utilizzare ClassCleanup per eseguire il codice dopo l'esecuzione di tutti i test di una classe
        //[ClassCleanup()]
        //public static void MyClassCleanup()
        //{
        //}
        //
        //Utilizzare TestInitialize per eseguire il codice prima di eseguire ciascun test
        //
        //[TestInitialize()]
        //public void MyTestInitialize()
        //{
        //}
        //Utilizzare TestCleanup per eseguire il codice dopo l'esecuzione di ciascun test
        //[TestCleanup()]
        //public void MyTestCleanup()
        //{
        //}
        //
        #endregion


        /// <summary>
        ///Test per Update_OrdineCliente
        ///</summary>
        // TODO: assicurarsi che l'attributo UrlToTest specifichi l'URL di una pagina ASP.NET (ad esempio,
        // http://.../Default.aspx). La specifica è necessaria per l'esecuzione dello unit test sul server Web
        // per il test di una pagina, un servizio Web o WCF.
        [TestMethod()]
        [HostType("ASP.NET")]
        [AspNetDevelopmentServerHost("C:\\sv\\dotNet\\QuickStock", "/")]
        [UrlToTest("http://localhost:2275/")]
        public void Update_OrdineClienteTest()
        {
            string codiceOrdine = string.Empty; // TODO: Eseguire l'inizializzazione a un valore appropriato
            string codiceOrdine_OLD = string.Empty; // TODO: Eseguire l'inizializzazione a un valore appropriato
            string note = string.Empty; // TODO: Eseguire l'inizializzazione a un valore appropriato
            DateTime dataOrdine = new DateTime(); // TODO: Eseguire l'inizializzazione a un valore appropriato
            int idCliente = 0; // TODO: Eseguire l'inizializzazione a un valore appropriato
            int idStato = 0; // TODO: Eseguire l'inizializzazione a un valore appropriato
            int idUtente = 0; // TODO: Eseguire l'inizializzazione a un valore appropriato
            bool expected = false; // TODO: Eseguire l'inizializzazione a un valore appropriato
            bool actual;
            actual = BL.Update_OrdineCliente(codiceOrdine, codiceOrdine_OLD, note, dataOrdine, idCliente, idStato, idUtente);
            Assert.AreEqual(expected, actual);
            Assert.Inconclusive("Verificare la correttezza del metodo di test.");
        }

        /// <summary>
        ///Test per LoadArticolo_DDT
        ///</summary>
        // TODO: assicurarsi che l'attributo UrlToTest specifichi l'URL di una pagina ASP.NET (ad esempio,
        // http://.../Default.aspx). La specifica è necessaria per l'esecuzione dello unit test sul server Web
        // per il test di una pagina, un servizio Web o WCF.
        [TestMethod()]
        [HostType("ASP.NET")]
        [AspNetDevelopmentServerHost("C:\\sv\\dotNet\\QuickStock", "/")]
        [UrlToTest("http://localhost:2275/")]
        public void LoadArticolo_DDTTest()
        {
            string codiceDDT = string.Empty; // TODO: Eseguire l'inizializzazione a un valore appropriato
            int idArticoloOrdine = 0; // TODO: Eseguire l'inizializzazione a un valore appropriato
            int quantita = 0; // TODO: Eseguire l'inizializzazione a un valore appropriato
            string note = string.Empty; // TODO: Eseguire l'inizializzazione a un valore appropriato
            bool expected = false; // TODO: Eseguire l'inizializzazione a un valore appropriato
            bool actual;
            actual = BL.LoadArticolo_DDT(codiceDDT, idArticoloOrdine, quantita, note);
            Assert.AreEqual(expected, actual);
            Assert.Inconclusive("Verificare la correttezza del metodo di test.");
        }

        /// <summary>
        ///Test per Insert_Articolo_OrdineCliente
        ///</summary>
        // TODO: assicurarsi che l'attributo UrlToTest specifichi l'URL di una pagina ASP.NET (ad esempio,
        // http://.../Default.aspx). La specifica è necessaria per l'esecuzione dello unit test sul server Web
        // per il test di una pagina, un servizio Web o WCF.
        [TestMethod()]
        [HostType("ASP.NET")]
        [AspNetDevelopmentServerHost("C:\\sv\\dotNet\\QuickStock", "/")]
        [UrlToTest("http://localhost:2275/")]
        public void Insert_Articolo_OrdineClienteTest()
        {
            string codiceArticolo = string.Empty; // TODO: Eseguire l'inizializzazione a un valore appropriato
            int quantitaOrdinata = 0; // TODO: Eseguire l'inizializzazione a un valore appropriato
            int id_Fornitore = 0; // TODO: Eseguire l'inizializzazione a un valore appropriato
            string codiceOrdine = string.Empty; // TODO: Eseguire l'inizializzazione a un valore appropriato
            bool expected = false; // TODO: Eseguire l'inizializzazione a un valore appropriato
            bool actual;
            actual = BL.Insert_Articolo_OrdineCliente(codiceArticolo, quantitaOrdinata, id_Fornitore, codiceOrdine);
            Assert.AreEqual(expected, actual);
            Assert.Inconclusive("Verificare la correttezza del metodo di test.");
        }

        /// <summary>
        ///Test per GetOrdineCliente_ByCodice
        ///</summary>
        // TODO: assicurarsi che l'attributo UrlToTest specifichi l'URL di una pagina ASP.NET (ad esempio,
        // http://.../Default.aspx). La specifica è necessaria per l'esecuzione dello unit test sul server Web
        // per il test di una pagina, un servizio Web o WCF.
        [TestMethod()]
        [HostType("ASP.NET")]
        [AspNetDevelopmentServerHost("C:\\sv\\dotNet\\QuickStock", "/")]
        [UrlToTest("http://localhost:2275/")]
        public void GetOrdineCliente_ByCodiceTest()
        {
            string codiceOrdine = string.Empty; // TODO: Eseguire l'inizializzazione a un valore appropriato
            DSOrdini.ORDINE_CLIENTEDataTable expected = null; // TODO: Eseguire l'inizializzazione a un valore appropriato
            DSOrdini.ORDINE_CLIENTEDataTable actual;
            actual = BL.GetOrdineCliente_ByCodice(codiceOrdine);
            Assert.AreEqual(expected, actual);
            Assert.Inconclusive("Verificare la correttezza del metodo di test.");
        }

        /// <summary>
        ///Test per GetArticoliOrdineFornitore_ByCodiceOrdine
        ///</summary>
        // TODO: assicurarsi che l'attributo UrlToTest specifichi l'URL di una pagina ASP.NET (ad esempio,
        // http://.../Default.aspx). La specifica è necessaria per l'esecuzione dello unit test sul server Web
        // per il test di una pagina, un servizio Web o WCF.
        [TestMethod()]
        [HostType("ASP.NET")]
        [AspNetDevelopmentServerHost("C:\\sv\\dotNet\\QuickStock", "/")]
        [UrlToTest("http://localhost:2275/")]
        public void GetArticoliOrdineFornitore_ByCodiceOrdineTest()
        {
            string codice = string.Empty; // TODO: Eseguire l'inizializzazione a un valore appropriato
            DSOrdini.ARTICOLI_ORDINE_FORNITOREDataTable expected = null; // TODO: Eseguire l'inizializzazione a un valore appropriato
            DSOrdini.ARTICOLI_ORDINE_FORNITOREDataTable actual;
            actual = BL.GetArticoliOrdineFornitore_ByCodiceOrdine(codice);
            Assert.AreEqual(expected, actual);
            Assert.Inconclusive("Verificare la correttezza del metodo di test.");
        }

        /// <summary>
        ///Test per GetArticoliOrdineFornitore
        ///</summary>
        // TODO: assicurarsi che l'attributo UrlToTest specifichi l'URL di una pagina ASP.NET (ad esempio,
        // http://.../Default.aspx). La specifica è necessaria per l'esecuzione dello unit test sul server Web
        // per il test di una pagina, un servizio Web o WCF.
        [TestMethod()]
        [HostType("ASP.NET")]
        [AspNetDevelopmentServerHost("C:\\sv\\dotNet\\QuickStock", "/")]
        [UrlToTest("http://localhost:2275/")]
        public void GetArticoliOrdineFornitoreTest()
        {
            Nullable<int> idFornitore = new Nullable<int>(); // TODO: Eseguire l'inizializzazione a un valore appropriato
            string codiceOrdine = string.Empty; // TODO: Eseguire l'inizializzazione a un valore appropriato
            Nullable<int> idProduttore = new Nullable<int>(); // TODO: Eseguire l'inizializzazione a un valore appropriato
            Nullable<int> idStato = new Nullable<int>(); // TODO: Eseguire l'inizializzazione a un valore appropriato
            string codiceArticolo = string.Empty; // TODO: Eseguire l'inizializzazione a un valore appropriato
            DSOrdini.ARTICOLI_ORDINE_FORNITOREDataTable expected = null; // TODO: Eseguire l'inizializzazione a un valore appropriato
            DSOrdini.ARTICOLI_ORDINE_FORNITOREDataTable actual;
            actual = BL.GetArticoliOrdineFornitore(idFornitore, codiceOrdine, idProduttore, idStato, codiceArticolo);
            Assert.AreEqual(expected, actual);
            Assert.Inconclusive("Verificare la correttezza del metodo di test.");
        }

        /// <summary>
        ///Test per GetArticoliOrdineCliente_ByCodiceOrdine
        ///</summary>
        // TODO: assicurarsi che l'attributo UrlToTest specifichi l'URL di una pagina ASP.NET (ad esempio,
        // http://.../Default.aspx). La specifica è necessaria per l'esecuzione dello unit test sul server Web
        // per il test di una pagina, un servizio Web o WCF.
        [TestMethod()]
        [HostType("ASP.NET")]
        [AspNetDevelopmentServerHost("C:\\sv\\dotNet\\QuickStock", "/")]
        [UrlToTest("http://localhost:2275/")]
        public void GetArticoliOrdineCliente_ByCodiceOrdineTest()
        {
            string codice = string.Empty; // TODO: Eseguire l'inizializzazione a un valore appropriato
            DSOrdini.ARTICOLI_ORDINE_CLIENTEDataTable expected = null; // TODO: Eseguire l'inizializzazione a un valore appropriato
            DSOrdini.ARTICOLI_ORDINE_CLIENTEDataTable actual;
            actual = BL.GetArticoliOrdineCliente_ByCodiceOrdine(codice);
            Assert.AreEqual(expected, actual);
            Assert.Inconclusive("Verificare la correttezza del metodo di test.");
        }

        /// <summary>
        ///Test per GetArticoliOrdineCliente
        ///</summary>
        // TODO: assicurarsi che l'attributo UrlToTest specifichi l'URL di una pagina ASP.NET (ad esempio,
        // http://.../Default.aspx). La specifica è necessaria per l'esecuzione dello unit test sul server Web
        // per il test di una pagina, un servizio Web o WCF.
        [TestMethod()]
        [HostType("ASP.NET")]
        [AspNetDevelopmentServerHost("C:\\sv\\dotNet\\QuickStock", "/")]
        [UrlToTest("http://localhost:2275/")]
        public void GetArticoliOrdineClienteTest()
        {
            Nullable<int> idFornitore = new Nullable<int>(); // TODO: Eseguire l'inizializzazione a un valore appropriato
            string codiceOrdine = string.Empty; // TODO: Eseguire l'inizializzazione a un valore appropriato
            Nullable<int> idProduttore = new Nullable<int>(); // TODO: Eseguire l'inizializzazione a un valore appropriato
            Nullable<int> idStato = new Nullable<int>(); // TODO: Eseguire l'inizializzazione a un valore appropriato
            string codiceArticolo = string.Empty; // TODO: Eseguire l'inizializzazione a un valore appropriato
            DSOrdini.ARTICOLI_ORDINE_CLIENTEDataTable expected = null; // TODO: Eseguire l'inizializzazione a un valore appropriato
            DSOrdini.ARTICOLI_ORDINE_CLIENTEDataTable actual;
            actual = BL.GetArticoliOrdineCliente(idFornitore, codiceOrdine, idProduttore, idStato, codiceArticolo);
            Assert.AreEqual(expected, actual);
            Assert.Inconclusive("Verificare la correttezza del metodo di test.");
        }

        /// <summary>
        ///Test per GetArticoliOrdinati_ByCodice
        ///</summary>
        // TODO: assicurarsi che l'attributo UrlToTest specifichi l'URL di una pagina ASP.NET (ad esempio,
        // http://.../Default.aspx). La specifica è necessaria per l'esecuzione dello unit test sul server Web
        // per il test di una pagina, un servizio Web o WCF.
        [TestMethod()]
        [HostType("ASP.NET")]
        [AspNetDevelopmentServerHost("C:\\sv\\dotNet\\QuickStock", "/")]
        [UrlToTest("http://localhost:2275/")]
        public void GetArticoliOrdinati_ByCodiceTest()
        {
            string codice = string.Empty; // TODO: Eseguire l'inizializzazione a un valore appropriato
            DSOrdini.ARTICOLI_ORDINE_CLIENTEDataTable expected = null; // TODO: Eseguire l'inizializzazione a un valore appropriato
            DSOrdini.ARTICOLI_ORDINE_CLIENTEDataTable actual;
            actual = BL.GetArticoliOrdinati_ByCodice(codice);
            Assert.AreEqual(expected, actual);
            Assert.Inconclusive("Verificare la correttezza del metodo di test.");
        }

        /// <summary>
        ///Test per GetArticoliDDT_Carico_ByCodiceDDT
        ///</summary>
        // TODO: assicurarsi che l'attributo UrlToTest specifichi l'URL di una pagina ASP.NET (ad esempio,
        // http://.../Default.aspx). La specifica è necessaria per l'esecuzione dello unit test sul server Web
        // per il test di una pagina, un servizio Web o WCF.
        [TestMethod()]
        [HostType("ASP.NET")]
        [AspNetDevelopmentServerHost("C:\\sv\\dotNet\\QuickStock", "/")]
        [UrlToTest("http://localhost:2275/")]
        public void GetArticoliDDT_Carico_ByCodiceDDTTest()
        {
            string codice = string.Empty; // TODO: Eseguire l'inizializzazione a un valore appropriato
            DSOrdini.ARTICOLI_DDT_CARICODataTable expected = null; // TODO: Eseguire l'inizializzazione a un valore appropriato
            DSOrdini.ARTICOLI_DDT_CARICODataTable actual;
            actual = BL.GetArticoliDDT_Carico_ByCodiceDDT(codice);
            Assert.AreEqual(expected, actual);
            Assert.Inconclusive("Verificare la correttezza del metodo di test.");
        }

        /// <summary>
        ///Test per GetArticoli_ByCodice
        ///</summary>
        // TODO: assicurarsi che l'attributo UrlToTest specifichi l'URL di una pagina ASP.NET (ad esempio,
        // http://.../Default.aspx). La specifica è necessaria per l'esecuzione dello unit test sul server Web
        // per il test di una pagina, un servizio Web o WCF.
        [TestMethod()]
        [HostType("ASP.NET")]
        [AspNetDevelopmentServerHost("C:\\sv\\dotNet\\QuickStock", "/")]
        [UrlToTest("http://localhost:2275/")]
        public void GetArticoli_ByCodiceTest()
        {
            string codice = string.Empty; // TODO: Eseguire l'inizializzazione a un valore appropriato
            DSOrdini.ARTICOLODataTable expected = null; // TODO: Eseguire l'inizializzazione a un valore appropriato
            DSOrdini.ARTICOLODataTable actual;
            actual = BL.GetArticoli_ByCodice(codice);
            Assert.AreEqual(expected, actual);
            Assert.Inconclusive("Verificare la correttezza del metodo di test.");
        }

        /// <summary>
        ///Test per Costruttore BL
        ///</summary>
        // TODO: assicurarsi che l'attributo UrlToTest specifichi l'URL di una pagina ASP.NET (ad esempio,
        // http://.../Default.aspx). La specifica è necessaria per l'esecuzione dello unit test sul server Web
        // per il test di una pagina, un servizio Web o WCF.
        [TestMethod()]
        [HostType("ASP.NET")]
        [AspNetDevelopmentServerHost("C:\\sv\\dotNet\\QuickStock", "/")]
        [UrlToTest("http://localhost:2275/")]
        public void BLConstructorTest()
        {
            BL target = new BL();
            Assert.Inconclusive("TODO: Implementare il codice per la verifica della destinazione");
        }
    }
}
