﻿using QuickStock.Model;
using Microsoft.VisualStudio.TestTools.UnitTesting;
using Microsoft.VisualStudio.TestTools.UnitTesting.Web;
using System.Data;

namespace TestProject1
{
    
    
    /// <summary>
    ///Classe di test per DSOrdini_ARTICOLORowTest.
    ///Creata per contenere tutti gli unit test DSOrdini_ARTICOLORowTest
    ///</summary>
    [TestClass()]
    public class DSOrdini_ARTICOLORowTest
    {


        private TestContext testContextInstance;

        /// <summary>
        ///Ottiene o imposta il contesto dei test, che fornisce
        ///funzionalità e informazioni sull'esecuzione dei test corrente.
        ///</summary>
        public TestContext TestContext
        {
            get
            {
                return testContextInstance;
            }
            set
            {
                testContextInstance = value;
            }
        }

        #region Attributi di test aggiuntivi
        // 
        //Durante la scrittura dei test è possibile utilizzare i seguenti attributi aggiuntivi:
        //
        //Utilizzare ClassInitialize per eseguire il codice prima di eseguire il primo test della classe
        //[ClassInitialize()]
        //public static void MyClassInitialize(TestContext testContext)
        //{
        //}
        //
        //Utilizzare ClassCleanup per eseguire il codice dopo l'esecuzione di tutti i test di una classe
        //[ClassCleanup()]
        //public static void MyClassCleanup()
        //{
        //}
        //
        //Utilizzare TestInitialize per eseguire il codice prima di eseguire ciascun test
        //
        //[TestInitialize()]
        //public void MyTestInitialize()
        //{
        //}
        //Utilizzare TestCleanup per eseguire il codice dopo l'esecuzione di ciascun test
        //[TestCleanup()]
        //public void MyTestCleanup()
        //{
        //}
        //
        #endregion


        /// <summary>
        ///Test per UNITA_MISURA_ARTICOLO
        ///</summary>
        // TODO: assicurarsi che l'attributo UrlToTest specifichi l'URL di una pagina ASP.NET (ad esempio,
        // http://.../Default.aspx). La specifica è necessaria per l'esecuzione dello unit test sul server Web
        // per il test di una pagina, un servizio Web o WCF.
        [TestMethod()]
        [HostType("ASP.NET")]
        [AspNetDevelopmentServerHost("C:\\sv\\dotNet\\QuickStock", "/")]
        [UrlToTest("http://localhost:2275/")]
        public void UNITA_MISURA_ARTICOLOTest()
        {
            DataRowBuilder rb = null; // TODO: Eseguire l'inizializzazione a un valore appropriato
            DSOrdini.ARTICOLORow target = new DSOrdini.ARTICOLORow(rb); // TODO: Eseguire l'inizializzazione a un valore appropriato
            string expected = string.Empty; // TODO: Eseguire l'inizializzazione a un valore appropriato
            string actual;
            target.UNITA_MISURA_ARTICOLO = expected;
            actual = target.UNITA_MISURA_ARTICOLO;
            Assert.AreEqual(expected, actual);
            Assert.Inconclusive("Verificare la correttezza del metodo di test.");
        }

        /// <summary>
        ///Test per TIPO_ARTICOLO
        ///</summary>
        // TODO: assicurarsi che l'attributo UrlToTest specifichi l'URL di una pagina ASP.NET (ad esempio,
        // http://.../Default.aspx). La specifica è necessaria per l'esecuzione dello unit test sul server Web
        // per il test di una pagina, un servizio Web o WCF.
        [TestMethod()]
        [HostType("ASP.NET")]
        [AspNetDevelopmentServerHost("C:\\sv\\dotNet\\QuickStock", "/")]
        [UrlToTest("http://localhost:2275/")]
        public void TIPO_ARTICOLOTest()
        {
            DataRowBuilder rb = null; // TODO: Eseguire l'inizializzazione a un valore appropriato
            DSOrdini.ARTICOLORow target = new DSOrdini.ARTICOLORow(rb); // TODO: Eseguire l'inizializzazione a un valore appropriato
            string expected = string.Empty; // TODO: Eseguire l'inizializzazione a un valore appropriato
            string actual;
            target.TIPO_ARTICOLO = expected;
            actual = target.TIPO_ARTICOLO;
            Assert.AreEqual(expected, actual);
            Assert.Inconclusive("Verificare la correttezza del metodo di test.");
        }

        /// <summary>
        ///Test per PREZZO_ACQUISTO_ARTICOLO
        ///</summary>
        // TODO: assicurarsi che l'attributo UrlToTest specifichi l'URL di una pagina ASP.NET (ad esempio,
        // http://.../Default.aspx). La specifica è necessaria per l'esecuzione dello unit test sul server Web
        // per il test di una pagina, un servizio Web o WCF.
        [TestMethod()]
        [HostType("ASP.NET")]
        [AspNetDevelopmentServerHost("C:\\sv\\dotNet\\QuickStock", "/")]
        [UrlToTest("http://localhost:2275/")]
        public void PREZZO_ACQUISTO_ARTICOLOTest()
        {
            DataRowBuilder rb = null; // TODO: Eseguire l'inizializzazione a un valore appropriato
            DSOrdini.ARTICOLORow target = new DSOrdini.ARTICOLORow(rb); // TODO: Eseguire l'inizializzazione a un valore appropriato
            double expected = 0F; // TODO: Eseguire l'inizializzazione a un valore appropriato
            double actual;
            target.PREZZO_ACQUISTO_ARTICOLO = expected;
            actual = target.PREZZO_ACQUISTO_ARTICOLO;
            Assert.AreEqual(expected, actual);
            Assert.Inconclusive("Verificare la correttezza del metodo di test.");
        }

        /// <summary>
        ///Test per PEZZI_PER_SCATOLA_ARTICOLO
        ///</summary>
        // TODO: assicurarsi che l'attributo UrlToTest specifichi l'URL di una pagina ASP.NET (ad esempio,
        // http://.../Default.aspx). La specifica è necessaria per l'esecuzione dello unit test sul server Web
        // per il test di una pagina, un servizio Web o WCF.
        [TestMethod()]
        [HostType("ASP.NET")]
        [AspNetDevelopmentServerHost("C:\\sv\\dotNet\\QuickStock", "/")]
        [UrlToTest("http://localhost:2275/")]
        public void PEZZI_PER_SCATOLA_ARTICOLOTest()
        {
            DataRowBuilder rb = null; // TODO: Eseguire l'inizializzazione a un valore appropriato
            DSOrdini.ARTICOLORow target = new DSOrdini.ARTICOLORow(rb); // TODO: Eseguire l'inizializzazione a un valore appropriato
            int expected = 0; // TODO: Eseguire l'inizializzazione a un valore appropriato
            int actual;
            target.PEZZI_PER_SCATOLA_ARTICOLO = expected;
            actual = target.PEZZI_PER_SCATOLA_ARTICOLO;
            Assert.AreEqual(expected, actual);
            Assert.Inconclusive("Verificare la correttezza del metodo di test.");
        }

        /// <summary>
        ///Test per PESO_ARTICOLO
        ///</summary>
        // TODO: assicurarsi che l'attributo UrlToTest specifichi l'URL di una pagina ASP.NET (ad esempio,
        // http://.../Default.aspx). La specifica è necessaria per l'esecuzione dello unit test sul server Web
        // per il test di una pagina, un servizio Web o WCF.
        [TestMethod()]
        [HostType("ASP.NET")]
        [AspNetDevelopmentServerHost("C:\\sv\\dotNet\\QuickStock", "/")]
        [UrlToTest("http://localhost:2275/")]
        public void PESO_ARTICOLOTest()
        {
            DataRowBuilder rb = null; // TODO: Eseguire l'inizializzazione a un valore appropriato
            DSOrdini.ARTICOLORow target = new DSOrdini.ARTICOLORow(rb); // TODO: Eseguire l'inizializzazione a un valore appropriato
            double expected = 0F; // TODO: Eseguire l'inizializzazione a un valore appropriato
            double actual;
            target.PESO_ARTICOLO = expected;
            actual = target.PESO_ARTICOLO;
            Assert.AreEqual(expected, actual);
            Assert.Inconclusive("Verificare la correttezza del metodo di test.");
        }

        /// <summary>
        ///Test per ID_PRODUTTORE_ARTICOLO
        ///</summary>
        // TODO: assicurarsi che l'attributo UrlToTest specifichi l'URL di una pagina ASP.NET (ad esempio,
        // http://.../Default.aspx). La specifica è necessaria per l'esecuzione dello unit test sul server Web
        // per il test di una pagina, un servizio Web o WCF.
        [TestMethod()]
        [HostType("ASP.NET")]
        [AspNetDevelopmentServerHost("C:\\sv\\dotNet\\QuickStock", "/")]
        [UrlToTest("http://localhost:2275/")]
        public void ID_PRODUTTORE_ARTICOLOTest()
        {
            DataRowBuilder rb = null; // TODO: Eseguire l'inizializzazione a un valore appropriato
            DSOrdini.ARTICOLORow target = new DSOrdini.ARTICOLORow(rb); // TODO: Eseguire l'inizializzazione a un valore appropriato
            int expected = 0; // TODO: Eseguire l'inizializzazione a un valore appropriato
            int actual;
            target.ID_PRODUTTORE_ARTICOLO = expected;
            actual = target.ID_PRODUTTORE_ARTICOLO;
            Assert.AreEqual(expected, actual);
            Assert.Inconclusive("Verificare la correttezza del metodo di test.");
        }

        /// <summary>
        ///Test per DESCRIZIONE_ARTICOLO
        ///</summary>
        // TODO: assicurarsi che l'attributo UrlToTest specifichi l'URL di una pagina ASP.NET (ad esempio,
        // http://.../Default.aspx). La specifica è necessaria per l'esecuzione dello unit test sul server Web
        // per il test di una pagina, un servizio Web o WCF.
        [TestMethod()]
        [HostType("ASP.NET")]
        [AspNetDevelopmentServerHost("C:\\sv\\dotNet\\QuickStock", "/")]
        [UrlToTest("http://localhost:2275/")]
        public void DESCRIZIONE_ARTICOLOTest()
        {
            DataRowBuilder rb = null; // TODO: Eseguire l'inizializzazione a un valore appropriato
            DSOrdini.ARTICOLORow target = new DSOrdini.ARTICOLORow(rb); // TODO: Eseguire l'inizializzazione a un valore appropriato
            string expected = string.Empty; // TODO: Eseguire l'inizializzazione a un valore appropriato
            string actual;
            target.DESCRIZIONE_ARTICOLO = expected;
            actual = target.DESCRIZIONE_ARTICOLO;
            Assert.AreEqual(expected, actual);
            Assert.Inconclusive("Verificare la correttezza del metodo di test.");
        }

        /// <summary>
        ///Test per CODICE_ARTICOLO
        ///</summary>
        // TODO: assicurarsi che l'attributo UrlToTest specifichi l'URL di una pagina ASP.NET (ad esempio,
        // http://.../Default.aspx). La specifica è necessaria per l'esecuzione dello unit test sul server Web
        // per il test di una pagina, un servizio Web o WCF.
        [TestMethod()]
        [HostType("ASP.NET")]
        [AspNetDevelopmentServerHost("C:\\sv\\dotNet\\QuickStock", "/")]
        [UrlToTest("http://localhost:2275/")]
        public void CODICE_ARTICOLOTest()
        {
            DataRowBuilder rb = null; // TODO: Eseguire l'inizializzazione a un valore appropriato
            DSOrdini.ARTICOLORow target = new DSOrdini.ARTICOLORow(rb); // TODO: Eseguire l'inizializzazione a un valore appropriato
            string expected = string.Empty; // TODO: Eseguire l'inizializzazione a un valore appropriato
            string actual;
            target.CODICE_ARTICOLO = expected;
            actual = target.CODICE_ARTICOLO;
            Assert.AreEqual(expected, actual);
            Assert.Inconclusive("Verificare la correttezza del metodo di test.");
        }

        /// <summary>
        ///Test per CLASSE_ARTICOLO
        ///</summary>
        // TODO: assicurarsi che l'attributo UrlToTest specifichi l'URL di una pagina ASP.NET (ad esempio,
        // http://.../Default.aspx). La specifica è necessaria per l'esecuzione dello unit test sul server Web
        // per il test di una pagina, un servizio Web o WCF.
        [TestMethod()]
        [HostType("ASP.NET")]
        [AspNetDevelopmentServerHost("C:\\sv\\dotNet\\QuickStock", "/")]
        [UrlToTest("http://localhost:2275/")]
        public void CLASSE_ARTICOLOTest()
        {
            DataRowBuilder rb = null; // TODO: Eseguire l'inizializzazione a un valore appropriato
            DSOrdini.ARTICOLORow target = new DSOrdini.ARTICOLORow(rb); // TODO: Eseguire l'inizializzazione a un valore appropriato
            string expected = string.Empty; // TODO: Eseguire l'inizializzazione a un valore appropriato
            string actual;
            target.CLASSE_ARTICOLO = expected;
            actual = target.CLASSE_ARTICOLO;
            Assert.AreEqual(expected, actual);
            Assert.Inconclusive("Verificare la correttezza del metodo di test.");
        }

        /// <summary>
        ///Test per CATEGORIA_ARTICOLO
        ///</summary>
        // TODO: assicurarsi che l'attributo UrlToTest specifichi l'URL di una pagina ASP.NET (ad esempio,
        // http://.../Default.aspx). La specifica è necessaria per l'esecuzione dello unit test sul server Web
        // per il test di una pagina, un servizio Web o WCF.
        [TestMethod()]
        [HostType("ASP.NET")]
        [AspNetDevelopmentServerHost("C:\\sv\\dotNet\\QuickStock", "/")]
        [UrlToTest("http://localhost:2275/")]
        public void CATEGORIA_ARTICOLOTest()
        {
            DataRowBuilder rb = null; // TODO: Eseguire l'inizializzazione a un valore appropriato
            DSOrdini.ARTICOLORow target = new DSOrdini.ARTICOLORow(rb); // TODO: Eseguire l'inizializzazione a un valore appropriato
            string expected = string.Empty; // TODO: Eseguire l'inizializzazione a un valore appropriato
            string actual;
            target.CATEGORIA_ARTICOLO = expected;
            actual = target.CATEGORIA_ARTICOLO;
            Assert.AreEqual(expected, actual);
            Assert.Inconclusive("Verificare la correttezza del metodo di test.");
        }

        /// <summary>
        ///Test per SetUNITA_MISURA_ARTICOLONull
        ///</summary>
        // TODO: assicurarsi che l'attributo UrlToTest specifichi l'URL di una pagina ASP.NET (ad esempio,
        // http://.../Default.aspx). La specifica è necessaria per l'esecuzione dello unit test sul server Web
        // per il test di una pagina, un servizio Web o WCF.
        [TestMethod()]
        [HostType("ASP.NET")]
        [AspNetDevelopmentServerHost("C:\\sv\\dotNet\\QuickStock", "/")]
        [UrlToTest("http://localhost:2275/")]
        public void SetUNITA_MISURA_ARTICOLONullTest()
        {
            DataRowBuilder rb = null; // TODO: Eseguire l'inizializzazione a un valore appropriato
            DSOrdini.ARTICOLORow target = new DSOrdini.ARTICOLORow(rb); // TODO: Eseguire l'inizializzazione a un valore appropriato
            target.SetUNITA_MISURA_ARTICOLONull();
            Assert.Inconclusive("Impossibile verificare un metodo che non restituisce valori.");
        }

        /// <summary>
        ///Test per SetTIPO_ARTICOLONull
        ///</summary>
        // TODO: assicurarsi che l'attributo UrlToTest specifichi l'URL di una pagina ASP.NET (ad esempio,
        // http://.../Default.aspx). La specifica è necessaria per l'esecuzione dello unit test sul server Web
        // per il test di una pagina, un servizio Web o WCF.
        [TestMethod()]
        [HostType("ASP.NET")]
        [AspNetDevelopmentServerHost("C:\\sv\\dotNet\\QuickStock", "/")]
        [UrlToTest("http://localhost:2275/")]
        public void SetTIPO_ARTICOLONullTest()
        {
            DataRowBuilder rb = null; // TODO: Eseguire l'inizializzazione a un valore appropriato
            DSOrdini.ARTICOLORow target = new DSOrdini.ARTICOLORow(rb); // TODO: Eseguire l'inizializzazione a un valore appropriato
            target.SetTIPO_ARTICOLONull();
            Assert.Inconclusive("Impossibile verificare un metodo che non restituisce valori.");
        }

        /// <summary>
        ///Test per SetPREZZO_ACQUISTO_ARTICOLONull
        ///</summary>
        // TODO: assicurarsi che l'attributo UrlToTest specifichi l'URL di una pagina ASP.NET (ad esempio,
        // http://.../Default.aspx). La specifica è necessaria per l'esecuzione dello unit test sul server Web
        // per il test di una pagina, un servizio Web o WCF.
        [TestMethod()]
        [HostType("ASP.NET")]
        [AspNetDevelopmentServerHost("C:\\sv\\dotNet\\QuickStock", "/")]
        [UrlToTest("http://localhost:2275/")]
        public void SetPREZZO_ACQUISTO_ARTICOLONullTest()
        {
            DataRowBuilder rb = null; // TODO: Eseguire l'inizializzazione a un valore appropriato
            DSOrdini.ARTICOLORow target = new DSOrdini.ARTICOLORow(rb); // TODO: Eseguire l'inizializzazione a un valore appropriato
            target.SetPREZZO_ACQUISTO_ARTICOLONull();
            Assert.Inconclusive("Impossibile verificare un metodo che non restituisce valori.");
        }

        /// <summary>
        ///Test per SetPEZZI_PER_SCATOLA_ARTICOLONull
        ///</summary>
        // TODO: assicurarsi che l'attributo UrlToTest specifichi l'URL di una pagina ASP.NET (ad esempio,
        // http://.../Default.aspx). La specifica è necessaria per l'esecuzione dello unit test sul server Web
        // per il test di una pagina, un servizio Web o WCF.
        [TestMethod()]
        [HostType("ASP.NET")]
        [AspNetDevelopmentServerHost("C:\\sv\\dotNet\\QuickStock", "/")]
        [UrlToTest("http://localhost:2275/")]
        public void SetPEZZI_PER_SCATOLA_ARTICOLONullTest()
        {
            DataRowBuilder rb = null; // TODO: Eseguire l'inizializzazione a un valore appropriato
            DSOrdini.ARTICOLORow target = new DSOrdini.ARTICOLORow(rb); // TODO: Eseguire l'inizializzazione a un valore appropriato
            target.SetPEZZI_PER_SCATOLA_ARTICOLONull();
            Assert.Inconclusive("Impossibile verificare un metodo che non restituisce valori.");
        }

        /// <summary>
        ///Test per SetPESO_ARTICOLONull
        ///</summary>
        // TODO: assicurarsi che l'attributo UrlToTest specifichi l'URL di una pagina ASP.NET (ad esempio,
        // http://.../Default.aspx). La specifica è necessaria per l'esecuzione dello unit test sul server Web
        // per il test di una pagina, un servizio Web o WCF.
        [TestMethod()]
        [HostType("ASP.NET")]
        [AspNetDevelopmentServerHost("C:\\sv\\dotNet\\QuickStock", "/")]
        [UrlToTest("http://localhost:2275/")]
        public void SetPESO_ARTICOLONullTest()
        {
            DataRowBuilder rb = null; // TODO: Eseguire l'inizializzazione a un valore appropriato
            DSOrdini.ARTICOLORow target = new DSOrdini.ARTICOLORow(rb); // TODO: Eseguire l'inizializzazione a un valore appropriato
            target.SetPESO_ARTICOLONull();
            Assert.Inconclusive("Impossibile verificare un metodo che non restituisce valori.");
        }

        /// <summary>
        ///Test per SetDESCRIZIONE_ARTICOLONull
        ///</summary>
        // TODO: assicurarsi che l'attributo UrlToTest specifichi l'URL di una pagina ASP.NET (ad esempio,
        // http://.../Default.aspx). La specifica è necessaria per l'esecuzione dello unit test sul server Web
        // per il test di una pagina, un servizio Web o WCF.
        [TestMethod()]
        [HostType("ASP.NET")]
        [AspNetDevelopmentServerHost("C:\\sv\\dotNet\\QuickStock", "/")]
        [UrlToTest("http://localhost:2275/")]
        public void SetDESCRIZIONE_ARTICOLONullTest()
        {
            DataRowBuilder rb = null; // TODO: Eseguire l'inizializzazione a un valore appropriato
            DSOrdini.ARTICOLORow target = new DSOrdini.ARTICOLORow(rb); // TODO: Eseguire l'inizializzazione a un valore appropriato
            target.SetDESCRIZIONE_ARTICOLONull();
            Assert.Inconclusive("Impossibile verificare un metodo che non restituisce valori.");
        }

        /// <summary>
        ///Test per SetCLASSE_ARTICOLONull
        ///</summary>
        // TODO: assicurarsi che l'attributo UrlToTest specifichi l'URL di una pagina ASP.NET (ad esempio,
        // http://.../Default.aspx). La specifica è necessaria per l'esecuzione dello unit test sul server Web
        // per il test di una pagina, un servizio Web o WCF.
        [TestMethod()]
        [HostType("ASP.NET")]
        [AspNetDevelopmentServerHost("C:\\sv\\dotNet\\QuickStock", "/")]
        [UrlToTest("http://localhost:2275/")]
        public void SetCLASSE_ARTICOLONullTest()
        {
            DataRowBuilder rb = null; // TODO: Eseguire l'inizializzazione a un valore appropriato
            DSOrdini.ARTICOLORow target = new DSOrdini.ARTICOLORow(rb); // TODO: Eseguire l'inizializzazione a un valore appropriato
            target.SetCLASSE_ARTICOLONull();
            Assert.Inconclusive("Impossibile verificare un metodo che non restituisce valori.");
        }

        /// <summary>
        ///Test per SetCATEGORIA_ARTICOLONull
        ///</summary>
        // TODO: assicurarsi che l'attributo UrlToTest specifichi l'URL di una pagina ASP.NET (ad esempio,
        // http://.../Default.aspx). La specifica è necessaria per l'esecuzione dello unit test sul server Web
        // per il test di una pagina, un servizio Web o WCF.
        [TestMethod()]
        [HostType("ASP.NET")]
        [AspNetDevelopmentServerHost("C:\\sv\\dotNet\\QuickStock", "/")]
        [UrlToTest("http://localhost:2275/")]
        public void SetCATEGORIA_ARTICOLONullTest()
        {
            DataRowBuilder rb = null; // TODO: Eseguire l'inizializzazione a un valore appropriato
            DSOrdini.ARTICOLORow target = new DSOrdini.ARTICOLORow(rb); // TODO: Eseguire l'inizializzazione a un valore appropriato
            target.SetCATEGORIA_ARTICOLONull();
            Assert.Inconclusive("Impossibile verificare un metodo che non restituisce valori.");
        }

        /// <summary>
        ///Test per IsUNITA_MISURA_ARTICOLONull
        ///</summary>
        // TODO: assicurarsi che l'attributo UrlToTest specifichi l'URL di una pagina ASP.NET (ad esempio,
        // http://.../Default.aspx). La specifica è necessaria per l'esecuzione dello unit test sul server Web
        // per il test di una pagina, un servizio Web o WCF.
        [TestMethod()]
        [HostType("ASP.NET")]
        [AspNetDevelopmentServerHost("C:\\sv\\dotNet\\QuickStock", "/")]
        [UrlToTest("http://localhost:2275/")]
        public void IsUNITA_MISURA_ARTICOLONullTest()
        {
            DataRowBuilder rb = null; // TODO: Eseguire l'inizializzazione a un valore appropriato
            DSOrdini.ARTICOLORow target = new DSOrdini.ARTICOLORow(rb); // TODO: Eseguire l'inizializzazione a un valore appropriato
            bool expected = false; // TODO: Eseguire l'inizializzazione a un valore appropriato
            bool actual;
            actual = target.IsUNITA_MISURA_ARTICOLONull();
            Assert.AreEqual(expected, actual);
            Assert.Inconclusive("Verificare la correttezza del metodo di test.");
        }

        /// <summary>
        ///Test per IsTIPO_ARTICOLONull
        ///</summary>
        // TODO: assicurarsi che l'attributo UrlToTest specifichi l'URL di una pagina ASP.NET (ad esempio,
        // http://.../Default.aspx). La specifica è necessaria per l'esecuzione dello unit test sul server Web
        // per il test di una pagina, un servizio Web o WCF.
        [TestMethod()]
        [HostType("ASP.NET")]
        [AspNetDevelopmentServerHost("C:\\sv\\dotNet\\QuickStock", "/")]
        [UrlToTest("http://localhost:2275/")]
        public void IsTIPO_ARTICOLONullTest()
        {
            DataRowBuilder rb = null; // TODO: Eseguire l'inizializzazione a un valore appropriato
            DSOrdini.ARTICOLORow target = new DSOrdini.ARTICOLORow(rb); // TODO: Eseguire l'inizializzazione a un valore appropriato
            bool expected = false; // TODO: Eseguire l'inizializzazione a un valore appropriato
            bool actual;
            actual = target.IsTIPO_ARTICOLONull();
            Assert.AreEqual(expected, actual);
            Assert.Inconclusive("Verificare la correttezza del metodo di test.");
        }

        /// <summary>
        ///Test per IsPREZZO_ACQUISTO_ARTICOLONull
        ///</summary>
        // TODO: assicurarsi che l'attributo UrlToTest specifichi l'URL di una pagina ASP.NET (ad esempio,
        // http://.../Default.aspx). La specifica è necessaria per l'esecuzione dello unit test sul server Web
        // per il test di una pagina, un servizio Web o WCF.
        [TestMethod()]
        [HostType("ASP.NET")]
        [AspNetDevelopmentServerHost("C:\\sv\\dotNet\\QuickStock", "/")]
        [UrlToTest("http://localhost:2275/")]
        public void IsPREZZO_ACQUISTO_ARTICOLONullTest()
        {
            DataRowBuilder rb = null; // TODO: Eseguire l'inizializzazione a un valore appropriato
            DSOrdini.ARTICOLORow target = new DSOrdini.ARTICOLORow(rb); // TODO: Eseguire l'inizializzazione a un valore appropriato
            bool expected = false; // TODO: Eseguire l'inizializzazione a un valore appropriato
            bool actual;
            actual = target.IsPREZZO_ACQUISTO_ARTICOLONull();
            Assert.AreEqual(expected, actual);
            Assert.Inconclusive("Verificare la correttezza del metodo di test.");
        }

        /// <summary>
        ///Test per IsPEZZI_PER_SCATOLA_ARTICOLONull
        ///</summary>
        // TODO: assicurarsi che l'attributo UrlToTest specifichi l'URL di una pagina ASP.NET (ad esempio,
        // http://.../Default.aspx). La specifica è necessaria per l'esecuzione dello unit test sul server Web
        // per il test di una pagina, un servizio Web o WCF.
        [TestMethod()]
        [HostType("ASP.NET")]
        [AspNetDevelopmentServerHost("C:\\sv\\dotNet\\QuickStock", "/")]
        [UrlToTest("http://localhost:2275/")]
        public void IsPEZZI_PER_SCATOLA_ARTICOLONullTest()
        {
            DataRowBuilder rb = null; // TODO: Eseguire l'inizializzazione a un valore appropriato
            DSOrdini.ARTICOLORow target = new DSOrdini.ARTICOLORow(rb); // TODO: Eseguire l'inizializzazione a un valore appropriato
            bool expected = false; // TODO: Eseguire l'inizializzazione a un valore appropriato
            bool actual;
            actual = target.IsPEZZI_PER_SCATOLA_ARTICOLONull();
            Assert.AreEqual(expected, actual);
            Assert.Inconclusive("Verificare la correttezza del metodo di test.");
        }

        /// <summary>
        ///Test per IsPESO_ARTICOLONull
        ///</summary>
        // TODO: assicurarsi che l'attributo UrlToTest specifichi l'URL di una pagina ASP.NET (ad esempio,
        // http://.../Default.aspx). La specifica è necessaria per l'esecuzione dello unit test sul server Web
        // per il test di una pagina, un servizio Web o WCF.
        [TestMethod()]
        [HostType("ASP.NET")]
        [AspNetDevelopmentServerHost("C:\\sv\\dotNet\\QuickStock", "/")]
        [UrlToTest("http://localhost:2275/")]
        public void IsPESO_ARTICOLONullTest()
        {
            DataRowBuilder rb = null; // TODO: Eseguire l'inizializzazione a un valore appropriato
            DSOrdini.ARTICOLORow target = new DSOrdini.ARTICOLORow(rb); // TODO: Eseguire l'inizializzazione a un valore appropriato
            bool expected = false; // TODO: Eseguire l'inizializzazione a un valore appropriato
            bool actual;
            actual = target.IsPESO_ARTICOLONull();
            Assert.AreEqual(expected, actual);
            Assert.Inconclusive("Verificare la correttezza del metodo di test.");
        }

        /// <summary>
        ///Test per IsDESCRIZIONE_ARTICOLONull
        ///</summary>
        // TODO: assicurarsi che l'attributo UrlToTest specifichi l'URL di una pagina ASP.NET (ad esempio,
        // http://.../Default.aspx). La specifica è necessaria per l'esecuzione dello unit test sul server Web
        // per il test di una pagina, un servizio Web o WCF.
        [TestMethod()]
        [HostType("ASP.NET")]
        [AspNetDevelopmentServerHost("C:\\sv\\dotNet\\QuickStock", "/")]
        [UrlToTest("http://localhost:2275/")]
        public void IsDESCRIZIONE_ARTICOLONullTest()
        {
            DataRowBuilder rb = null; // TODO: Eseguire l'inizializzazione a un valore appropriato
            DSOrdini.ARTICOLORow target = new DSOrdini.ARTICOLORow(rb); // TODO: Eseguire l'inizializzazione a un valore appropriato
            bool expected = false; // TODO: Eseguire l'inizializzazione a un valore appropriato
            bool actual;
            actual = target.IsDESCRIZIONE_ARTICOLONull();
            Assert.AreEqual(expected, actual);
            Assert.Inconclusive("Verificare la correttezza del metodo di test.");
        }

        /// <summary>
        ///Test per IsCLASSE_ARTICOLONull
        ///</summary>
        // TODO: assicurarsi che l'attributo UrlToTest specifichi l'URL di una pagina ASP.NET (ad esempio,
        // http://.../Default.aspx). La specifica è necessaria per l'esecuzione dello unit test sul server Web
        // per il test di una pagina, un servizio Web o WCF.
        [TestMethod()]
        [HostType("ASP.NET")]
        [AspNetDevelopmentServerHost("C:\\sv\\dotNet\\QuickStock", "/")]
        [UrlToTest("http://localhost:2275/")]
        public void IsCLASSE_ARTICOLONullTest()
        {
            DataRowBuilder rb = null; // TODO: Eseguire l'inizializzazione a un valore appropriato
            DSOrdini.ARTICOLORow target = new DSOrdini.ARTICOLORow(rb); // TODO: Eseguire l'inizializzazione a un valore appropriato
            bool expected = false; // TODO: Eseguire l'inizializzazione a un valore appropriato
            bool actual;
            actual = target.IsCLASSE_ARTICOLONull();
            Assert.AreEqual(expected, actual);
            Assert.Inconclusive("Verificare la correttezza del metodo di test.");
        }

        /// <summary>
        ///Test per IsCATEGORIA_ARTICOLONull
        ///</summary>
        // TODO: assicurarsi che l'attributo UrlToTest specifichi l'URL di una pagina ASP.NET (ad esempio,
        // http://.../Default.aspx). La specifica è necessaria per l'esecuzione dello unit test sul server Web
        // per il test di una pagina, un servizio Web o WCF.
        [TestMethod()]
        [HostType("ASP.NET")]
        [AspNetDevelopmentServerHost("C:\\sv\\dotNet\\QuickStock", "/")]
        [UrlToTest("http://localhost:2275/")]
        public void IsCATEGORIA_ARTICOLONullTest()
        {
            DataRowBuilder rb = null; // TODO: Eseguire l'inizializzazione a un valore appropriato
            DSOrdini.ARTICOLORow target = new DSOrdini.ARTICOLORow(rb); // TODO: Eseguire l'inizializzazione a un valore appropriato
            bool expected = false; // TODO: Eseguire l'inizializzazione a un valore appropriato
            bool actual;
            actual = target.IsCATEGORIA_ARTICOLONull();
            Assert.AreEqual(expected, actual);
            Assert.Inconclusive("Verificare la correttezza del metodo di test.");
        }

        /// <summary>
        ///Test per Costruttore ARTICOLORow
        ///</summary>
        // TODO: assicurarsi che l'attributo UrlToTest specifichi l'URL di una pagina ASP.NET (ad esempio,
        // http://.../Default.aspx). La specifica è necessaria per l'esecuzione dello unit test sul server Web
        // per il test di una pagina, un servizio Web o WCF.
        [TestMethod()]
        [HostType("ASP.NET")]
        [AspNetDevelopmentServerHost("C:\\sv\\dotNet\\QuickStock", "/")]
        [UrlToTest("http://localhost:2275/")]
        public void DSOrdini_ARTICOLORowConstructorTest()
        {
            DataRowBuilder rb = null; // TODO: Eseguire l'inizializzazione a un valore appropriato
            DSOrdini.ARTICOLORow target = new DSOrdini.ARTICOLORow(rb);
            Assert.Inconclusive("TODO: Implementare il codice per la verifica della destinazione");
        }
    }
}
