﻿using QuickStock.DynamicData.CustomPages.GridViewGroup;
using Microsoft.VisualStudio.TestTools.UnitTesting;
using Microsoft.VisualStudio.TestTools.UnitTesting.Web;
using System.Web.UI.WebControls;
using System.Collections.Generic;

namespace TestProject1
{
    
    
    /// <summary>
    ///Classe di test per GridViewSpeseHelperTest.
    ///Creata per contenere tutti gli unit test GridViewSpeseHelperTest
    ///</summary>
    [TestClass()]
    public class GridViewSpeseHelperTest
    {


        private TestContext testContextInstance;

        /// <summary>
        ///Ottiene o imposta il contesto dei test, che fornisce
        ///funzionalità e informazioni sull'esecuzione dei test corrente.
        ///</summary>
        public TestContext TestContext
        {
            get
            {
                return testContextInstance;
            }
            set
            {
                testContextInstance = value;
            }
        }

        #region Attributi di test aggiuntivi
        // 
        //Durante la scrittura dei test è possibile utilizzare i seguenti attributi aggiuntivi:
        //
        //Utilizzare ClassInitialize per eseguire il codice prima di eseguire il primo test della classe
        //[ClassInitialize()]
        //public static void MyClassInitialize(TestContext testContext)
        //{
        //}
        //
        //Utilizzare ClassCleanup per eseguire il codice dopo l'esecuzione di tutti i test di una classe
        //[ClassCleanup()]
        //public static void MyClassCleanup()
        //{
        //}
        //
        //Utilizzare TestInitialize per eseguire il codice prima di eseguire ciascun test
        //
        //[TestInitialize()]
        //public void MyTestInitialize()
        //{
        //}
        //Utilizzare TestCleanup per eseguire il codice dopo l'esecuzione di ciascun test
        //[TestCleanup()]
        //public void MyTestCleanup()
        //{
        //}
        //
        #endregion


        /// <summary>
        ///Test per Groups
        ///</summary>
        // TODO: assicurarsi che l'attributo UrlToTest specifichi l'URL di una pagina ASP.NET (ad esempio,
        // http://.../Default.aspx). La specifica è necessaria per l'esecuzione dello unit test sul server Web
        // per il test di una pagina, un servizio Web o WCF.
        [TestMethod()]
        [HostType("ASP.NET")]
        [AspNetDevelopmentServerHost("C:\\sv\\dotNet\\QuickStock", "/")]
        [UrlToTest("http://localhost:2275/")]
        public void GroupsTest()
        {
            GridView grd = null; // TODO: Eseguire l'inizializzazione a un valore appropriato
            GridViewSpeseHelper target = new GridViewSpeseHelper(grd); // TODO: Eseguire l'inizializzazione a un valore appropriato
            GridViewGroupList actual;
            actual = target.Groups;
            Assert.Inconclusive("Verificare la correttezza del metodo di test.");
        }

        /// <summary>
        ///Test per GeneralSummaries
        ///</summary>
        // TODO: assicurarsi che l'attributo UrlToTest specifichi l'URL di una pagina ASP.NET (ad esempio,
        // http://.../Default.aspx). La specifica è necessaria per l'esecuzione dello unit test sul server Web
        // per il test di una pagina, un servizio Web o WCF.
        [TestMethod()]
        [HostType("ASP.NET")]
        [AspNetDevelopmentServerHost("C:\\sv\\dotNet\\QuickStock", "/")]
        [UrlToTest("http://localhost:2275/")]
        public void GeneralSummariesTest()
        {
            GridView grd = null; // TODO: Eseguire l'inizializzazione a un valore appropriato
            GridViewSpeseHelper target = new GridViewSpeseHelper(grd); // TODO: Eseguire l'inizializzazione a un valore appropriato
            GridViewSummaryList actual;
            actual = target.GeneralSummaries;
            Assert.Inconclusive("Verificare la correttezza del metodo di test.");
        }

        /// <summary>
        ///Test per SetSuppressGroup
        ///</summary>
        // TODO: assicurarsi che l'attributo UrlToTest specifichi l'URL di una pagina ASP.NET (ad esempio,
        // http://.../Default.aspx). La specifica è necessaria per l'esecuzione dello unit test sul server Web
        // per il test di una pagina, un servizio Web o WCF.
        [TestMethod()]
        [HostType("ASP.NET")]
        [AspNetDevelopmentServerHost("C:\\sv\\dotNet\\QuickStock", "/")]
        [UrlToTest("http://localhost:2275/")]
        public void SetSuppressGroupTest1()
        {
            GridView grd = null; // TODO: Eseguire l'inizializzazione a un valore appropriato
            GridViewSpeseHelper target = new GridViewSpeseHelper(grd); // TODO: Eseguire l'inizializzazione a un valore appropriato
            string column = string.Empty; // TODO: Eseguire l'inizializzazione a un valore appropriato
            GridViewGroup expected = null; // TODO: Eseguire l'inizializzazione a un valore appropriato
            GridViewGroup actual;
            actual = target.SetSuppressGroup(column);
            Assert.AreEqual(expected, actual);
            Assert.Inconclusive("Verificare la correttezza del metodo di test.");
        }

        /// <summary>
        ///Test per SetSuppressGroup
        ///</summary>
        // TODO: assicurarsi che l'attributo UrlToTest specifichi l'URL di una pagina ASP.NET (ad esempio,
        // http://.../Default.aspx). La specifica è necessaria per l'esecuzione dello unit test sul server Web
        // per il test di una pagina, un servizio Web o WCF.
        [TestMethod()]
        [HostType("ASP.NET")]
        [AspNetDevelopmentServerHost("C:\\sv\\dotNet\\QuickStock", "/")]
        [UrlToTest("http://localhost:2275/")]
        public void SetSuppressGroupTest()
        {
            GridView grd = null; // TODO: Eseguire l'inizializzazione a un valore appropriato
            GridViewSpeseHelper target = new GridViewSpeseHelper(grd); // TODO: Eseguire l'inizializzazione a un valore appropriato
            string[] columns = null; // TODO: Eseguire l'inizializzazione a un valore appropriato
            GridViewGroup expected = null; // TODO: Eseguire l'inizializzazione a un valore appropriato
            GridViewGroup actual;
            actual = target.SetSuppressGroup(columns);
            Assert.AreEqual(expected, actual);
            Assert.Inconclusive("Verificare la correttezza del metodo di test.");
        }

        /// <summary>
        ///Test per SetInvisibleColumnsWithoutGroupSummary
        ///</summary>
        // TODO: assicurarsi che l'attributo UrlToTest specifichi l'URL di una pagina ASP.NET (ad esempio,
        // http://.../Default.aspx). La specifica è necessaria per l'esecuzione dello unit test sul server Web
        // per il test di una pagina, un servizio Web o WCF.
        [TestMethod()]
        [HostType("ASP.NET")]
        [AspNetDevelopmentServerHost("C:\\sv\\dotNet\\QuickStock", "/")]
        [UrlToTest("http://localhost:2275/")]
        public void SetInvisibleColumnsWithoutGroupSummaryTest()
        {
            GridView grd = null; // TODO: Eseguire l'inizializzazione a un valore appropriato
            GridViewSpeseHelper target = new GridViewSpeseHelper(grd); // TODO: Eseguire l'inizializzazione a un valore appropriato
            target.SetInvisibleColumnsWithoutGroupSummary();
            Assert.Inconclusive("Impossibile verificare un metodo che non restituisce valori.");
        }

        /// <summary>
        ///Test per RowDataBoundHandler
        ///</summary>
        // TODO: assicurarsi che l'attributo UrlToTest specifichi l'URL di una pagina ASP.NET (ad esempio,
        // http://.../Default.aspx). La specifica è necessaria per l'esecuzione dello unit test sul server Web
        // per il test di una pagina, un servizio Web o WCF.
        [TestMethod()]
        [HostType("ASP.NET")]
        [AspNetDevelopmentServerHost("C:\\sv\\dotNet\\QuickStock", "/")]
        [UrlToTest("http://localhost:2275/")]
        [DeploymentItem("QuickStock.dll")]
        public void RowDataBoundHandlerTest()
        {
            PrivateObject param0 = null; // TODO: Eseguire l'inizializzazione a un valore appropriato
            GridViewSpeseHelper_Accessor target = new GridViewSpeseHelper_Accessor(param0); // TODO: Eseguire l'inizializzazione a un valore appropriato
            object sender = null; // TODO: Eseguire l'inizializzazione a un valore appropriato
            GridViewRowEventArgs e = null; // TODO: Eseguire l'inizializzazione a un valore appropriato
            target.RowDataBoundHandler(sender, e);
            Assert.Inconclusive("Impossibile verificare un metodo che non restituisce valori.");
        }

        /// <summary>
        ///Test per ResolveCellIndex
        ///</summary>
        // TODO: assicurarsi che l'attributo UrlToTest specifichi l'URL di una pagina ASP.NET (ad esempio,
        // http://.../Default.aspx). La specifica è necessaria per l'esecuzione dello unit test sul server Web
        // per il test di una pagina, un servizio Web o WCF.
        [TestMethod()]
        [HostType("ASP.NET")]
        [AspNetDevelopmentServerHost("C:\\sv\\dotNet\\QuickStock", "/")]
        [UrlToTest("http://localhost:2275/")]
        [DeploymentItem("QuickStock.dll")]
        public void ResolveCellIndexTest()
        {
            PrivateObject param0 = null; // TODO: Eseguire l'inizializzazione a un valore appropriato
            GridViewSpeseHelper_Accessor target = new GridViewSpeseHelper_Accessor(param0); // TODO: Eseguire l'inizializzazione a un valore appropriato
            GridViewRow row = null; // TODO: Eseguire l'inizializzazione a un valore appropriato
            int colIndex = 0; // TODO: Eseguire l'inizializzazione a un valore appropriato
            int expected = 0; // TODO: Eseguire l'inizializzazione a un valore appropriato
            int actual;
            actual = target.ResolveCellIndex(row, colIndex);
            Assert.AreEqual(expected, actual);
            Assert.Inconclusive("Verificare la correttezza del metodo di test.");
        }

        /// <summary>
        ///Test per RegisterSummary
        ///</summary>
        // TODO: assicurarsi che l'attributo UrlToTest specifichi l'URL di una pagina ASP.NET (ad esempio,
        // http://.../Default.aspx). La specifica è necessaria per l'esecuzione dello unit test sul server Web
        // per il test di una pagina, un servizio Web o WCF.
        [TestMethod()]
        [HostType("ASP.NET")]
        [AspNetDevelopmentServerHost("C:\\sv\\dotNet\\QuickStock", "/")]
        [UrlToTest("http://localhost:2275/")]
        public void RegisterSummaryTest8()
        {
            GridView grd = null; // TODO: Eseguire l'inizializzazione a un valore appropriato
            GridViewSpeseHelper target = new GridViewSpeseHelper(grd); // TODO: Eseguire l'inizializzazione a un valore appropriato
            GridViewSummary s = null; // TODO: Eseguire l'inizializzazione a un valore appropriato
            GridViewSummary expected = null; // TODO: Eseguire l'inizializzazione a un valore appropriato
            GridViewSummary actual;
            actual = target.RegisterSummary(s);
            Assert.AreEqual(expected, actual);
            Assert.Inconclusive("Verificare la correttezza del metodo di test.");
        }

        /// <summary>
        ///Test per RegisterSummary
        ///</summary>
        // TODO: assicurarsi che l'attributo UrlToTest specifichi l'URL di una pagina ASP.NET (ad esempio,
        // http://.../Default.aspx). La specifica è necessaria per l'esecuzione dello unit test sul server Web
        // per il test di una pagina, un servizio Web o WCF.
        [TestMethod()]
        [HostType("ASP.NET")]
        [AspNetDevelopmentServerHost("C:\\sv\\dotNet\\QuickStock", "/")]
        [UrlToTest("http://localhost:2275/")]
        public void RegisterSummaryTest7()
        {
            GridView grd = null; // TODO: Eseguire l'inizializzazione a un valore appropriato
            GridViewSpeseHelper target = new GridViewSpeseHelper(grd); // TODO: Eseguire l'inizializzazione a un valore appropriato
            string column = string.Empty; // TODO: Eseguire l'inizializzazione a un valore appropriato
            string formatString = string.Empty; // TODO: Eseguire l'inizializzazione a un valore appropriato
            SummaryOperation operation = new SummaryOperation(); // TODO: Eseguire l'inizializzazione a un valore appropriato
            GridViewSummary expected = null; // TODO: Eseguire l'inizializzazione a un valore appropriato
            GridViewSummary actual;
            actual = target.RegisterSummary(column, formatString, operation);
            Assert.AreEqual(expected, actual);
            Assert.Inconclusive("Verificare la correttezza del metodo di test.");
        }

        /// <summary>
        ///Test per RegisterSummary
        ///</summary>
        // TODO: assicurarsi che l'attributo UrlToTest specifichi l'URL di una pagina ASP.NET (ad esempio,
        // http://.../Default.aspx). La specifica è necessaria per l'esecuzione dello unit test sul server Web
        // per il test di una pagina, un servizio Web o WCF.
        [TestMethod()]
        [HostType("ASP.NET")]
        [AspNetDevelopmentServerHost("C:\\sv\\dotNet\\QuickStock", "/")]
        [UrlToTest("http://localhost:2275/")]
        public void RegisterSummaryTest6()
        {
            GridView grd = null; // TODO: Eseguire l'inizializzazione a un valore appropriato
            GridViewSpeseHelper target = new GridViewSpeseHelper(grd); // TODO: Eseguire l'inizializzazione a un valore appropriato
            string column = string.Empty; // TODO: Eseguire l'inizializzazione a un valore appropriato
            SummaryOperation operation = new SummaryOperation(); // TODO: Eseguire l'inizializzazione a un valore appropriato
            GridViewSummary expected = null; // TODO: Eseguire l'inizializzazione a un valore appropriato
            GridViewSummary actual;
            actual = target.RegisterSummary(column, operation);
            Assert.AreEqual(expected, actual);
            Assert.Inconclusive("Verificare la correttezza del metodo di test.");
        }

        /// <summary>
        ///Test per RegisterSummary
        ///</summary>
        // TODO: assicurarsi che l'attributo UrlToTest specifichi l'URL di una pagina ASP.NET (ad esempio,
        // http://.../Default.aspx). La specifica è necessaria per l'esecuzione dello unit test sul server Web
        // per il test di una pagina, un servizio Web o WCF.
        [TestMethod()]
        [HostType("ASP.NET")]
        [AspNetDevelopmentServerHost("C:\\sv\\dotNet\\QuickStock", "/")]
        [UrlToTest("http://localhost:2275/")]
        public void RegisterSummaryTest5()
        {
            GridView grd = null; // TODO: Eseguire l'inizializzazione a un valore appropriato
            GridViewSpeseHelper target = new GridViewSpeseHelper(grd); // TODO: Eseguire l'inizializzazione a un valore appropriato
            string column = string.Empty; // TODO: Eseguire l'inizializzazione a un valore appropriato
            CustomSummaryOperation operation = null; // TODO: Eseguire l'inizializzazione a un valore appropriato
            SummaryResultMethod getResult = null; // TODO: Eseguire l'inizializzazione a un valore appropriato
            GridViewSummary expected = null; // TODO: Eseguire l'inizializzazione a un valore appropriato
            GridViewSummary actual;
            actual = target.RegisterSummary(column, operation, getResult);
            Assert.AreEqual(expected, actual);
            Assert.Inconclusive("Verificare la correttezza del metodo di test.");
        }

        /// <summary>
        ///Test per RegisterSummary
        ///</summary>
        // TODO: assicurarsi che l'attributo UrlToTest specifichi l'URL di una pagina ASP.NET (ad esempio,
        // http://.../Default.aspx). La specifica è necessaria per l'esecuzione dello unit test sul server Web
        // per il test di una pagina, un servizio Web o WCF.
        [TestMethod()]
        [HostType("ASP.NET")]
        [AspNetDevelopmentServerHost("C:\\sv\\dotNet\\QuickStock", "/")]
        [UrlToTest("http://localhost:2275/")]
        public void RegisterSummaryTest4()
        {
            GridView grd = null; // TODO: Eseguire l'inizializzazione a un valore appropriato
            GridViewSpeseHelper target = new GridViewSpeseHelper(grd); // TODO: Eseguire l'inizializzazione a un valore appropriato
            string column = string.Empty; // TODO: Eseguire l'inizializzazione a un valore appropriato
            string formatString = string.Empty; // TODO: Eseguire l'inizializzazione a un valore appropriato
            SummaryOperation operation = new SummaryOperation(); // TODO: Eseguire l'inizializzazione a un valore appropriato
            string groupName = string.Empty; // TODO: Eseguire l'inizializzazione a un valore appropriato
            GridViewSummary expected = null; // TODO: Eseguire l'inizializzazione a un valore appropriato
            GridViewSummary actual;
            actual = target.RegisterSummary(column, formatString, operation, groupName);
            Assert.AreEqual(expected, actual);
            Assert.Inconclusive("Verificare la correttezza del metodo di test.");
        }

        /// <summary>
        ///Test per RegisterSummary
        ///</summary>
        // TODO: assicurarsi che l'attributo UrlToTest specifichi l'URL di una pagina ASP.NET (ad esempio,
        // http://.../Default.aspx). La specifica è necessaria per l'esecuzione dello unit test sul server Web
        // per il test di una pagina, un servizio Web o WCF.
        [TestMethod()]
        [HostType("ASP.NET")]
        [AspNetDevelopmentServerHost("C:\\sv\\dotNet\\QuickStock", "/")]
        [UrlToTest("http://localhost:2275/")]
        public void RegisterSummaryTest3()
        {
            GridView grd = null; // TODO: Eseguire l'inizializzazione a un valore appropriato
            GridViewSpeseHelper target = new GridViewSpeseHelper(grd); // TODO: Eseguire l'inizializzazione a un valore appropriato
            string column = string.Empty; // TODO: Eseguire l'inizializzazione a un valore appropriato
            SummaryOperation operation = new SummaryOperation(); // TODO: Eseguire l'inizializzazione a un valore appropriato
            string groupName = string.Empty; // TODO: Eseguire l'inizializzazione a un valore appropriato
            GridViewSummary expected = null; // TODO: Eseguire l'inizializzazione a un valore appropriato
            GridViewSummary actual;
            actual = target.RegisterSummary(column, operation, groupName);
            Assert.AreEqual(expected, actual);
            Assert.Inconclusive("Verificare la correttezza del metodo di test.");
        }

        /// <summary>
        ///Test per RegisterSummary
        ///</summary>
        // TODO: assicurarsi che l'attributo UrlToTest specifichi l'URL di una pagina ASP.NET (ad esempio,
        // http://.../Default.aspx). La specifica è necessaria per l'esecuzione dello unit test sul server Web
        // per il test di una pagina, un servizio Web o WCF.
        [TestMethod()]
        [HostType("ASP.NET")]
        [AspNetDevelopmentServerHost("C:\\sv\\dotNet\\QuickStock", "/")]
        [UrlToTest("http://localhost:2275/")]
        public void RegisterSummaryTest2()
        {
            GridView grd = null; // TODO: Eseguire l'inizializzazione a un valore appropriato
            GridViewSpeseHelper target = new GridViewSpeseHelper(grd); // TODO: Eseguire l'inizializzazione a un valore appropriato
            string column = string.Empty; // TODO: Eseguire l'inizializzazione a un valore appropriato
            string formatString = string.Empty; // TODO: Eseguire l'inizializzazione a un valore appropriato
            CustomSummaryOperation operation = null; // TODO: Eseguire l'inizializzazione a un valore appropriato
            SummaryResultMethod getResult = null; // TODO: Eseguire l'inizializzazione a un valore appropriato
            GridViewSummary expected = null; // TODO: Eseguire l'inizializzazione a un valore appropriato
            GridViewSummary actual;
            actual = target.RegisterSummary(column, formatString, operation, getResult);
            Assert.AreEqual(expected, actual);
            Assert.Inconclusive("Verificare la correttezza del metodo di test.");
        }

        /// <summary>
        ///Test per RegisterSummary
        ///</summary>
        // TODO: assicurarsi che l'attributo UrlToTest specifichi l'URL di una pagina ASP.NET (ad esempio,
        // http://.../Default.aspx). La specifica è necessaria per l'esecuzione dello unit test sul server Web
        // per il test di una pagina, un servizio Web o WCF.
        [TestMethod()]
        [HostType("ASP.NET")]
        [AspNetDevelopmentServerHost("C:\\sv\\dotNet\\QuickStock", "/")]
        [UrlToTest("http://localhost:2275/")]
        public void RegisterSummaryTest1()
        {
            GridView grd = null; // TODO: Eseguire l'inizializzazione a un valore appropriato
            GridViewSpeseHelper target = new GridViewSpeseHelper(grd); // TODO: Eseguire l'inizializzazione a un valore appropriato
            string column = string.Empty; // TODO: Eseguire l'inizializzazione a un valore appropriato
            CustomSummaryOperation operation = null; // TODO: Eseguire l'inizializzazione a un valore appropriato
            SummaryResultMethod getResult = null; // TODO: Eseguire l'inizializzazione a un valore appropriato
            string groupName = string.Empty; // TODO: Eseguire l'inizializzazione a un valore appropriato
            GridViewSummary expected = null; // TODO: Eseguire l'inizializzazione a un valore appropriato
            GridViewSummary actual;
            actual = target.RegisterSummary(column, operation, getResult, groupName);
            Assert.AreEqual(expected, actual);
            Assert.Inconclusive("Verificare la correttezza del metodo di test.");
        }

        /// <summary>
        ///Test per RegisterSummary
        ///</summary>
        // TODO: assicurarsi che l'attributo UrlToTest specifichi l'URL di una pagina ASP.NET (ad esempio,
        // http://.../Default.aspx). La specifica è necessaria per l'esecuzione dello unit test sul server Web
        // per il test di una pagina, un servizio Web o WCF.
        [TestMethod()]
        [HostType("ASP.NET")]
        [AspNetDevelopmentServerHost("C:\\sv\\dotNet\\QuickStock", "/")]
        [UrlToTest("http://localhost:2275/")]
        public void RegisterSummaryTest()
        {
            GridView grd = null; // TODO: Eseguire l'inizializzazione a un valore appropriato
            GridViewSpeseHelper target = new GridViewSpeseHelper(grd); // TODO: Eseguire l'inizializzazione a un valore appropriato
            string column = string.Empty; // TODO: Eseguire l'inizializzazione a un valore appropriato
            string formatString = string.Empty; // TODO: Eseguire l'inizializzazione a un valore appropriato
            CustomSummaryOperation operation = null; // TODO: Eseguire l'inizializzazione a un valore appropriato
            SummaryResultMethod getResult = null; // TODO: Eseguire l'inizializzazione a un valore appropriato
            string groupName = string.Empty; // TODO: Eseguire l'inizializzazione a un valore appropriato
            GridViewSummary expected = null; // TODO: Eseguire l'inizializzazione a un valore appropriato
            GridViewSummary actual;
            actual = target.RegisterSummary(column, formatString, operation, getResult, groupName);
            Assert.AreEqual(expected, actual);
            Assert.Inconclusive("Verificare la correttezza del metodo di test.");
        }

        /// <summary>
        ///Test per RegisterGroup
        ///</summary>
        // TODO: assicurarsi che l'attributo UrlToTest specifichi l'URL di una pagina ASP.NET (ad esempio,
        // http://.../Default.aspx). La specifica è necessaria per l'esecuzione dello unit test sul server Web
        // per il test di una pagina, un servizio Web o WCF.
        [TestMethod()]
        [HostType("ASP.NET")]
        [AspNetDevelopmentServerHost("C:\\sv\\dotNet\\QuickStock", "/")]
        [UrlToTest("http://localhost:2275/")]
        public void RegisterGroupTest1()
        {
            GridView grd = null; // TODO: Eseguire l'inizializzazione a un valore appropriato
            GridViewSpeseHelper target = new GridViewSpeseHelper(grd); // TODO: Eseguire l'inizializzazione a un valore appropriato
            string column = string.Empty; // TODO: Eseguire l'inizializzazione a un valore appropriato
            bool auto = false; // TODO: Eseguire l'inizializzazione a un valore appropriato
            bool hideGroupColumns = false; // TODO: Eseguire l'inizializzazione a un valore appropriato
            GridViewGroup expected = null; // TODO: Eseguire l'inizializzazione a un valore appropriato
            GridViewGroup actual;
            actual = target.RegisterGroup(column, auto, hideGroupColumns);
            Assert.AreEqual(expected, actual);
            Assert.Inconclusive("Verificare la correttezza del metodo di test.");
        }

        /// <summary>
        ///Test per RegisterGroup
        ///</summary>
        // TODO: assicurarsi che l'attributo UrlToTest specifichi l'URL di una pagina ASP.NET (ad esempio,
        // http://.../Default.aspx). La specifica è necessaria per l'esecuzione dello unit test sul server Web
        // per il test di una pagina, un servizio Web o WCF.
        [TestMethod()]
        [HostType("ASP.NET")]
        [AspNetDevelopmentServerHost("C:\\sv\\dotNet\\QuickStock", "/")]
        [UrlToTest("http://localhost:2275/")]
        public void RegisterGroupTest()
        {
            GridView grd = null; // TODO: Eseguire l'inizializzazione a un valore appropriato
            GridViewSpeseHelper target = new GridViewSpeseHelper(grd); // TODO: Eseguire l'inizializzazione a un valore appropriato
            string[] columns = null; // TODO: Eseguire l'inizializzazione a un valore appropriato
            bool auto = false; // TODO: Eseguire l'inizializzazione a un valore appropriato
            bool hideGroupColumns = false; // TODO: Eseguire l'inizializzazione a un valore appropriato
            GridViewGroup expected = null; // TODO: Eseguire l'inizializzazione a un valore appropriato
            GridViewGroup actual;
            actual = target.RegisterGroup(columns, auto, hideGroupColumns);
            Assert.AreEqual(expected, actual);
            Assert.Inconclusive("Verificare la correttezza del metodo di test.");
        }

        /// <summary>
        ///Test per ProcessGroup
        ///</summary>
        // TODO: assicurarsi che l'attributo UrlToTest specifichi l'URL di una pagina ASP.NET (ad esempio,
        // http://.../Default.aspx). La specifica è necessaria per l'esecuzione dello unit test sul server Web
        // per il test di una pagina, un servizio Web o WCF.
        [TestMethod()]
        [HostType("ASP.NET")]
        [AspNetDevelopmentServerHost("C:\\sv\\dotNet\\QuickStock", "/")]
        [UrlToTest("http://localhost:2275/")]
        [DeploymentItem("QuickStock.dll")]
        public void ProcessGroupTest()
        {
            PrivateObject param0 = null; // TODO: Eseguire l'inizializzazione a un valore appropriato
            GridViewSpeseHelper_Accessor target = new GridViewSpeseHelper_Accessor(param0); // TODO: Eseguire l'inizializzazione a un valore appropriato
            GridViewGroup g = null; // TODO: Eseguire l'inizializzazione a un valore appropriato
            GridViewRowEventArgs e = null; // TODO: Eseguire l'inizializzazione a un valore appropriato
            target.ProcessGroup(g, e);
            Assert.Inconclusive("Impossibile verificare un metodo che non restituisce valori.");
        }

        /// <summary>
        ///Test per InsertGridRow
        ///</summary>
        // TODO: assicurarsi che l'attributo UrlToTest specifichi l'URL di una pagina ASP.NET (ad esempio,
        // http://.../Default.aspx). La specifica è necessaria per l'esecuzione dello unit test sul server Web
        // per il test di una pagina, un servizio Web o WCF.
        [TestMethod()]
        [HostType("ASP.NET")]
        [AspNetDevelopmentServerHost("C:\\sv\\dotNet\\QuickStock", "/")]
        [UrlToTest("http://localhost:2275/")]
        [DeploymentItem("QuickStock.dll")]
        public void InsertGridRowTest1()
        {
            PrivateObject param0 = null; // TODO: Eseguire l'inizializzazione a un valore appropriato
            GridViewSpeseHelper_Accessor target = new GridViewSpeseHelper_Accessor(param0); // TODO: Eseguire l'inizializzazione a un valore appropriato
            GridViewRow beforeRow = null; // TODO: Eseguire l'inizializzazione a un valore appropriato
            GridViewGroup g = null; // TODO: Eseguire l'inizializzazione a un valore appropriato
            GridViewRow expected = null; // TODO: Eseguire l'inizializzazione a un valore appropriato
            GridViewRow actual;
            actual = target.InsertGridRow(beforeRow, g);
            Assert.AreEqual(expected, actual);
            Assert.Inconclusive("Verificare la correttezza del metodo di test.");
        }

        /// <summary>
        ///Test per InsertGridRow
        ///</summary>
        // TODO: assicurarsi che l'attributo UrlToTest specifichi l'URL di una pagina ASP.NET (ad esempio,
        // http://.../Default.aspx). La specifica è necessaria per l'esecuzione dello unit test sul server Web
        // per il test di una pagina, un servizio Web o WCF.
        [TestMethod()]
        [HostType("ASP.NET")]
        [AspNetDevelopmentServerHost("C:\\sv\\dotNet\\QuickStock", "/")]
        [UrlToTest("http://localhost:2275/")]
        public void InsertGridRowTest()
        {
            GridView grd = null; // TODO: Eseguire l'inizializzazione a un valore appropriato
            GridViewSpeseHelper target = new GridViewSpeseHelper(grd); // TODO: Eseguire l'inizializzazione a un valore appropriato
            GridViewRow beforeRow = null; // TODO: Eseguire l'inizializzazione a un valore appropriato
            GridViewRow expected = null; // TODO: Eseguire l'inizializzazione a un valore appropriato
            GridViewRow actual;
            actual = target.InsertGridRow(beforeRow);
            Assert.AreEqual(expected, actual);
            Assert.Inconclusive("Verificare la correttezza del metodo di test.");
        }

        /// <summary>
        ///Test per HideColumnsWithoutGroupSummary
        ///</summary>
        // TODO: assicurarsi che l'attributo UrlToTest specifichi l'URL di una pagina ASP.NET (ad esempio,
        // http://.../Default.aspx). La specifica è necessaria per l'esecuzione dello unit test sul server Web
        // per il test di una pagina, un servizio Web o WCF.
        [TestMethod()]
        [HostType("ASP.NET")]
        [AspNetDevelopmentServerHost("C:\\sv\\dotNet\\QuickStock", "/")]
        [UrlToTest("http://localhost:2275/")]
        public void HideColumnsWithoutGroupSummaryTest()
        {
            GridView grd = null; // TODO: Eseguire l'inizializzazione a un valore appropriato
            GridViewSpeseHelper target = new GridViewSpeseHelper(grd); // TODO: Eseguire l'inizializzazione a un valore appropriato
            target.HideColumnsWithoutGroupSummary();
            Assert.Inconclusive("Impossibile verificare un metodo che non restituisce valori.");
        }

        /// <summary>
        ///Test per HasSuppressGroup
        ///</summary>
        // TODO: assicurarsi che l'attributo UrlToTest specifichi l'URL di una pagina ASP.NET (ad esempio,
        // http://.../Default.aspx). La specifica è necessaria per l'esecuzione dello unit test sul server Web
        // per il test di una pagina, un servizio Web o WCF.
        [TestMethod()]
        [HostType("ASP.NET")]
        [AspNetDevelopmentServerHost("C:\\sv\\dotNet\\QuickStock", "/")]
        [UrlToTest("http://localhost:2275/")]
        [DeploymentItem("QuickStock.dll")]
        public void HasSuppressGroupTest()
        {
            PrivateObject param0 = null; // TODO: Eseguire l'inizializzazione a un valore appropriato
            GridViewSpeseHelper_Accessor target = new GridViewSpeseHelper_Accessor(param0); // TODO: Eseguire l'inizializzazione a un valore appropriato
            bool expected = false; // TODO: Eseguire l'inizializzazione a un valore appropriato
            bool actual;
            actual = target.HasSuppressGroup();
            Assert.AreEqual(expected, actual);
            Assert.Inconclusive("Verificare la correttezza del metodo di test.");
        }

        /// <summary>
        ///Test per HasAutoSummary
        ///</summary>
        // TODO: assicurarsi che l'attributo UrlToTest specifichi l'URL di una pagina ASP.NET (ad esempio,
        // http://.../Default.aspx). La specifica è necessaria per l'esecuzione dello unit test sul server Web
        // per il test di una pagina, un servizio Web o WCF.
        [TestMethod()]
        [HostType("ASP.NET")]
        [AspNetDevelopmentServerHost("C:\\sv\\dotNet\\QuickStock", "/")]
        [UrlToTest("http://localhost:2275/")]
        [DeploymentItem("QuickStock.dll")]
        public void HasAutoSummaryTest()
        {
            PrivateObject param0 = null; // TODO: Eseguire l'inizializzazione a un valore appropriato
            GridViewSpeseHelper_Accessor target = new GridViewSpeseHelper_Accessor(param0); // TODO: Eseguire l'inizializzazione a un valore appropriato
            List<GridViewSummary> list = null; // TODO: Eseguire l'inizializzazione a un valore appropriato
            bool expected = false; // TODO: Eseguire l'inizializzazione a un valore appropriato
            bool actual;
            actual = target.HasAutoSummary(list);
            Assert.AreEqual(expected, actual);
            Assert.Inconclusive("Verificare la correttezza del metodo di test.");
        }

        /// <summary>
        ///Test per GetVisibleColumnIndex
        ///</summary>
        // TODO: assicurarsi che l'attributo UrlToTest specifichi l'URL di una pagina ASP.NET (ad esempio,
        // http://.../Default.aspx). La specifica è necessaria per l'esecuzione dello unit test sul server Web
        // per il test di una pagina, un servizio Web o WCF.
        [TestMethod()]
        [HostType("ASP.NET")]
        [AspNetDevelopmentServerHost("C:\\sv\\dotNet\\QuickStock", "/")]
        [UrlToTest("http://localhost:2275/")]
        public void GetVisibleColumnIndexTest()
        {
            GridView grd = null; // TODO: Eseguire l'inizializzazione a un valore appropriato
            GridViewSpeseHelper target = new GridViewSpeseHelper(grd); // TODO: Eseguire l'inizializzazione a un valore appropriato
            string columnName = string.Empty; // TODO: Eseguire l'inizializzazione a un valore appropriato
            int expected = 0; // TODO: Eseguire l'inizializzazione a un valore appropriato
            int actual;
            actual = target.GetVisibleColumnIndex(columnName);
            Assert.AreEqual(expected, actual);
            Assert.Inconclusive("Verificare la correttezza del metodo di test.");
        }

        /// <summary>
        ///Test per GetVisibleColumnCount
        ///</summary>
        // TODO: assicurarsi che l'attributo UrlToTest specifichi l'URL di una pagina ASP.NET (ad esempio,
        // http://.../Default.aspx). La specifica è necessaria per l'esecuzione dello unit test sul server Web
        // per il test di una pagina, un servizio Web o WCF.
        [TestMethod()]
        [HostType("ASP.NET")]
        [AspNetDevelopmentServerHost("C:\\sv\\dotNet\\QuickStock", "/")]
        [UrlToTest("http://localhost:2275/")]
        public void GetVisibleColumnCountTest()
        {
            GridView grd = null; // TODO: Eseguire l'inizializzazione a un valore appropriato
            GridViewSpeseHelper target = new GridViewSpeseHelper(grd); // TODO: Eseguire l'inizializzazione a un valore appropriato
            int expected = 0; // TODO: Eseguire l'inizializzazione a un valore appropriato
            int actual;
            actual = target.GetVisibleColumnCount();
            Assert.AreEqual(expected, actual);
            Assert.Inconclusive("Verificare la correttezza del metodo di test.");
        }

        /// <summary>
        ///Test per GetSequentialGroupColumns
        ///</summary>
        // TODO: assicurarsi che l'attributo UrlToTest specifichi l'URL di una pagina ASP.NET (ad esempio,
        // http://.../Default.aspx). La specifica è necessaria per l'esecuzione dello unit test sul server Web
        // per il test di una pagina, un servizio Web o WCF.
        [TestMethod()]
        [HostType("ASP.NET")]
        [AspNetDevelopmentServerHost("C:\\sv\\dotNet\\QuickStock", "/")]
        [UrlToTest("http://localhost:2275/")]
        [DeploymentItem("QuickStock.dll")]
        public void GetSequentialGroupColumnsTest()
        {
            PrivateObject param0 = null; // TODO: Eseguire l'inizializzazione a un valore appropriato
            GridViewSpeseHelper_Accessor target = new GridViewSpeseHelper_Accessor(param0); // TODO: Eseguire l'inizializzazione a un valore appropriato
            string expected = string.Empty; // TODO: Eseguire l'inizializzazione a un valore appropriato
            string actual;
            actual = target.GetSequentialGroupColumns();
            Assert.AreEqual(expected, actual);
            Assert.Inconclusive("Verificare la correttezza del metodo di test.");
        }

        /// <summary>
        ///Test per GetRealIndexFromVisibleColumnIndex
        ///</summary>
        // TODO: assicurarsi che l'attributo UrlToTest specifichi l'URL di una pagina ASP.NET (ad esempio,
        // http://.../Default.aspx). La specifica è necessaria per l'esecuzione dello unit test sul server Web
        // per il test di una pagina, un servizio Web o WCF.
        [TestMethod()]
        [HostType("ASP.NET")]
        [AspNetDevelopmentServerHost("C:\\sv\\dotNet\\QuickStock", "/")]
        [UrlToTest("http://localhost:2275/")]
        public void GetRealIndexFromVisibleColumnIndexTest()
        {
            GridView grd = null; // TODO: Eseguire l'inizializzazione a un valore appropriato
            GridViewSpeseHelper target = new GridViewSpeseHelper(grd); // TODO: Eseguire l'inizializzazione a un valore appropriato
            int visibleIndex = 0; // TODO: Eseguire l'inizializzazione a un valore appropriato
            int expected = 0; // TODO: Eseguire l'inizializzazione a un valore appropriato
            int actual;
            actual = target.GetRealIndexFromVisibleColumnIndex(visibleIndex);
            Assert.AreEqual(expected, actual);
            Assert.Inconclusive("Verificare la correttezza del metodo di test.");
        }

        /// <summary>
        ///Test per GetGroupRowValues
        ///</summary>
        // TODO: assicurarsi che l'attributo UrlToTest specifichi l'URL di una pagina ASP.NET (ad esempio,
        // http://.../Default.aspx). La specifica è necessaria per l'esecuzione dello unit test sul server Web
        // per il test di una pagina, un servizio Web o WCF.
        [TestMethod()]
        [HostType("ASP.NET")]
        [AspNetDevelopmentServerHost("C:\\sv\\dotNet\\QuickStock", "/")]
        [UrlToTest("http://localhost:2275/")]
        [DeploymentItem("QuickStock.dll")]
        public void GetGroupRowValuesTest()
        {
            PrivateObject param0 = null; // TODO: Eseguire l'inizializzazione a un valore appropriato
            GridViewSpeseHelper_Accessor target = new GridViewSpeseHelper_Accessor(param0); // TODO: Eseguire l'inizializzazione a un valore appropriato
            GridViewGroup g = null; // TODO: Eseguire l'inizializzazione a un valore appropriato
            object dataitem = null; // TODO: Eseguire l'inizializzazione a un valore appropriato
            object[] expected = null; // TODO: Eseguire l'inizializzazione a un valore appropriato
            object[] actual;
            actual = target.GetGroupRowValues(g, dataitem);
            Assert.AreEqual(expected, actual);
            Assert.Inconclusive("Verificare la correttezza del metodo di test.");
        }

        /// <summary>
        ///Test per GetFormatedString
        ///</summary>
        // TODO: assicurarsi che l'attributo UrlToTest specifichi l'URL di una pagina ASP.NET (ad esempio,
        // http://.../Default.aspx). La specifica è necessaria per l'esecuzione dello unit test sul server Web
        // per il test di una pagina, un servizio Web o WCF.
        [TestMethod()]
        [HostType("ASP.NET")]
        [AspNetDevelopmentServerHost("C:\\sv\\dotNet\\QuickStock", "/")]
        [UrlToTest("http://localhost:2275/")]
        [DeploymentItem("QuickStock.dll")]
        public void GetFormatedStringTest()
        {
            PrivateObject param0 = null; // TODO: Eseguire l'inizializzazione a un valore appropriato
            GridViewSpeseHelper_Accessor target = new GridViewSpeseHelper_Accessor(param0); // TODO: Eseguire l'inizializzazione a un valore appropriato
            string preferredFormat = string.Empty; // TODO: Eseguire l'inizializzazione a un valore appropriato
            string secondFormat = string.Empty; // TODO: Eseguire l'inizializzazione a un valore appropriato
            object value = null; // TODO: Eseguire l'inizializzazione a un valore appropriato
            string expected = string.Empty; // TODO: Eseguire l'inizializzazione a un valore appropriato
            string actual;
            actual = target.GetFormatedString(preferredFormat, secondFormat, value);
            Assert.AreEqual(expected, actual);
            Assert.Inconclusive("Verificare la correttezza del metodo di test.");
        }

        /// <summary>
        ///Test per GetDataFieldName
        ///</summary>
        // TODO: assicurarsi che l'attributo UrlToTest specifichi l'URL di una pagina ASP.NET (ad esempio,
        // http://.../Default.aspx). La specifica è necessaria per l'esecuzione dello unit test sul server Web
        // per il test di una pagina, un servizio Web o WCF.
        [TestMethod()]
        [HostType("ASP.NET")]
        [AspNetDevelopmentServerHost("C:\\sv\\dotNet\\QuickStock", "/")]
        [UrlToTest("http://localhost:2275/")]
        public void GetDataFieldNameTest()
        {
            GridView grd = null; // TODO: Eseguire l'inizializzazione a un valore appropriato
            GridViewSpeseHelper target = new GridViewSpeseHelper(grd); // TODO: Eseguire l'inizializzazione a un valore appropriato
            DataControlField field = null; // TODO: Eseguire l'inizializzazione a un valore appropriato
            string expected = string.Empty; // TODO: Eseguire l'inizializzazione a un valore appropriato
            string actual;
            actual = target.GetDataFieldName(field);
            Assert.AreEqual(expected, actual);
            Assert.Inconclusive("Verificare la correttezza del metodo di test.");
        }

        /// <summary>
        ///Test per GetColumnIndex
        ///</summary>
        // TODO: assicurarsi che l'attributo UrlToTest specifichi l'URL di una pagina ASP.NET (ad esempio,
        // http://.../Default.aspx). La specifica è necessaria per l'esecuzione dello unit test sul server Web
        // per il test di una pagina, un servizio Web o WCF.
        [TestMethod()]
        [HostType("ASP.NET")]
        [AspNetDevelopmentServerHost("C:\\sv\\dotNet\\QuickStock", "/")]
        [UrlToTest("http://localhost:2275/")]
        public void GetColumnIndexTest()
        {
            GridView grd = null; // TODO: Eseguire l'inizializzazione a un valore appropriato
            GridViewSpeseHelper target = new GridViewSpeseHelper(grd); // TODO: Eseguire l'inizializzazione a un valore appropriato
            string columnName = string.Empty; // TODO: Eseguire l'inizializzazione a un valore appropriato
            int expected = 0; // TODO: Eseguire l'inizializzazione a un valore appropriato
            int actual;
            actual = target.GetColumnIndex(columnName);
            Assert.AreEqual(expected, actual);
            Assert.Inconclusive("Verificare la correttezza del metodo di test.");
        }

        /// <summary>
        ///Test per GetColumnFormat
        ///</summary>
        // TODO: assicurarsi che l'attributo UrlToTest specifichi l'URL di una pagina ASP.NET (ad esempio,
        // http://.../Default.aspx). La specifica è necessaria per l'esecuzione dello unit test sul server Web
        // per il test di una pagina, un servizio Web o WCF.
        [TestMethod()]
        [HostType("ASP.NET")]
        [AspNetDevelopmentServerHost("C:\\sv\\dotNet\\QuickStock", "/")]
        [UrlToTest("http://localhost:2275/")]
        public void GetColumnFormatTest()
        {
            GridView grd = null; // TODO: Eseguire l'inizializzazione a un valore appropriato
            GridViewSpeseHelper target = new GridViewSpeseHelper(grd); // TODO: Eseguire l'inizializzazione a un valore appropriato
            int colIndex = 0; // TODO: Eseguire l'inizializzazione a un valore appropriato
            string expected = string.Empty; // TODO: Eseguire l'inizializzazione a un valore appropriato
            string actual;
            actual = target.GetColumnFormat(colIndex);
            Assert.AreEqual(expected, actual);
            Assert.Inconclusive("Verificare la correttezza del metodo di test.");
        }

        /// <summary>
        ///Test per GenerateGroupSummary
        ///</summary>
        // TODO: assicurarsi che l'attributo UrlToTest specifichi l'URL di una pagina ASP.NET (ad esempio,
        // http://.../Default.aspx). La specifica è necessaria per l'esecuzione dello unit test sul server Web
        // per il test di una pagina, un servizio Web o WCF.
        [TestMethod()]
        [HostType("ASP.NET")]
        [AspNetDevelopmentServerHost("C:\\sv\\dotNet\\QuickStock", "/")]
        [UrlToTest("http://localhost:2275/")]
        [DeploymentItem("QuickStock.dll")]
        public void GenerateGroupSummaryTest()
        {
            PrivateObject param0 = null; // TODO: Eseguire l'inizializzazione a un valore appropriato
            GridViewSpeseHelper_Accessor target = new GridViewSpeseHelper_Accessor(param0); // TODO: Eseguire l'inizializzazione a un valore appropriato
            GridViewGroup g = null; // TODO: Eseguire l'inizializzazione a un valore appropriato
            GridViewRow row = null; // TODO: Eseguire l'inizializzazione a un valore appropriato
            target.GenerateGroupSummary(g, row);
            Assert.Inconclusive("Impossibile verificare un metodo che non restituisce valori.");
        }

        /// <summary>
        ///Test per GenerateGeneralSummaries
        ///</summary>
        // TODO: assicurarsi che l'attributo UrlToTest specifichi l'URL di una pagina ASP.NET (ad esempio,
        // http://.../Default.aspx). La specifica è necessaria per l'esecuzione dello unit test sul server Web
        // per il test di una pagina, un servizio Web o WCF.
        [TestMethod()]
        [HostType("ASP.NET")]
        [AspNetDevelopmentServerHost("C:\\sv\\dotNet\\QuickStock", "/")]
        [UrlToTest("http://localhost:2275/")]
        [DeploymentItem("QuickStock.dll")]
        public void GenerateGeneralSummariesTest()
        {
            PrivateObject param0 = null; // TODO: Eseguire l'inizializzazione a un valore appropriato
            GridViewSpeseHelper_Accessor target = new GridViewSpeseHelper_Accessor(param0); // TODO: Eseguire l'inizializzazione a un valore appropriato
            GridViewRowEventArgs e = null; // TODO: Eseguire l'inizializzazione a un valore appropriato
            target.GenerateGeneralSummaries(e);
            Assert.Inconclusive("Impossibile verificare un metodo che non restituisce valori.");
        }

        /// <summary>
        ///Test per EvaluateEquals
        ///</summary>
        // TODO: assicurarsi che l'attributo UrlToTest specifichi l'URL di una pagina ASP.NET (ad esempio,
        // http://.../Default.aspx). La specifica è necessaria per l'esecuzione dello unit test sul server Web
        // per il test di una pagina, un servizio Web o WCF.
        [TestMethod()]
        [HostType("ASP.NET")]
        [AspNetDevelopmentServerHost("C:\\sv\\dotNet\\QuickStock", "/")]
        [UrlToTest("http://localhost:2275/")]
        [DeploymentItem("QuickStock.dll")]
        public void EvaluateEqualsTest()
        {
            PrivateObject param0 = null; // TODO: Eseguire l'inizializzazione a un valore appropriato
            GridViewSpeseHelper_Accessor target = new GridViewSpeseHelper_Accessor(param0); // TODO: Eseguire l'inizializzazione a un valore appropriato
            GridViewGroup g = null; // TODO: Eseguire l'inizializzazione a un valore appropriato
            object dataitem = null; // TODO: Eseguire l'inizializzazione a un valore appropriato
            bool expected = false; // TODO: Eseguire l'inizializzazione a un valore appropriato
            bool actual;
            actual = target.EvaluateEquals(g, dataitem);
            Assert.AreEqual(expected, actual);
            Assert.Inconclusive("Verificare la correttezza del metodo di test.");
        }

        /// <summary>
        ///Test per ColumnHasSummary
        ///</summary>
        // TODO: assicurarsi che l'attributo UrlToTest specifichi l'URL di una pagina ASP.NET (ad esempio,
        // http://.../Default.aspx). La specifica è necessaria per l'esecuzione dello unit test sul server Web
        // per il test di una pagina, un servizio Web o WCF.
        [TestMethod()]
        [HostType("ASP.NET")]
        [AspNetDevelopmentServerHost("C:\\sv\\dotNet\\QuickStock", "/")]
        [UrlToTest("http://localhost:2275/")]
        [DeploymentItem("QuickStock.dll")]
        public void ColumnHasSummaryTest1()
        {
            PrivateObject param0 = null; // TODO: Eseguire l'inizializzazione a un valore appropriato
            GridViewSpeseHelper_Accessor target = new GridViewSpeseHelper_Accessor(param0); // TODO: Eseguire l'inizializzazione a un valore appropriato
            string column = string.Empty; // TODO: Eseguire l'inizializzazione a un valore appropriato
            GridViewGroup g = null; // TODO: Eseguire l'inizializzazione a un valore appropriato
            bool expected = false; // TODO: Eseguire l'inizializzazione a un valore appropriato
            bool actual;
            actual = target.ColumnHasSummary(column, g);
            Assert.AreEqual(expected, actual);
            Assert.Inconclusive("Verificare la correttezza del metodo di test.");
        }

        /// <summary>
        ///Test per ColumnHasSummary
        ///</summary>
        // TODO: assicurarsi che l'attributo UrlToTest specifichi l'URL di una pagina ASP.NET (ad esempio,
        // http://.../Default.aspx). La specifica è necessaria per l'esecuzione dello unit test sul server Web
        // per il test di una pagina, un servizio Web o WCF.
        [TestMethod()]
        [HostType("ASP.NET")]
        [AspNetDevelopmentServerHost("C:\\sv\\dotNet\\QuickStock", "/")]
        [UrlToTest("http://localhost:2275/")]
        [DeploymentItem("QuickStock.dll")]
        public void ColumnHasSummaryTest()
        {
            PrivateObject param0 = null; // TODO: Eseguire l'inizializzazione a un valore appropriato
            GridViewSpeseHelper_Accessor target = new GridViewSpeseHelper_Accessor(param0); // TODO: Eseguire l'inizializzazione a un valore appropriato
            int colindex = 0; // TODO: Eseguire l'inizializzazione a un valore appropriato
            GridViewGroup g = null; // TODO: Eseguire l'inizializzazione a un valore appropriato
            bool expected = false; // TODO: Eseguire l'inizializzazione a un valore appropriato
            bool actual;
            actual = target.ColumnHasSummary(colindex, g);
            Assert.AreEqual(expected, actual);
            Assert.Inconclusive("Verificare la correttezza del metodo di test.");
        }

        /// <summary>
        ///Test per ApplyGroupSort
        ///</summary>
        // TODO: assicurarsi che l'attributo UrlToTest specifichi l'URL di una pagina ASP.NET (ad esempio,
        // http://.../Default.aspx). La specifica è necessaria per l'esecuzione dello unit test sul server Web
        // per il test di una pagina, un servizio Web o WCF.
        [TestMethod()]
        [HostType("ASP.NET")]
        [AspNetDevelopmentServerHost("C:\\sv\\dotNet\\QuickStock", "/")]
        [UrlToTest("http://localhost:2275/")]
        public void ApplyGroupSortTest()
        {
            GridView grd = null; // TODO: Eseguire l'inizializzazione a un valore appropriato
            GridViewSpeseHelper target = new GridViewSpeseHelper(grd); // TODO: Eseguire l'inizializzazione a un valore appropriato
            target.ApplyGroupSort();
            Assert.Inconclusive("Impossibile verificare un metodo che non restituisce valori.");
        }

        /// <summary>
        ///Test per Costruttore GridViewSpeseHelper
        ///</summary>
        // TODO: assicurarsi che l'attributo UrlToTest specifichi l'URL di una pagina ASP.NET (ad esempio,
        // http://.../Default.aspx). La specifica è necessaria per l'esecuzione dello unit test sul server Web
        // per il test di una pagina, un servizio Web o WCF.
        [TestMethod()]
        [HostType("ASP.NET")]
        [AspNetDevelopmentServerHost("C:\\sv\\dotNet\\QuickStock", "/")]
        [UrlToTest("http://localhost:2275/")]
        public void GridViewSpeseHelperConstructorTest2()
        {
            GridView grd = null; // TODO: Eseguire l'inizializzazione a un valore appropriato
            GridViewSpeseHelper target = new GridViewSpeseHelper(grd);
            Assert.Inconclusive("TODO: Implementare il codice per la verifica della destinazione");
        }

        /// <summary>
        ///Test per Costruttore GridViewSpeseHelper
        ///</summary>
        // TODO: assicurarsi che l'attributo UrlToTest specifichi l'URL di una pagina ASP.NET (ad esempio,
        // http://.../Default.aspx). La specifica è necessaria per l'esecuzione dello unit test sul server Web
        // per il test di una pagina, un servizio Web o WCF.
        [TestMethod()]
        [HostType("ASP.NET")]
        [AspNetDevelopmentServerHost("C:\\sv\\dotNet\\QuickStock", "/")]
        [UrlToTest("http://localhost:2275/")]
        public void GridViewSpeseHelperConstructorTest1()
        {
            GridView grd = null; // TODO: Eseguire l'inizializzazione a un valore appropriato
            bool useFooterForGeneralSummaries = false; // TODO: Eseguire l'inizializzazione a un valore appropriato
            GridViewSpeseHelper target = new GridViewSpeseHelper(grd, useFooterForGeneralSummaries);
            Assert.Inconclusive("TODO: Implementare il codice per la verifica della destinazione");
        }

        /// <summary>
        ///Test per Costruttore GridViewSpeseHelper
        ///</summary>
        // TODO: assicurarsi che l'attributo UrlToTest specifichi l'URL di una pagina ASP.NET (ad esempio,
        // http://.../Default.aspx). La specifica è necessaria per l'esecuzione dello unit test sul server Web
        // per il test di una pagina, un servizio Web o WCF.
        [TestMethod()]
        [HostType("ASP.NET")]
        [AspNetDevelopmentServerHost("C:\\sv\\dotNet\\QuickStock", "/")]
        [UrlToTest("http://localhost:2275/")]
        public void GridViewSpeseHelperConstructorTest()
        {
            GridView grd = null; // TODO: Eseguire l'inizializzazione a un valore appropriato
            bool useFooterForGeneralSummaries = false; // TODO: Eseguire l'inizializzazione a un valore appropriato
            SortDirection groupSortDirection = new SortDirection(); // TODO: Eseguire l'inizializzazione a un valore appropriato
            GridViewSpeseHelper target = new GridViewSpeseHelper(grd, useFooterForGeneralSummaries, groupSortDirection);
            Assert.Inconclusive("TODO: Implementare il codice per la verifica della destinazione");
        }
    }
}
