﻿using QuickStock.DynamicData.CustomPages.GridViewGroup;
using Microsoft.VisualStudio.TestTools.UnitTesting;
using Microsoft.VisualStudio.TestTools.UnitTesting.Web;

namespace TestProject1
{
    
    
    /// <summary>
    ///Classe di test per GridViewSummaryTest.
    ///Creata per contenere tutti gli unit test GridViewSummaryTest
    ///</summary>
    [TestClass()]
    public class GridViewSummaryTest
    {


        private TestContext testContextInstance;

        /// <summary>
        ///Ottiene o imposta il contesto dei test, che fornisce
        ///funzionalità e informazioni sull'esecuzione dei test corrente.
        ///</summary>
        public TestContext TestContext
        {
            get
            {
                return testContextInstance;
            }
            set
            {
                testContextInstance = value;
            }
        }

        #region Attributi di test aggiuntivi
        // 
        //Durante la scrittura dei test è possibile utilizzare i seguenti attributi aggiuntivi:
        //
        //Utilizzare ClassInitialize per eseguire il codice prima di eseguire il primo test della classe
        //[ClassInitialize()]
        //public static void MyClassInitialize(TestContext testContext)
        //{
        //}
        //
        //Utilizzare ClassCleanup per eseguire il codice dopo l'esecuzione di tutti i test di una classe
        //[ClassCleanup()]
        //public static void MyClassCleanup()
        //{
        //}
        //
        //Utilizzare TestInitialize per eseguire il codice prima di eseguire ciascun test
        //
        //[TestInitialize()]
        //public void MyTestInitialize()
        //{
        //}
        //Utilizzare TestCleanup per eseguire il codice dopo l'esecuzione di ciascun test
        //[TestCleanup()]
        //public void MyTestCleanup()
        //{
        //}
        //
        #endregion


        /// <summary>
        ///Test per Value
        ///</summary>
        // TODO: assicurarsi che l'attributo UrlToTest specifichi l'URL di una pagina ASP.NET (ad esempio,
        // http://.../Default.aspx). La specifica è necessaria per l'esecuzione dello unit test sul server Web
        // per il test di una pagina, un servizio Web o WCF.
        [TestMethod()]
        [HostType("ASP.NET")]
        [AspNetDevelopmentServerHost("C:\\sv\\dotNet\\QuickStock", "/")]
        [UrlToTest("http://localhost:2275/")]
        public void ValueTest()
        {
            string col = string.Empty; // TODO: Eseguire l'inizializzazione a un valore appropriato
            GridViewGroup grp = null; // TODO: Eseguire l'inizializzazione a un valore appropriato
            GridViewSummary target = new GridViewSummary(col, grp); // TODO: Eseguire l'inizializzazione a un valore appropriato
            object actual;
            actual = target.Value;
            Assert.Inconclusive("Verificare la correttezza del metodo di test.");
        }

        /// <summary>
        ///Test per TreatNullAsZero
        ///</summary>
        // TODO: assicurarsi che l'attributo UrlToTest specifichi l'URL di una pagina ASP.NET (ad esempio,
        // http://.../Default.aspx). La specifica è necessaria per l'esecuzione dello unit test sul server Web
        // per il test di una pagina, un servizio Web o WCF.
        [TestMethod()]
        [HostType("ASP.NET")]
        [AspNetDevelopmentServerHost("C:\\sv\\dotNet\\QuickStock", "/")]
        [UrlToTest("http://localhost:2275/")]
        public void TreatNullAsZeroTest()
        {
            string col = string.Empty; // TODO: Eseguire l'inizializzazione a un valore appropriato
            GridViewGroup grp = null; // TODO: Eseguire l'inizializzazione a un valore appropriato
            GridViewSummary target = new GridViewSummary(col, grp); // TODO: Eseguire l'inizializzazione a un valore appropriato
            bool expected = false; // TODO: Eseguire l'inizializzazione a un valore appropriato
            bool actual;
            target.TreatNullAsZero = expected;
            actual = target.TreatNullAsZero;
            Assert.AreEqual(expected, actual);
            Assert.Inconclusive("Verificare la correttezza del metodo di test.");
        }

        /// <summary>
        ///Test per Quantity
        ///</summary>
        // TODO: assicurarsi che l'attributo UrlToTest specifichi l'URL di una pagina ASP.NET (ad esempio,
        // http://.../Default.aspx). La specifica è necessaria per l'esecuzione dello unit test sul server Web
        // per il test di una pagina, un servizio Web o WCF.
        [TestMethod()]
        [HostType("ASP.NET")]
        [AspNetDevelopmentServerHost("C:\\sv\\dotNet\\QuickStock", "/")]
        [UrlToTest("http://localhost:2275/")]
        public void QuantityTest()
        {
            string col = string.Empty; // TODO: Eseguire l'inizializzazione a un valore appropriato
            GridViewGroup grp = null; // TODO: Eseguire l'inizializzazione a un valore appropriato
            GridViewSummary target = new GridViewSummary(col, grp); // TODO: Eseguire l'inizializzazione a un valore appropriato
            int actual;
            actual = target.Quantity;
            Assert.Inconclusive("Verificare la correttezza del metodo di test.");
        }

        /// <summary>
        ///Test per Operation
        ///</summary>
        // TODO: assicurarsi che l'attributo UrlToTest specifichi l'URL di una pagina ASP.NET (ad esempio,
        // http://.../Default.aspx). La specifica è necessaria per l'esecuzione dello unit test sul server Web
        // per il test di una pagina, un servizio Web o WCF.
        [TestMethod()]
        [HostType("ASP.NET")]
        [AspNetDevelopmentServerHost("C:\\sv\\dotNet\\QuickStock", "/")]
        [UrlToTest("http://localhost:2275/")]
        public void OperationTest()
        {
            string col = string.Empty; // TODO: Eseguire l'inizializzazione a un valore appropriato
            GridViewGroup grp = null; // TODO: Eseguire l'inizializzazione a un valore appropriato
            GridViewSummary target = new GridViewSummary(col, grp); // TODO: Eseguire l'inizializzazione a un valore appropriato
            SummaryOperation actual;
            actual = target.Operation;
            Assert.Inconclusive("Verificare la correttezza del metodo di test.");
        }

        /// <summary>
        ///Test per Group
        ///</summary>
        // TODO: assicurarsi che l'attributo UrlToTest specifichi l'URL di una pagina ASP.NET (ad esempio,
        // http://.../Default.aspx). La specifica è necessaria per l'esecuzione dello unit test sul server Web
        // per il test di una pagina, un servizio Web o WCF.
        [TestMethod()]
        [HostType("ASP.NET")]
        [AspNetDevelopmentServerHost("C:\\sv\\dotNet\\QuickStock", "/")]
        [UrlToTest("http://localhost:2275/")]
        public void GroupTest()
        {
            string col = string.Empty; // TODO: Eseguire l'inizializzazione a un valore appropriato
            GridViewGroup grp = null; // TODO: Eseguire l'inizializzazione a un valore appropriato
            GridViewSummary target = new GridViewSummary(col, grp); // TODO: Eseguire l'inizializzazione a un valore appropriato
            GridViewGroup actual;
            actual = target.Group;
            Assert.Inconclusive("Verificare la correttezza del metodo di test.");
        }

        /// <summary>
        ///Test per GetSummaryMethod
        ///</summary>
        // TODO: assicurarsi che l'attributo UrlToTest specifichi l'URL di una pagina ASP.NET (ad esempio,
        // http://.../Default.aspx). La specifica è necessaria per l'esecuzione dello unit test sul server Web
        // per il test di una pagina, un servizio Web o WCF.
        [TestMethod()]
        [HostType("ASP.NET")]
        [AspNetDevelopmentServerHost("C:\\sv\\dotNet\\QuickStock", "/")]
        [UrlToTest("http://localhost:2275/")]
        public void GetSummaryMethodTest()
        {
            string col = string.Empty; // TODO: Eseguire l'inizializzazione a un valore appropriato
            GridViewGroup grp = null; // TODO: Eseguire l'inizializzazione a un valore appropriato
            GridViewSummary target = new GridViewSummary(col, grp); // TODO: Eseguire l'inizializzazione a un valore appropriato
            SummaryResultMethod actual;
            actual = target.GetSummaryMethod;
            Assert.Inconclusive("Verificare la correttezza del metodo di test.");
        }

        /// <summary>
        ///Test per FormatString
        ///</summary>
        // TODO: assicurarsi che l'attributo UrlToTest specifichi l'URL di una pagina ASP.NET (ad esempio,
        // http://.../Default.aspx). La specifica è necessaria per l'esecuzione dello unit test sul server Web
        // per il test di una pagina, un servizio Web o WCF.
        [TestMethod()]
        [HostType("ASP.NET")]
        [AspNetDevelopmentServerHost("C:\\sv\\dotNet\\QuickStock", "/")]
        [UrlToTest("http://localhost:2275/")]
        public void FormatStringTest()
        {
            string col = string.Empty; // TODO: Eseguire l'inizializzazione a un valore appropriato
            GridViewGroup grp = null; // TODO: Eseguire l'inizializzazione a un valore appropriato
            GridViewSummary target = new GridViewSummary(col, grp); // TODO: Eseguire l'inizializzazione a un valore appropriato
            string expected = string.Empty; // TODO: Eseguire l'inizializzazione a un valore appropriato
            string actual;
            target.FormatString = expected;
            actual = target.FormatString;
            Assert.AreEqual(expected, actual);
            Assert.Inconclusive("Verificare la correttezza del metodo di test.");
        }

        /// <summary>
        ///Test per CustomOperation
        ///</summary>
        // TODO: assicurarsi che l'attributo UrlToTest specifichi l'URL di una pagina ASP.NET (ad esempio,
        // http://.../Default.aspx). La specifica è necessaria per l'esecuzione dello unit test sul server Web
        // per il test di una pagina, un servizio Web o WCF.
        [TestMethod()]
        [HostType("ASP.NET")]
        [AspNetDevelopmentServerHost("C:\\sv\\dotNet\\QuickStock", "/")]
        [UrlToTest("http://localhost:2275/")]
        public void CustomOperationTest()
        {
            string col = string.Empty; // TODO: Eseguire l'inizializzazione a un valore appropriato
            GridViewGroup grp = null; // TODO: Eseguire l'inizializzazione a un valore appropriato
            GridViewSummary target = new GridViewSummary(col, grp); // TODO: Eseguire l'inizializzazione a un valore appropriato
            CustomSummaryOperation actual;
            actual = target.CustomOperation;
            Assert.Inconclusive("Verificare la correttezza del metodo di test.");
        }

        /// <summary>
        ///Test per Column
        ///</summary>
        // TODO: assicurarsi che l'attributo UrlToTest specifichi l'URL di una pagina ASP.NET (ad esempio,
        // http://.../Default.aspx). La specifica è necessaria per l'esecuzione dello unit test sul server Web
        // per il test di una pagina, un servizio Web o WCF.
        [TestMethod()]
        [HostType("ASP.NET")]
        [AspNetDevelopmentServerHost("C:\\sv\\dotNet\\QuickStock", "/")]
        [UrlToTest("http://localhost:2275/")]
        public void ColumnTest()
        {
            string col = string.Empty; // TODO: Eseguire l'inizializzazione a un valore appropriato
            GridViewGroup grp = null; // TODO: Eseguire l'inizializzazione a un valore appropriato
            GridViewSummary target = new GridViewSummary(col, grp); // TODO: Eseguire l'inizializzazione a un valore appropriato
            string actual;
            actual = target.Column;
            Assert.Inconclusive("Verificare la correttezza del metodo di test.");
        }

        /// <summary>
        ///Test per Automatic
        ///</summary>
        // TODO: assicurarsi che l'attributo UrlToTest specifichi l'URL di una pagina ASP.NET (ad esempio,
        // http://.../Default.aspx). La specifica è necessaria per l'esecuzione dello unit test sul server Web
        // per il test di una pagina, un servizio Web o WCF.
        [TestMethod()]
        [HostType("ASP.NET")]
        [AspNetDevelopmentServerHost("C:\\sv\\dotNet\\QuickStock", "/")]
        [UrlToTest("http://localhost:2275/")]
        public void AutomaticTest()
        {
            string col = string.Empty; // TODO: Eseguire l'inizializzazione a un valore appropriato
            GridViewGroup grp = null; // TODO: Eseguire l'inizializzazione a un valore appropriato
            GridViewSummary target = new GridViewSummary(col, grp); // TODO: Eseguire l'inizializzazione a un valore appropriato
            bool expected = false; // TODO: Eseguire l'inizializzazione a un valore appropriato
            bool actual;
            target.Automatic = expected;
            actual = target.Automatic;
            Assert.AreEqual(expected, actual);
            Assert.Inconclusive("Verificare la correttezza del metodo di test.");
        }

        /// <summary>
        ///Test per Validate
        ///</summary>
        // TODO: assicurarsi che l'attributo UrlToTest specifichi l'URL di una pagina ASP.NET (ad esempio,
        // http://.../Default.aspx). La specifica è necessaria per l'esecuzione dello unit test sul server Web
        // per il test di una pagina, un servizio Web o WCF.
        [TestMethod()]
        [HostType("ASP.NET")]
        [AspNetDevelopmentServerHost("C:\\sv\\dotNet\\QuickStock", "/")]
        [UrlToTest("http://localhost:2275/")]
        public void ValidateTest()
        {
            string col = string.Empty; // TODO: Eseguire l'inizializzazione a un valore appropriato
            GridViewGroup grp = null; // TODO: Eseguire l'inizializzazione a un valore appropriato
            GridViewSummary target = new GridViewSummary(col, grp); // TODO: Eseguire l'inizializzazione a un valore appropriato
            bool expected = false; // TODO: Eseguire l'inizializzazione a un valore appropriato
            bool actual;
            actual = target.Validate();
            Assert.AreEqual(expected, actual);
            Assert.Inconclusive("Verificare la correttezza del metodo di test.");
        }

        /// <summary>
        ///Test per SetGroup
        ///</summary>
        // TODO: assicurarsi che l'attributo UrlToTest specifichi l'URL di una pagina ASP.NET (ad esempio,
        // http://.../Default.aspx). La specifica è necessaria per l'esecuzione dello unit test sul server Web
        // per il test di una pagina, un servizio Web o WCF.
        [TestMethod()]
        [HostType("ASP.NET")]
        [AspNetDevelopmentServerHost("C:\\sv\\dotNet\\QuickStock", "/")]
        [UrlToTest("http://localhost:2275/")]
        public void SetGroupTest()
        {
            string col = string.Empty; // TODO: Eseguire l'inizializzazione a un valore appropriato
            GridViewGroup grp = null; // TODO: Eseguire l'inizializzazione a un valore appropriato
            GridViewSummary target = new GridViewSummary(col, grp); // TODO: Eseguire l'inizializzazione a un valore appropriato
            GridViewGroup g = null; // TODO: Eseguire l'inizializzazione a un valore appropriato
            target.SetGroup(g);
            Assert.Inconclusive("Impossibile verificare un metodo che non restituisce valori.");
        }

        /// <summary>
        ///Test per Reset
        ///</summary>
        // TODO: assicurarsi che l'attributo UrlToTest specifichi l'URL di una pagina ASP.NET (ad esempio,
        // http://.../Default.aspx). La specifica è necessaria per l'esecuzione dello unit test sul server Web
        // per il test di una pagina, un servizio Web o WCF.
        [TestMethod()]
        [HostType("ASP.NET")]
        [AspNetDevelopmentServerHost("C:\\sv\\dotNet\\QuickStock", "/")]
        [UrlToTest("http://localhost:2275/")]
        public void ResetTest()
        {
            string col = string.Empty; // TODO: Eseguire l'inizializzazione a un valore appropriato
            GridViewGroup grp = null; // TODO: Eseguire l'inizializzazione a un valore appropriato
            GridViewSummary target = new GridViewSummary(col, grp); // TODO: Eseguire l'inizializzazione a un valore appropriato
            target.Reset();
            Assert.Inconclusive("Impossibile verificare un metodo che non restituisce valori.");
        }

        /// <summary>
        ///Test per PerformSum
        ///</summary>
        // TODO: assicurarsi che l'attributo UrlToTest specifichi l'URL di una pagina ASP.NET (ad esempio,
        // http://.../Default.aspx). La specifica è necessaria per l'esecuzione dello unit test sul server Web
        // per il test di una pagina, un servizio Web o WCF.
        [TestMethod()]
        [HostType("ASP.NET")]
        [AspNetDevelopmentServerHost("C:\\sv\\dotNet\\QuickStock", "/")]
        [UrlToTest("http://localhost:2275/")]
        [DeploymentItem("QuickStock.dll")]
        public void PerformSumTest()
        {
            PrivateObject param0 = null; // TODO: Eseguire l'inizializzazione a un valore appropriato
            GridViewSummary_Accessor target = new GridViewSummary_Accessor(param0); // TODO: Eseguire l'inizializzazione a un valore appropriato
            object a = null; // TODO: Eseguire l'inizializzazione a un valore appropriato
            object b = null; // TODO: Eseguire l'inizializzazione a un valore appropriato
            object expected = null; // TODO: Eseguire l'inizializzazione a un valore appropriato
            object actual;
            actual = target.PerformSum(a, b);
            Assert.AreEqual(expected, actual);
            Assert.Inconclusive("Verificare la correttezza del metodo di test.");
        }

        /// <summary>
        ///Test per PerformDiv
        ///</summary>
        // TODO: assicurarsi che l'attributo UrlToTest specifichi l'URL di una pagina ASP.NET (ad esempio,
        // http://.../Default.aspx). La specifica è necessaria per l'esecuzione dello unit test sul server Web
        // per il test di una pagina, un servizio Web o WCF.
        [TestMethod()]
        [HostType("ASP.NET")]
        [AspNetDevelopmentServerHost("C:\\sv\\dotNet\\QuickStock", "/")]
        [UrlToTest("http://localhost:2275/")]
        [DeploymentItem("QuickStock.dll")]
        public void PerformDivTest()
        {
            PrivateObject param0 = null; // TODO: Eseguire l'inizializzazione a un valore appropriato
            GridViewSummary_Accessor target = new GridViewSummary_Accessor(param0); // TODO: Eseguire l'inizializzazione a un valore appropriato
            object a = null; // TODO: Eseguire l'inizializzazione a un valore appropriato
            int b = 0; // TODO: Eseguire l'inizializzazione a un valore appropriato
            object expected = null; // TODO: Eseguire l'inizializzazione a un valore appropriato
            object actual;
            actual = target.PerformDiv(a, b);
            Assert.AreEqual(expected, actual);
            Assert.Inconclusive("Verificare la correttezza del metodo di test.");
        }

        /// <summary>
        ///Test per Calculate
        ///</summary>
        // TODO: assicurarsi che l'attributo UrlToTest specifichi l'URL di una pagina ASP.NET (ad esempio,
        // http://.../Default.aspx). La specifica è necessaria per l'esecuzione dello unit test sul server Web
        // per il test di una pagina, un servizio Web o WCF.
        [TestMethod()]
        [HostType("ASP.NET")]
        [AspNetDevelopmentServerHost("C:\\sv\\dotNet\\QuickStock", "/")]
        [UrlToTest("http://localhost:2275/")]
        public void CalculateTest()
        {
            string col = string.Empty; // TODO: Eseguire l'inizializzazione a un valore appropriato
            GridViewGroup grp = null; // TODO: Eseguire l'inizializzazione a un valore appropriato
            GridViewSummary target = new GridViewSummary(col, grp); // TODO: Eseguire l'inizializzazione a un valore appropriato
            target.Calculate();
            Assert.Inconclusive("Impossibile verificare un metodo che non restituisce valori.");
        }

        /// <summary>
        ///Test per AddValue
        ///</summary>
        // TODO: assicurarsi che l'attributo UrlToTest specifichi l'URL di una pagina ASP.NET (ad esempio,
        // http://.../Default.aspx). La specifica è necessaria per l'esecuzione dello unit test sul server Web
        // per il test di una pagina, un servizio Web o WCF.
        [TestMethod()]
        [HostType("ASP.NET")]
        [AspNetDevelopmentServerHost("C:\\sv\\dotNet\\QuickStock", "/")]
        [UrlToTest("http://localhost:2275/")]
        public void AddValueTest()
        {
            string col = string.Empty; // TODO: Eseguire l'inizializzazione a un valore appropriato
            GridViewGroup grp = null; // TODO: Eseguire l'inizializzazione a un valore appropriato
            GridViewSummary target = new GridViewSummary(col, grp); // TODO: Eseguire l'inizializzazione a un valore appropriato
            object newValue = null; // TODO: Eseguire l'inizializzazione a un valore appropriato
            target.AddValue(newValue);
            Assert.Inconclusive("Impossibile verificare un metodo che non restituisce valori.");
        }

        /// <summary>
        ///Test per Costruttore GridViewSummary
        ///</summary>
        // TODO: assicurarsi che l'attributo UrlToTest specifichi l'URL di una pagina ASP.NET (ad esempio,
        // http://.../Default.aspx). La specifica è necessaria per l'esecuzione dello unit test sul server Web
        // per il test di una pagina, un servizio Web o WCF.
        [TestMethod()]
        [HostType("ASP.NET")]
        [AspNetDevelopmentServerHost("C:\\sv\\dotNet\\QuickStock", "/")]
        [UrlToTest("http://localhost:2275/")]
        public void GridViewSummaryConstructorTest4()
        {
            string col = string.Empty; // TODO: Eseguire l'inizializzazione a un valore appropriato
            string formatString = string.Empty; // TODO: Eseguire l'inizializzazione a un valore appropriato
            SummaryOperation op = new SummaryOperation(); // TODO: Eseguire l'inizializzazione a un valore appropriato
            GridViewGroup grp = null; // TODO: Eseguire l'inizializzazione a un valore appropriato
            GridViewSummary target = new GridViewSummary(col, formatString, op, grp);
            Assert.Inconclusive("TODO: Implementare il codice per la verifica della destinazione");
        }

        /// <summary>
        ///Test per Costruttore GridViewSummary
        ///</summary>
        // TODO: assicurarsi che l'attributo UrlToTest specifichi l'URL di una pagina ASP.NET (ad esempio,
        // http://.../Default.aspx). La specifica è necessaria per l'esecuzione dello unit test sul server Web
        // per il test di una pagina, un servizio Web o WCF.
        [TestMethod()]
        [HostType("ASP.NET")]
        [AspNetDevelopmentServerHost("C:\\sv\\dotNet\\QuickStock", "/")]
        [UrlToTest("http://localhost:2275/")]
        [DeploymentItem("QuickStock.dll")]
        public void GridViewSummaryConstructorTest3()
        {
            string col = string.Empty; // TODO: Eseguire l'inizializzazione a un valore appropriato
            GridViewGroup grp = null; // TODO: Eseguire l'inizializzazione a un valore appropriato
            GridViewSummary_Accessor target = new GridViewSummary_Accessor(col, grp);
            Assert.Inconclusive("TODO: Implementare il codice per la verifica della destinazione");
        }

        /// <summary>
        ///Test per Costruttore GridViewSummary
        ///</summary>
        // TODO: assicurarsi che l'attributo UrlToTest specifichi l'URL di una pagina ASP.NET (ad esempio,
        // http://.../Default.aspx). La specifica è necessaria per l'esecuzione dello unit test sul server Web
        // per il test di una pagina, un servizio Web o WCF.
        [TestMethod()]
        [HostType("ASP.NET")]
        [AspNetDevelopmentServerHost("C:\\sv\\dotNet\\QuickStock", "/")]
        [UrlToTest("http://localhost:2275/")]
        public void GridViewSummaryConstructorTest2()
        {
            string col = string.Empty; // TODO: Eseguire l'inizializzazione a un valore appropriato
            SummaryOperation op = new SummaryOperation(); // TODO: Eseguire l'inizializzazione a un valore appropriato
            GridViewGroup grp = null; // TODO: Eseguire l'inizializzazione a un valore appropriato
            GridViewSummary target = new GridViewSummary(col, op, grp);
            Assert.Inconclusive("TODO: Implementare il codice per la verifica della destinazione");
        }

        /// <summary>
        ///Test per Costruttore GridViewSummary
        ///</summary>
        // TODO: assicurarsi che l'attributo UrlToTest specifichi l'URL di una pagina ASP.NET (ad esempio,
        // http://.../Default.aspx). La specifica è necessaria per l'esecuzione dello unit test sul server Web
        // per il test di una pagina, un servizio Web o WCF.
        [TestMethod()]
        [HostType("ASP.NET")]
        [AspNetDevelopmentServerHost("C:\\sv\\dotNet\\QuickStock", "/")]
        [UrlToTest("http://localhost:2275/")]
        public void GridViewSummaryConstructorTest1()
        {
            string col = string.Empty; // TODO: Eseguire l'inizializzazione a un valore appropriato
            CustomSummaryOperation op = null; // TODO: Eseguire l'inizializzazione a un valore appropriato
            SummaryResultMethod getResult = null; // TODO: Eseguire l'inizializzazione a un valore appropriato
            GridViewGroup grp = null; // TODO: Eseguire l'inizializzazione a un valore appropriato
            GridViewSummary target = new GridViewSummary(col, op, getResult, grp);
            Assert.Inconclusive("TODO: Implementare il codice per la verifica della destinazione");
        }

        /// <summary>
        ///Test per Costruttore GridViewSummary
        ///</summary>
        // TODO: assicurarsi che l'attributo UrlToTest specifichi l'URL di una pagina ASP.NET (ad esempio,
        // http://.../Default.aspx). La specifica è necessaria per l'esecuzione dello unit test sul server Web
        // per il test di una pagina, un servizio Web o WCF.
        [TestMethod()]
        [HostType("ASP.NET")]
        [AspNetDevelopmentServerHost("C:\\sv\\dotNet\\QuickStock", "/")]
        [UrlToTest("http://localhost:2275/")]
        public void GridViewSummaryConstructorTest()
        {
            string col = string.Empty; // TODO: Eseguire l'inizializzazione a un valore appropriato
            string formatString = string.Empty; // TODO: Eseguire l'inizializzazione a un valore appropriato
            CustomSummaryOperation op = null; // TODO: Eseguire l'inizializzazione a un valore appropriato
            SummaryResultMethod getResult = null; // TODO: Eseguire l'inizializzazione a un valore appropriato
            GridViewGroup grp = null; // TODO: Eseguire l'inizializzazione a un valore appropriato
            GridViewSummary target = new GridViewSummary(col, formatString, op, getResult, grp);
            Assert.Inconclusive("TODO: Implementare il codice per la verifica della destinazione");
        }
    }
}
