﻿using Microsoft.VisualStudio.TestTools.UnitTesting;
using System;
using System.Web.DynamicData;
using Microsoft.VisualStudio.TestTools.UnitTesting.Web;

namespace TestProject1
{
    
    
    /// <summary>
    ///Classe di test per HelperExtansionMethodsTest.
    ///Creata per contenere tutti gli unit test HelperExtansionMethodsTest
    ///</summary>
    [TestClass()]
    public class HelperExtansionMethodsTest
    {


        private TestContext testContextInstance;

        /// <summary>
        ///Ottiene o imposta il contesto dei test, che fornisce
        ///funzionalità e informazioni sull'esecuzione dei test corrente.
        ///</summary>
        public TestContext TestContext
        {
            get
            {
                return testContextInstance;
            }
            set
            {
                testContextInstance = value;
            }
        }

        #region Attributi di test aggiuntivi
        // 
        //Durante la scrittura dei test è possibile utilizzare i seguenti attributi aggiuntivi:
        //
        //Utilizzare ClassInitialize per eseguire il codice prima di eseguire il primo test della classe
        //[ClassInitialize()]
        //public static void MyClassInitialize(TestContext testContext)
        //{
        //}
        //
        //Utilizzare ClassCleanup per eseguire il codice dopo l'esecuzione di tutti i test di una classe
        //[ClassCleanup()]
        //public static void MyClassCleanup()
        //{
        //}
        //
        //Utilizzare TestInitialize per eseguire il codice prima di eseguire ciascun test
        //
        //[TestInitialize()]
        //public void MyTestInitialize()
        //{
        //}
        //Utilizzare TestCleanup per eseguire il codice dopo l'esecuzione di ciascun test
        //[TestCleanup()]
        //public void MyTestCleanup()
        //{
        //}
        //
        #endregion


        /// <summary>
        ///Test per GetAttributet
        ///</summary>
        public void GetAttributetTestHelper<T>()
            where T : Attribute
        {
            MetaTable table = null; // TODO: Eseguire l'inizializzazione a un valore appropriato
            T expected = default(T); // TODO: Eseguire l'inizializzazione a un valore appropriato
            T actual;
            actual = HelperExtansionMethods.GetAttributet<T>(table);
            Assert.AreEqual(expected, actual);
            Assert.Inconclusive("Verificare la correttezza del metodo di test.");
        }

        [TestMethod()]
        [HostType("ASP.NET")]
        [AspNetDevelopmentServerHost("C:\\sv\\dotNet\\QuickStock", "/")]
        [UrlToTest("http://localhost:2275/")]
        public void GetAttributetTest()
        {
            Assert.Inconclusive("Impossibile trovare un parametro di tipo appropriato per soddisfare i vincoli di " +
                    "tipo di T. Chiamare GetAttributetTestHelper<T>() con i parametri di tipo appropr" +
                    "iati.");
        }

        /// <summary>
        ///Test per GetAttributeOrDefault
        ///</summary>
        public void GetAttributeOrDefaultTest1Helper<T>()
            where T : Attribute, new()
        {
            MetaTable table = null; // TODO: Eseguire l'inizializzazione a un valore appropriato
            T expected = new T(); // TODO: Eseguire l'inizializzazione a un valore appropriato
            T actual;
            actual = HelperExtansionMethods.GetAttributeOrDefault<T>(table);
            Assert.AreEqual(expected, actual);
            Assert.Inconclusive("Verificare la correttezza del metodo di test.");
        }

        [TestMethod()]
        [HostType("ASP.NET")]
        [AspNetDevelopmentServerHost("C:\\sv\\dotNet\\QuickStock", "/")]
        [UrlToTest("http://localhost:2275/")]
        public void GetAttributeOrDefaultTest1()
        {
            Assert.Inconclusive("Impossibile trovare un parametro di tipo appropriato per soddisfare i vincoli di " +
                    "tipo di T. Chiamare GetAttributeOrDefaultTest1Helper<T>() con i parametri di tip" +
                    "o appropriati.");
        }

        /// <summary>
        ///Test per GetAttributeOrDefault
        ///</summary>
        public void GetAttributeOrDefaultTestHelper<T>()
            where T : Attribute, new()
        {
            MetaColumn column = null; // TODO: Eseguire l'inizializzazione a un valore appropriato
            T expected = new T(); // TODO: Eseguire l'inizializzazione a un valore appropriato
            T actual;
            actual = HelperExtansionMethods.GetAttributeOrDefault<T>(column);
            Assert.AreEqual(expected, actual);
            Assert.Inconclusive("Verificare la correttezza del metodo di test.");
        }

        [TestMethod()]
        [HostType("ASP.NET")]
        [AspNetDevelopmentServerHost("C:\\sv\\dotNet\\QuickStock", "/")]
        [UrlToTest("http://localhost:2275/")]
        public void GetAttributeOrDefaultTest()
        {
            Assert.Inconclusive("Impossibile trovare un parametro di tipo appropriato per soddisfare i vincoli di " +
                    "tipo di T. Chiamare GetAttributeOrDefaultTestHelper<T>() con i parametri di tipo" +
                    " appropriati.");
        }

        /// <summary>
        ///Test per GetAttribute
        ///</summary>
        public void GetAttributeTestHelper<T>()
            where T : Attribute
        {
            MetaColumn column = null; // TODO: Eseguire l'inizializzazione a un valore appropriato
            T expected = default(T); // TODO: Eseguire l'inizializzazione a un valore appropriato
            T actual;
            actual = HelperExtansionMethods.GetAttribute<T>(column);
            Assert.AreEqual(expected, actual);
            Assert.Inconclusive("Verificare la correttezza del metodo di test.");
        }

        [TestMethod()]
        [HostType("ASP.NET")]
        [AspNetDevelopmentServerHost("C:\\sv\\dotNet\\QuickStock", "/")]
        [UrlToTest("http://localhost:2275/")]
        public void GetAttributeTest()
        {
            Assert.Inconclusive("Impossibile trovare un parametro di tipo appropriato per soddisfare i vincoli di " +
                    "tipo di T. Chiamare GetAttributeTestHelper<T>() con i parametri di tipo appropri" +
                    "ati.");
        }
    }
}
