﻿using QuickStock.Model.DSOrdiniTableAdapters;
using Microsoft.VisualStudio.TestTools.UnitTesting;
using Microsoft.VisualStudio.TestTools.UnitTesting.Web;
using QuickStock.Model;
using System;
using System.Data;
using System.Data.SqlClient;

namespace TestProject1
{
    
    
    /// <summary>
    ///Classe di test per ORDINE_CLIENTETableAdapterTest.
    ///Creata per contenere tutti gli unit test ORDINE_CLIENTETableAdapterTest
    ///</summary>
    [TestClass()]
    public class ORDINE_CLIENTETableAdapterTest
    {


        private TestContext testContextInstance;

        /// <summary>
        ///Ottiene o imposta il contesto dei test, che fornisce
        ///funzionalità e informazioni sull'esecuzione dei test corrente.
        ///</summary>
        public TestContext TestContext
        {
            get
            {
                return testContextInstance;
            }
            set
            {
                testContextInstance = value;
            }
        }

        #region Attributi di test aggiuntivi
        // 
        //Durante la scrittura dei test è possibile utilizzare i seguenti attributi aggiuntivi:
        //
        //Utilizzare ClassInitialize per eseguire il codice prima di eseguire il primo test della classe
        //[ClassInitialize()]
        //public static void MyClassInitialize(TestContext testContext)
        //{
        //}
        //
        //Utilizzare ClassCleanup per eseguire il codice dopo l'esecuzione di tutti i test di una classe
        //[ClassCleanup()]
        //public static void MyClassCleanup()
        //{
        //}
        //
        //Utilizzare TestInitialize per eseguire il codice prima di eseguire ciascun test
        //
        //[TestInitialize()]
        //public void MyTestInitialize()
        //{
        //}
        //Utilizzare TestCleanup per eseguire il codice dopo l'esecuzione di ciascun test
        //[TestCleanup()]
        //public void MyTestCleanup()
        //{
        //}
        //
        #endregion


        /// <summary>
        ///Test per Transaction
        ///</summary>
        // TODO: assicurarsi che l'attributo UrlToTest specifichi l'URL di una pagina ASP.NET (ad esempio,
        // http://.../Default.aspx). La specifica è necessaria per l'esecuzione dello unit test sul server Web
        // per il test di una pagina, un servizio Web o WCF.
        [TestMethod()]
        [HostType("ASP.NET")]
        [AspNetDevelopmentServerHost("C:\\sv\\dotNet\\QuickStock", "/")]
        [UrlToTest("http://localhost:2275/")]
        public void TransactionTest()
        {
            ORDINE_CLIENTETableAdapter target = new ORDINE_CLIENTETableAdapter(); // TODO: Eseguire l'inizializzazione a un valore appropriato
            SqlTransaction expected = null; // TODO: Eseguire l'inizializzazione a un valore appropriato
            SqlTransaction actual;
            target.Transaction = expected;
            actual = target.Transaction;
            Assert.AreEqual(expected, actual);
            Assert.Inconclusive("Verificare la correttezza del metodo di test.");
        }

        /// <summary>
        ///Test per Connection
        ///</summary>
        // TODO: assicurarsi che l'attributo UrlToTest specifichi l'URL di una pagina ASP.NET (ad esempio,
        // http://.../Default.aspx). La specifica è necessaria per l'esecuzione dello unit test sul server Web
        // per il test di una pagina, un servizio Web o WCF.
        [TestMethod()]
        [HostType("ASP.NET")]
        [AspNetDevelopmentServerHost("C:\\sv\\dotNet\\QuickStock", "/")]
        [UrlToTest("http://localhost:2275/")]
        public void ConnectionTest()
        {
            ORDINE_CLIENTETableAdapter target = new ORDINE_CLIENTETableAdapter(); // TODO: Eseguire l'inizializzazione a un valore appropriato
            SqlConnection expected = null; // TODO: Eseguire l'inizializzazione a un valore appropriato
            SqlConnection actual;
            target.Connection = expected;
            actual = target.Connection;
            Assert.AreEqual(expected, actual);
            Assert.Inconclusive("Verificare la correttezza del metodo di test.");
        }

        /// <summary>
        ///Test per CommandCollection
        ///</summary>
        // TODO: assicurarsi che l'attributo UrlToTest specifichi l'URL di una pagina ASP.NET (ad esempio,
        // http://.../Default.aspx). La specifica è necessaria per l'esecuzione dello unit test sul server Web
        // per il test di una pagina, un servizio Web o WCF.
        [TestMethod()]
        [HostType("ASP.NET")]
        [AspNetDevelopmentServerHost("C:\\sv\\dotNet\\QuickStock", "/")]
        [UrlToTest("http://localhost:2275/")]
        [DeploymentItem("QuickStock.dll")]
        public void CommandCollectionTest()
        {
            ORDINE_CLIENTETableAdapter_Accessor target = new ORDINE_CLIENTETableAdapter_Accessor(); // TODO: Eseguire l'inizializzazione a un valore appropriato
            SqlCommand[] actual;
            actual = target.CommandCollection;
            Assert.Inconclusive("Verificare la correttezza del metodo di test.");
        }

        /// <summary>
        ///Test per ClearBeforeFill
        ///</summary>
        // TODO: assicurarsi che l'attributo UrlToTest specifichi l'URL di una pagina ASP.NET (ad esempio,
        // http://.../Default.aspx). La specifica è necessaria per l'esecuzione dello unit test sul server Web
        // per il test di una pagina, un servizio Web o WCF.
        [TestMethod()]
        [HostType("ASP.NET")]
        [AspNetDevelopmentServerHost("C:\\sv\\dotNet\\QuickStock", "/")]
        [UrlToTest("http://localhost:2275/")]
        public void ClearBeforeFillTest()
        {
            ORDINE_CLIENTETableAdapter target = new ORDINE_CLIENTETableAdapter(); // TODO: Eseguire l'inizializzazione a un valore appropriato
            bool expected = false; // TODO: Eseguire l'inizializzazione a un valore appropriato
            bool actual;
            target.ClearBeforeFill = expected;
            actual = target.ClearBeforeFill;
            Assert.AreEqual(expected, actual);
            Assert.Inconclusive("Verificare la correttezza del metodo di test.");
        }

        /// <summary>
        ///Test per Adapter
        ///</summary>
        // TODO: assicurarsi che l'attributo UrlToTest specifichi l'URL di una pagina ASP.NET (ad esempio,
        // http://.../Default.aspx). La specifica è necessaria per l'esecuzione dello unit test sul server Web
        // per il test di una pagina, un servizio Web o WCF.
        [TestMethod()]
        [HostType("ASP.NET")]
        [AspNetDevelopmentServerHost("C:\\sv\\dotNet\\QuickStock", "/")]
        [UrlToTest("http://localhost:2275/")]
        public void AdapterTest()
        {
            ORDINE_CLIENTETableAdapter target = new ORDINE_CLIENTETableAdapter(); // TODO: Eseguire l'inizializzazione a un valore appropriato
            SqlDataAdapter actual;
            actual = target.Adapter;
            Assert.Inconclusive("Verificare la correttezza del metodo di test.");
        }

        /// <summary>
        ///Test per Update
        ///</summary>
        // TODO: assicurarsi che l'attributo UrlToTest specifichi l'URL di una pagina ASP.NET (ad esempio,
        // http://.../Default.aspx). La specifica è necessaria per l'esecuzione dello unit test sul server Web
        // per il test di una pagina, un servizio Web o WCF.
        [TestMethod()]
        [HostType("ASP.NET")]
        [AspNetDevelopmentServerHost("C:\\sv\\dotNet\\QuickStock", "/")]
        [UrlToTest("http://localhost:2275/")]
        public void UpdateTest5()
        {
            ORDINE_CLIENTETableAdapter target = new ORDINE_CLIENTETableAdapter(); // TODO: Eseguire l'inizializzazione a un valore appropriato
            DataRow dataRow = null; // TODO: Eseguire l'inizializzazione a un valore appropriato
            int expected = 0; // TODO: Eseguire l'inizializzazione a un valore appropriato
            int actual;
            actual = target.Update(dataRow);
            Assert.AreEqual(expected, actual);
            Assert.Inconclusive("Verificare la correttezza del metodo di test.");
        }

        /// <summary>
        ///Test per Update
        ///</summary>
        // TODO: assicurarsi che l'attributo UrlToTest specifichi l'URL di una pagina ASP.NET (ad esempio,
        // http://.../Default.aspx). La specifica è necessaria per l'esecuzione dello unit test sul server Web
        // per il test di una pagina, un servizio Web o WCF.
        [TestMethod()]
        [HostType("ASP.NET")]
        [AspNetDevelopmentServerHost("C:\\sv\\dotNet\\QuickStock", "/")]
        [UrlToTest("http://localhost:2275/")]
        public void UpdateTest4()
        {
            ORDINE_CLIENTETableAdapter target = new ORDINE_CLIENTETableAdapter(); // TODO: Eseguire l'inizializzazione a un valore appropriato
            DataRow[] dataRows = null; // TODO: Eseguire l'inizializzazione a un valore appropriato
            int expected = 0; // TODO: Eseguire l'inizializzazione a un valore appropriato
            int actual;
            actual = target.Update(dataRows);
            Assert.AreEqual(expected, actual);
            Assert.Inconclusive("Verificare la correttezza del metodo di test.");
        }

        /// <summary>
        ///Test per Update
        ///</summary>
        // TODO: assicurarsi che l'attributo UrlToTest specifichi l'URL di una pagina ASP.NET (ad esempio,
        // http://.../Default.aspx). La specifica è necessaria per l'esecuzione dello unit test sul server Web
        // per il test di una pagina, un servizio Web o WCF.
        [TestMethod()]
        [HostType("ASP.NET")]
        [AspNetDevelopmentServerHost("C:\\sv\\dotNet\\QuickStock", "/")]
        [UrlToTest("http://localhost:2275/")]
        public void UpdateTest3()
        {
            ORDINE_CLIENTETableAdapter target = new ORDINE_CLIENTETableAdapter(); // TODO: Eseguire l'inizializzazione a un valore appropriato
            DSOrdini.ORDINE_CLIENTEDataTable dataTable = null; // TODO: Eseguire l'inizializzazione a un valore appropriato
            int expected = 0; // TODO: Eseguire l'inizializzazione a un valore appropriato
            int actual;
            actual = target.Update(dataTable);
            Assert.AreEqual(expected, actual);
            Assert.Inconclusive("Verificare la correttezza del metodo di test.");
        }

        /// <summary>
        ///Test per Update
        ///</summary>
        // TODO: assicurarsi che l'attributo UrlToTest specifichi l'URL di una pagina ASP.NET (ad esempio,
        // http://.../Default.aspx). La specifica è necessaria per l'esecuzione dello unit test sul server Web
        // per il test di una pagina, un servizio Web o WCF.
        [TestMethod()]
        [HostType("ASP.NET")]
        [AspNetDevelopmentServerHost("C:\\sv\\dotNet\\QuickStock", "/")]
        [UrlToTest("http://localhost:2275/")]
        public void UpdateTest2()
        {
            ORDINE_CLIENTETableAdapter target = new ORDINE_CLIENTETableAdapter(); // TODO: Eseguire l'inizializzazione a un valore appropriato
            DSOrdini dataSet = null; // TODO: Eseguire l'inizializzazione a un valore appropriato
            int expected = 0; // TODO: Eseguire l'inizializzazione a un valore appropriato
            int actual;
            actual = target.Update(dataSet);
            Assert.AreEqual(expected, actual);
            Assert.Inconclusive("Verificare la correttezza del metodo di test.");
        }

        /// <summary>
        ///Test per Update
        ///</summary>
        // TODO: assicurarsi che l'attributo UrlToTest specifichi l'URL di una pagina ASP.NET (ad esempio,
        // http://.../Default.aspx). La specifica è necessaria per l'esecuzione dello unit test sul server Web
        // per il test di una pagina, un servizio Web o WCF.
        [TestMethod()]
        [HostType("ASP.NET")]
        [AspNetDevelopmentServerHost("C:\\sv\\dotNet\\QuickStock", "/")]
        [UrlToTest("http://localhost:2275/")]
        public void UpdateTest1()
        {
            ORDINE_CLIENTETableAdapter target = new ORDINE_CLIENTETableAdapter(); // TODO: Eseguire l'inizializzazione a un valore appropriato
            string CODICE_ORDINE_CLIENTE = string.Empty; // TODO: Eseguire l'inizializzazione a un valore appropriato
            int ID_CLIENTE_ORDINE_CLIENTE = 0; // TODO: Eseguire l'inizializzazione a un valore appropriato
            DateTime DATA_ORDINE_CLIENTE = new DateTime(); // TODO: Eseguire l'inizializzazione a un valore appropriato
            int ID_STATO_ORDINE = 0; // TODO: Eseguire l'inizializzazione a un valore appropriato
            string NOTE_ORDINE_CLIENTE = string.Empty; // TODO: Eseguire l'inizializzazione a un valore appropriato
            int ID_UTENTE_ULTIMA_MODIFICA = 0; // TODO: Eseguire l'inizializzazione a un valore appropriato
            Nullable<DateTime> DATA_ULTIMA_MODIFICA = new Nullable<DateTime>(); // TODO: Eseguire l'inizializzazione a un valore appropriato
            string Original_CODICE_ORDINE_CLIENTE = string.Empty; // TODO: Eseguire l'inizializzazione a un valore appropriato
            int expected = 0; // TODO: Eseguire l'inizializzazione a un valore appropriato
            int actual;
            actual = target.Update(CODICE_ORDINE_CLIENTE, ID_CLIENTE_ORDINE_CLIENTE, DATA_ORDINE_CLIENTE, ID_STATO_ORDINE, NOTE_ORDINE_CLIENTE, ID_UTENTE_ULTIMA_MODIFICA, DATA_ULTIMA_MODIFICA, Original_CODICE_ORDINE_CLIENTE);
            Assert.AreEqual(expected, actual);
            Assert.Inconclusive("Verificare la correttezza del metodo di test.");
        }

        /// <summary>
        ///Test per Update
        ///</summary>
        // TODO: assicurarsi che l'attributo UrlToTest specifichi l'URL di una pagina ASP.NET (ad esempio,
        // http://.../Default.aspx). La specifica è necessaria per l'esecuzione dello unit test sul server Web
        // per il test di una pagina, un servizio Web o WCF.
        [TestMethod()]
        [HostType("ASP.NET")]
        [AspNetDevelopmentServerHost("C:\\sv\\dotNet\\QuickStock", "/")]
        [UrlToTest("http://localhost:2275/")]
        public void UpdateTest()
        {
            ORDINE_CLIENTETableAdapter target = new ORDINE_CLIENTETableAdapter(); // TODO: Eseguire l'inizializzazione a un valore appropriato
            int ID_CLIENTE_ORDINE_CLIENTE = 0; // TODO: Eseguire l'inizializzazione a un valore appropriato
            DateTime DATA_ORDINE_CLIENTE = new DateTime(); // TODO: Eseguire l'inizializzazione a un valore appropriato
            int ID_STATO_ORDINE = 0; // TODO: Eseguire l'inizializzazione a un valore appropriato
            string NOTE_ORDINE_CLIENTE = string.Empty; // TODO: Eseguire l'inizializzazione a un valore appropriato
            int ID_UTENTE_ULTIMA_MODIFICA = 0; // TODO: Eseguire l'inizializzazione a un valore appropriato
            Nullable<DateTime> DATA_ULTIMA_MODIFICA = new Nullable<DateTime>(); // TODO: Eseguire l'inizializzazione a un valore appropriato
            string Original_CODICE_ORDINE_CLIENTE = string.Empty; // TODO: Eseguire l'inizializzazione a un valore appropriato
            int expected = 0; // TODO: Eseguire l'inizializzazione a un valore appropriato
            int actual;
            actual = target.Update(ID_CLIENTE_ORDINE_CLIENTE, DATA_ORDINE_CLIENTE, ID_STATO_ORDINE, NOTE_ORDINE_CLIENTE, ID_UTENTE_ULTIMA_MODIFICA, DATA_ULTIMA_MODIFICA, Original_CODICE_ORDINE_CLIENTE);
            Assert.AreEqual(expected, actual);
            Assert.Inconclusive("Verificare la correttezza del metodo di test.");
        }

        /// <summary>
        ///Test per Insert
        ///</summary>
        // TODO: assicurarsi che l'attributo UrlToTest specifichi l'URL di una pagina ASP.NET (ad esempio,
        // http://.../Default.aspx). La specifica è necessaria per l'esecuzione dello unit test sul server Web
        // per il test di una pagina, un servizio Web o WCF.
        [TestMethod()]
        [HostType("ASP.NET")]
        [AspNetDevelopmentServerHost("C:\\sv\\dotNet\\QuickStock", "/")]
        [UrlToTest("http://localhost:2275/")]
        public void InsertTest()
        {
            ORDINE_CLIENTETableAdapter target = new ORDINE_CLIENTETableAdapter(); // TODO: Eseguire l'inizializzazione a un valore appropriato
            string CODICE_ORDINE_CLIENTE = string.Empty; // TODO: Eseguire l'inizializzazione a un valore appropriato
            int ID_CLIENTE_ORDINE_CLIENTE = 0; // TODO: Eseguire l'inizializzazione a un valore appropriato
            DateTime DATA_ORDINE_CLIENTE = new DateTime(); // TODO: Eseguire l'inizializzazione a un valore appropriato
            int ID_STATO_ORDINE = 0; // TODO: Eseguire l'inizializzazione a un valore appropriato
            string NOTE_ORDINE_CLIENTE = string.Empty; // TODO: Eseguire l'inizializzazione a un valore appropriato
            int ID_UTENTE_ULTIMA_MODIFICA = 0; // TODO: Eseguire l'inizializzazione a un valore appropriato
            Nullable<DateTime> DATA_ULTIMA_MODIFICA = new Nullable<DateTime>(); // TODO: Eseguire l'inizializzazione a un valore appropriato
            int expected = 0; // TODO: Eseguire l'inizializzazione a un valore appropriato
            int actual;
            actual = target.Insert(CODICE_ORDINE_CLIENTE, ID_CLIENTE_ORDINE_CLIENTE, DATA_ORDINE_CLIENTE, ID_STATO_ORDINE, NOTE_ORDINE_CLIENTE, ID_UTENTE_ULTIMA_MODIFICA, DATA_ULTIMA_MODIFICA);
            Assert.AreEqual(expected, actual);
            Assert.Inconclusive("Verificare la correttezza del metodo di test.");
        }

        /// <summary>
        ///Test per InitConnection
        ///</summary>
        // TODO: assicurarsi che l'attributo UrlToTest specifichi l'URL di una pagina ASP.NET (ad esempio,
        // http://.../Default.aspx). La specifica è necessaria per l'esecuzione dello unit test sul server Web
        // per il test di una pagina, un servizio Web o WCF.
        [TestMethod()]
        [HostType("ASP.NET")]
        [AspNetDevelopmentServerHost("C:\\sv\\dotNet\\QuickStock", "/")]
        [UrlToTest("http://localhost:2275/")]
        [DeploymentItem("QuickStock.dll")]
        public void InitConnectionTest()
        {
            ORDINE_CLIENTETableAdapter_Accessor target = new ORDINE_CLIENTETableAdapter_Accessor(); // TODO: Eseguire l'inizializzazione a un valore appropriato
            target.InitConnection();
            Assert.Inconclusive("Impossibile verificare un metodo che non restituisce valori.");
        }

        /// <summary>
        ///Test per InitCommandCollection
        ///</summary>
        // TODO: assicurarsi che l'attributo UrlToTest specifichi l'URL di una pagina ASP.NET (ad esempio,
        // http://.../Default.aspx). La specifica è necessaria per l'esecuzione dello unit test sul server Web
        // per il test di una pagina, un servizio Web o WCF.
        [TestMethod()]
        [HostType("ASP.NET")]
        [AspNetDevelopmentServerHost("C:\\sv\\dotNet\\QuickStock", "/")]
        [UrlToTest("http://localhost:2275/")]
        [DeploymentItem("QuickStock.dll")]
        public void InitCommandCollectionTest()
        {
            ORDINE_CLIENTETableAdapter_Accessor target = new ORDINE_CLIENTETableAdapter_Accessor(); // TODO: Eseguire l'inizializzazione a un valore appropriato
            target.InitCommandCollection();
            Assert.Inconclusive("Impossibile verificare un metodo che non restituisce valori.");
        }

        /// <summary>
        ///Test per InitAdapter
        ///</summary>
        // TODO: assicurarsi che l'attributo UrlToTest specifichi l'URL di una pagina ASP.NET (ad esempio,
        // http://.../Default.aspx). La specifica è necessaria per l'esecuzione dello unit test sul server Web
        // per il test di una pagina, un servizio Web o WCF.
        [TestMethod()]
        [HostType("ASP.NET")]
        [AspNetDevelopmentServerHost("C:\\sv\\dotNet\\QuickStock", "/")]
        [UrlToTest("http://localhost:2275/")]
        [DeploymentItem("QuickStock.dll")]
        public void InitAdapterTest()
        {
            ORDINE_CLIENTETableAdapter_Accessor target = new ORDINE_CLIENTETableAdapter_Accessor(); // TODO: Eseguire l'inizializzazione a un valore appropriato
            target.InitAdapter();
            Assert.Inconclusive("Impossibile verificare un metodo che non restituisce valori.");
        }

        /// <summary>
        ///Test per GetData
        ///</summary>
        // TODO: assicurarsi che l'attributo UrlToTest specifichi l'URL di una pagina ASP.NET (ad esempio,
        // http://.../Default.aspx). La specifica è necessaria per l'esecuzione dello unit test sul server Web
        // per il test di una pagina, un servizio Web o WCF.
        [TestMethod()]
        [HostType("ASP.NET")]
        [AspNetDevelopmentServerHost("C:\\sv\\dotNet\\QuickStock", "/")]
        [UrlToTest("http://localhost:2275/")]
        public void GetDataTest()
        {
            ORDINE_CLIENTETableAdapter target = new ORDINE_CLIENTETableAdapter(); // TODO: Eseguire l'inizializzazione a un valore appropriato
            DSOrdini.ORDINE_CLIENTEDataTable expected = null; // TODO: Eseguire l'inizializzazione a un valore appropriato
            DSOrdini.ORDINE_CLIENTEDataTable actual;
            actual = target.GetData();
            Assert.AreEqual(expected, actual);
            Assert.Inconclusive("Verificare la correttezza del metodo di test.");
        }

        /// <summary>
        ///Test per Fill
        ///</summary>
        // TODO: assicurarsi che l'attributo UrlToTest specifichi l'URL di una pagina ASP.NET (ad esempio,
        // http://.../Default.aspx). La specifica è necessaria per l'esecuzione dello unit test sul server Web
        // per il test di una pagina, un servizio Web o WCF.
        [TestMethod()]
        [HostType("ASP.NET")]
        [AspNetDevelopmentServerHost("C:\\sv\\dotNet\\QuickStock", "/")]
        [UrlToTest("http://localhost:2275/")]
        public void FillTest()
        {
            ORDINE_CLIENTETableAdapter target = new ORDINE_CLIENTETableAdapter(); // TODO: Eseguire l'inizializzazione a un valore appropriato
            DSOrdini.ORDINE_CLIENTEDataTable dataTable = null; // TODO: Eseguire l'inizializzazione a un valore appropriato
            int expected = 0; // TODO: Eseguire l'inizializzazione a un valore appropriato
            int actual;
            actual = target.Fill(dataTable);
            Assert.AreEqual(expected, actual);
            Assert.Inconclusive("Verificare la correttezza del metodo di test.");
        }

        /// <summary>
        ///Test per Delete
        ///</summary>
        // TODO: assicurarsi che l'attributo UrlToTest specifichi l'URL di una pagina ASP.NET (ad esempio,
        // http://.../Default.aspx). La specifica è necessaria per l'esecuzione dello unit test sul server Web
        // per il test di una pagina, un servizio Web o WCF.
        [TestMethod()]
        [HostType("ASP.NET")]
        [AspNetDevelopmentServerHost("C:\\sv\\dotNet\\QuickStock", "/")]
        [UrlToTest("http://localhost:2275/")]
        public void DeleteTest()
        {
            ORDINE_CLIENTETableAdapter target = new ORDINE_CLIENTETableAdapter(); // TODO: Eseguire l'inizializzazione a un valore appropriato
            string Original_CODICE_ORDINE_CLIENTE = string.Empty; // TODO: Eseguire l'inizializzazione a un valore appropriato
            int expected = 0; // TODO: Eseguire l'inizializzazione a un valore appropriato
            int actual;
            actual = target.Delete(Original_CODICE_ORDINE_CLIENTE);
            Assert.AreEqual(expected, actual);
            Assert.Inconclusive("Verificare la correttezza del metodo di test.");
        }

        /// <summary>
        ///Test per Costruttore ORDINE_CLIENTETableAdapter
        ///</summary>
        // TODO: assicurarsi che l'attributo UrlToTest specifichi l'URL di una pagina ASP.NET (ad esempio,
        // http://.../Default.aspx). La specifica è necessaria per l'esecuzione dello unit test sul server Web
        // per il test di una pagina, un servizio Web o WCF.
        [TestMethod()]
        [HostType("ASP.NET")]
        [AspNetDevelopmentServerHost("C:\\sv\\dotNet\\QuickStock", "/")]
        [UrlToTest("http://localhost:2275/")]
        public void ORDINE_CLIENTETableAdapterConstructorTest()
        {
            ORDINE_CLIENTETableAdapter target = new ORDINE_CLIENTETableAdapter();
            Assert.Inconclusive("TODO: Implementare il codice per la verifica della destinazione");
        }
    }
}
