﻿using QuickStock.Model;
using Microsoft.VisualStudio.TestTools.UnitTesting;
using Microsoft.VisualStudio.TestTools.UnitTesting.Web;
using System.Data.Linq.Mapping;
using System.Data;
using System.Data.Linq;

namespace TestProject1
{
    
    
    /// <summary>
    ///Classe di test per QuickStockDataContextTest.
    ///Creata per contenere tutti gli unit test QuickStockDataContextTest
    ///</summary>
    [TestClass()]
    public class QuickStockDataContextTest
    {


        private TestContext testContextInstance;

        /// <summary>
        ///Ottiene o imposta il contesto dei test, che fornisce
        ///funzionalità e informazioni sull'esecuzione dei test corrente.
        ///</summary>
        public TestContext TestContext
        {
            get
            {
                return testContextInstance;
            }
            set
            {
                testContextInstance = value;
            }
        }

        #region Attributi di test aggiuntivi
        // 
        //Durante la scrittura dei test è possibile utilizzare i seguenti attributi aggiuntivi:
        //
        //Utilizzare ClassInitialize per eseguire il codice prima di eseguire il primo test della classe
        //[ClassInitialize()]
        //public static void MyClassInitialize(TestContext testContext)
        //{
        //}
        //
        //Utilizzare ClassCleanup per eseguire il codice dopo l'esecuzione di tutti i test di una classe
        //[ClassCleanup()]
        //public static void MyClassCleanup()
        //{
        //}
        //
        //Utilizzare TestInitialize per eseguire il codice prima di eseguire ciascun test
        //
        //[TestInitialize()]
        //public void MyTestInitialize()
        //{
        //}
        //Utilizzare TestCleanup per eseguire il codice dopo l'esecuzione di ciascun test
        //[TestCleanup()]
        //public void MyTestCleanup()
        //{
        //}
        //
        #endregion


        /// <summary>
        ///Test per UTENTI
        ///</summary>
        // TODO: assicurarsi che l'attributo UrlToTest specifichi l'URL di una pagina ASP.NET (ad esempio,
        // http://.../Default.aspx). La specifica è necessaria per l'esecuzione dello unit test sul server Web
        // per il test di una pagina, un servizio Web o WCF.
        [TestMethod()]
        [HostType("ASP.NET")]
        [AspNetDevelopmentServerHost("C:\\sv\\dotNet\\QuickStock", "/")]
        [UrlToTest("http://localhost:2275/")]
        public void UTENTITest()
        {
            QuickStockDataContext target = new QuickStockDataContext(); // TODO: Eseguire l'inizializzazione a un valore appropriato
            Table<UTENTI> actual;
            actual = target.UTENTI;
            Assert.Inconclusive("Verificare la correttezza del metodo di test.");
        }

        /// <summary>
        ///Test per UNITA_MISURA
        ///</summary>
        // TODO: assicurarsi che l'attributo UrlToTest specifichi l'URL di una pagina ASP.NET (ad esempio,
        // http://.../Default.aspx). La specifica è necessaria per l'esecuzione dello unit test sul server Web
        // per il test di una pagina, un servizio Web o WCF.
        [TestMethod()]
        [HostType("ASP.NET")]
        [AspNetDevelopmentServerHost("C:\\sv\\dotNet\\QuickStock", "/")]
        [UrlToTest("http://localhost:2275/")]
        public void UNITA_MISURATest()
        {
            QuickStockDataContext target = new QuickStockDataContext(); // TODO: Eseguire l'inizializzazione a un valore appropriato
            Table<UNITA_MISURA> actual;
            actual = target.UNITA_MISURA;
            Assert.Inconclusive("Verificare la correttezza del metodo di test.");
        }

        /// <summary>
        ///Test per TIPO_ARTICOLO
        ///</summary>
        // TODO: assicurarsi che l'attributo UrlToTest specifichi l'URL di una pagina ASP.NET (ad esempio,
        // http://.../Default.aspx). La specifica è necessaria per l'esecuzione dello unit test sul server Web
        // per il test di una pagina, un servizio Web o WCF.
        [TestMethod()]
        [HostType("ASP.NET")]
        [AspNetDevelopmentServerHost("C:\\sv\\dotNet\\QuickStock", "/")]
        [UrlToTest("http://localhost:2275/")]
        public void TIPO_ARTICOLOTest()
        {
            QuickStockDataContext target = new QuickStockDataContext(); // TODO: Eseguire l'inizializzazione a un valore appropriato
            Table<TIPO_ARTICOLO> actual;
            actual = target.TIPO_ARTICOLO;
            Assert.Inconclusive("Verificare la correttezza del metodo di test.");
        }

        /// <summary>
        ///Test per STATO_ORDINE
        ///</summary>
        // TODO: assicurarsi che l'attributo UrlToTest specifichi l'URL di una pagina ASP.NET (ad esempio,
        // http://.../Default.aspx). La specifica è necessaria per l'esecuzione dello unit test sul server Web
        // per il test di una pagina, un servizio Web o WCF.
        [TestMethod()]
        [HostType("ASP.NET")]
        [AspNetDevelopmentServerHost("C:\\sv\\dotNet\\QuickStock", "/")]
        [UrlToTest("http://localhost:2275/")]
        public void STATO_ORDINETest()
        {
            QuickStockDataContext target = new QuickStockDataContext(); // TODO: Eseguire l'inizializzazione a un valore appropriato
            Table<STATO_ORDINE> actual;
            actual = target.STATO_ORDINE;
            Assert.Inconclusive("Verificare la correttezza del metodo di test.");
        }

        /// <summary>
        ///Test per STATO_ARTICOLO_ORDINE
        ///</summary>
        // TODO: assicurarsi che l'attributo UrlToTest specifichi l'URL di una pagina ASP.NET (ad esempio,
        // http://.../Default.aspx). La specifica è necessaria per l'esecuzione dello unit test sul server Web
        // per il test di una pagina, un servizio Web o WCF.
        [TestMethod()]
        [HostType("ASP.NET")]
        [AspNetDevelopmentServerHost("C:\\sv\\dotNet\\QuickStock", "/")]
        [UrlToTest("http://localhost:2275/")]
        public void STATO_ARTICOLO_ORDINETest()
        {
            QuickStockDataContext target = new QuickStockDataContext(); // TODO: Eseguire l'inizializzazione a un valore appropriato
            Table<STATO_ARTICOLO_ORDINE> actual;
            actual = target.STATO_ARTICOLO_ORDINE;
            Assert.Inconclusive("Verificare la correttezza del metodo di test.");
        }

        /// <summary>
        ///Test per PRODUTTORE
        ///</summary>
        // TODO: assicurarsi che l'attributo UrlToTest specifichi l'URL di una pagina ASP.NET (ad esempio,
        // http://.../Default.aspx). La specifica è necessaria per l'esecuzione dello unit test sul server Web
        // per il test di una pagina, un servizio Web o WCF.
        [TestMethod()]
        [HostType("ASP.NET")]
        [AspNetDevelopmentServerHost("C:\\sv\\dotNet\\QuickStock", "/")]
        [UrlToTest("http://localhost:2275/")]
        public void PRODUTTORETest()
        {
            QuickStockDataContext target = new QuickStockDataContext(); // TODO: Eseguire l'inizializzazione a un valore appropriato
            Table<PRODUTTORE> actual;
            actual = target.PRODUTTORE;
            Assert.Inconclusive("Verificare la correttezza del metodo di test.");
        }

        /// <summary>
        ///Test per ORDINE_FORNITORE
        ///</summary>
        // TODO: assicurarsi che l'attributo UrlToTest specifichi l'URL di una pagina ASP.NET (ad esempio,
        // http://.../Default.aspx). La specifica è necessaria per l'esecuzione dello unit test sul server Web
        // per il test di una pagina, un servizio Web o WCF.
        [TestMethod()]
        [HostType("ASP.NET")]
        [AspNetDevelopmentServerHost("C:\\sv\\dotNet\\QuickStock", "/")]
        [UrlToTest("http://localhost:2275/")]
        public void ORDINE_FORNITORETest()
        {
            QuickStockDataContext target = new QuickStockDataContext(); // TODO: Eseguire l'inizializzazione a un valore appropriato
            Table<ORDINE_FORNITORE> actual;
            actual = target.ORDINE_FORNITORE;
            Assert.Inconclusive("Verificare la correttezza del metodo di test.");
        }

        /// <summary>
        ///Test per ORDINE_CLIENTE
        ///</summary>
        // TODO: assicurarsi che l'attributo UrlToTest specifichi l'URL di una pagina ASP.NET (ad esempio,
        // http://.../Default.aspx). La specifica è necessaria per l'esecuzione dello unit test sul server Web
        // per il test di una pagina, un servizio Web o WCF.
        [TestMethod()]
        [HostType("ASP.NET")]
        [AspNetDevelopmentServerHost("C:\\sv\\dotNet\\QuickStock", "/")]
        [UrlToTest("http://localhost:2275/")]
        public void ORDINE_CLIENTETest()
        {
            QuickStockDataContext target = new QuickStockDataContext(); // TODO: Eseguire l'inizializzazione a un valore appropriato
            Table<ORDINE_CLIENTE> actual;
            actual = target.ORDINE_CLIENTE;
            Assert.Inconclusive("Verificare la correttezza del metodo di test.");
        }

        /// <summary>
        ///Test per FORNITORE
        ///</summary>
        // TODO: assicurarsi che l'attributo UrlToTest specifichi l'URL di una pagina ASP.NET (ad esempio,
        // http://.../Default.aspx). La specifica è necessaria per l'esecuzione dello unit test sul server Web
        // per il test di una pagina, un servizio Web o WCF.
        [TestMethod()]
        [HostType("ASP.NET")]
        [AspNetDevelopmentServerHost("C:\\sv\\dotNet\\QuickStock", "/")]
        [UrlToTest("http://localhost:2275/")]
        public void FORNITORETest()
        {
            QuickStockDataContext target = new QuickStockDataContext(); // TODO: Eseguire l'inizializzazione a un valore appropriato
            Table<FORNITORE> actual;
            actual = target.FORNITORE;
            Assert.Inconclusive("Verificare la correttezza del metodo di test.");
        }

        /// <summary>
        ///Test per DDT_CARICO
        ///</summary>
        // TODO: assicurarsi che l'attributo UrlToTest specifichi l'URL di una pagina ASP.NET (ad esempio,
        // http://.../Default.aspx). La specifica è necessaria per l'esecuzione dello unit test sul server Web
        // per il test di una pagina, un servizio Web o WCF.
        [TestMethod()]
        [HostType("ASP.NET")]
        [AspNetDevelopmentServerHost("C:\\sv\\dotNet\\QuickStock", "/")]
        [UrlToTest("http://localhost:2275/")]
        public void DDT_CARICOTest()
        {
            QuickStockDataContext target = new QuickStockDataContext(); // TODO: Eseguire l'inizializzazione a un valore appropriato
            Table<DDT_CARICO> actual;
            actual = target.DDT_CARICO;
            Assert.Inconclusive("Verificare la correttezza del metodo di test.");
        }

        /// <summary>
        ///Test per CLIENTE
        ///</summary>
        // TODO: assicurarsi che l'attributo UrlToTest specifichi l'URL di una pagina ASP.NET (ad esempio,
        // http://.../Default.aspx). La specifica è necessaria per l'esecuzione dello unit test sul server Web
        // per il test di una pagina, un servizio Web o WCF.
        [TestMethod()]
        [HostType("ASP.NET")]
        [AspNetDevelopmentServerHost("C:\\sv\\dotNet\\QuickStock", "/")]
        [UrlToTest("http://localhost:2275/")]
        public void CLIENTETest()
        {
            QuickStockDataContext target = new QuickStockDataContext(); // TODO: Eseguire l'inizializzazione a un valore appropriato
            Table<CLIENTE> actual;
            actual = target.CLIENTE;
            Assert.Inconclusive("Verificare la correttezza del metodo di test.");
        }

        /// <summary>
        ///Test per CLASSE_ARTICOLO
        ///</summary>
        // TODO: assicurarsi che l'attributo UrlToTest specifichi l'URL di una pagina ASP.NET (ad esempio,
        // http://.../Default.aspx). La specifica è necessaria per l'esecuzione dello unit test sul server Web
        // per il test di una pagina, un servizio Web o WCF.
        [TestMethod()]
        [HostType("ASP.NET")]
        [AspNetDevelopmentServerHost("C:\\sv\\dotNet\\QuickStock", "/")]
        [UrlToTest("http://localhost:2275/")]
        public void CLASSE_ARTICOLOTest()
        {
            QuickStockDataContext target = new QuickStockDataContext(); // TODO: Eseguire l'inizializzazione a un valore appropriato
            Table<CLASSE_ARTICOLO> actual;
            actual = target.CLASSE_ARTICOLO;
            Assert.Inconclusive("Verificare la correttezza del metodo di test.");
        }

        /// <summary>
        ///Test per CATEGORIA_ARTICOLO
        ///</summary>
        // TODO: assicurarsi che l'attributo UrlToTest specifichi l'URL di una pagina ASP.NET (ad esempio,
        // http://.../Default.aspx). La specifica è necessaria per l'esecuzione dello unit test sul server Web
        // per il test di una pagina, un servizio Web o WCF.
        [TestMethod()]
        [HostType("ASP.NET")]
        [AspNetDevelopmentServerHost("C:\\sv\\dotNet\\QuickStock", "/")]
        [UrlToTest("http://localhost:2275/")]
        public void CATEGORIA_ARTICOLOTest()
        {
            QuickStockDataContext target = new QuickStockDataContext(); // TODO: Eseguire l'inizializzazione a un valore appropriato
            Table<CATEGORIA_ARTICOLO> actual;
            actual = target.CATEGORIA_ARTICOLO;
            Assert.Inconclusive("Verificare la correttezza del metodo di test.");
        }

        /// <summary>
        ///Test per ARTICOLO
        ///</summary>
        // TODO: assicurarsi che l'attributo UrlToTest specifichi l'URL di una pagina ASP.NET (ad esempio,
        // http://.../Default.aspx). La specifica è necessaria per l'esecuzione dello unit test sul server Web
        // per il test di una pagina, un servizio Web o WCF.
        [TestMethod()]
        [HostType("ASP.NET")]
        [AspNetDevelopmentServerHost("C:\\sv\\dotNet\\QuickStock", "/")]
        [UrlToTest("http://localhost:2275/")]
        public void ARTICOLOTest()
        {
            QuickStockDataContext target = new QuickStockDataContext(); // TODO: Eseguire l'inizializzazione a un valore appropriato
            Table<ARTICOLO> actual;
            actual = target.ARTICOLO;
            Assert.Inconclusive("Verificare la correttezza del metodo di test.");
        }

        /// <summary>
        ///Test per ARTICOLI_ORDINE_FORNITORE
        ///</summary>
        // TODO: assicurarsi che l'attributo UrlToTest specifichi l'URL di una pagina ASP.NET (ad esempio,
        // http://.../Default.aspx). La specifica è necessaria per l'esecuzione dello unit test sul server Web
        // per il test di una pagina, un servizio Web o WCF.
        [TestMethod()]
        [HostType("ASP.NET")]
        [AspNetDevelopmentServerHost("C:\\sv\\dotNet\\QuickStock", "/")]
        [UrlToTest("http://localhost:2275/")]
        public void ARTICOLI_ORDINE_FORNITORETest()
        {
            QuickStockDataContext target = new QuickStockDataContext(); // TODO: Eseguire l'inizializzazione a un valore appropriato
            Table<ARTICOLI_ORDINE_FORNITORE> actual;
            actual = target.ARTICOLI_ORDINE_FORNITORE;
            Assert.Inconclusive("Verificare la correttezza del metodo di test.");
        }

        /// <summary>
        ///Test per ARTICOLI_ORDINE_CLIENTE
        ///</summary>
        // TODO: assicurarsi che l'attributo UrlToTest specifichi l'URL di una pagina ASP.NET (ad esempio,
        // http://.../Default.aspx). La specifica è necessaria per l'esecuzione dello unit test sul server Web
        // per il test di una pagina, un servizio Web o WCF.
        [TestMethod()]
        [HostType("ASP.NET")]
        [AspNetDevelopmentServerHost("C:\\sv\\dotNet\\QuickStock", "/")]
        [UrlToTest("http://localhost:2275/")]
        public void ARTICOLI_ORDINE_CLIENTETest()
        {
            QuickStockDataContext target = new QuickStockDataContext(); // TODO: Eseguire l'inizializzazione a un valore appropriato
            Table<ARTICOLI_ORDINE_CLIENTE> actual;
            actual = target.ARTICOLI_ORDINE_CLIENTE;
            Assert.Inconclusive("Verificare la correttezza del metodo di test.");
        }

        /// <summary>
        ///Test per ARTICOLI_DDT_CARICO
        ///</summary>
        // TODO: assicurarsi che l'attributo UrlToTest specifichi l'URL di una pagina ASP.NET (ad esempio,
        // http://.../Default.aspx). La specifica è necessaria per l'esecuzione dello unit test sul server Web
        // per il test di una pagina, un servizio Web o WCF.
        [TestMethod()]
        [HostType("ASP.NET")]
        [AspNetDevelopmentServerHost("C:\\sv\\dotNet\\QuickStock", "/")]
        [UrlToTest("http://localhost:2275/")]
        public void ARTICOLI_DDT_CARICOTest()
        {
            QuickStockDataContext target = new QuickStockDataContext(); // TODO: Eseguire l'inizializzazione a un valore appropriato
            Table<ARTICOLI_DDT_CARICO> actual;
            actual = target.ARTICOLI_DDT_CARICO;
            Assert.Inconclusive("Verificare la correttezza del metodo di test.");
        }

        /// <summary>
        ///Test per ALIQUOTA_IVA
        ///</summary>
        // TODO: assicurarsi che l'attributo UrlToTest specifichi l'URL di una pagina ASP.NET (ad esempio,
        // http://.../Default.aspx). La specifica è necessaria per l'esecuzione dello unit test sul server Web
        // per il test di una pagina, un servizio Web o WCF.
        [TestMethod()]
        [HostType("ASP.NET")]
        [AspNetDevelopmentServerHost("C:\\sv\\dotNet\\QuickStock", "/")]
        [UrlToTest("http://localhost:2275/")]
        public void ALIQUOTA_IVATest()
        {
            QuickStockDataContext target = new QuickStockDataContext(); // TODO: Eseguire l'inizializzazione a un valore appropriato
            Table<ALIQUOTA_IVA> actual;
            actual = target.ALIQUOTA_IVA;
            Assert.Inconclusive("Verificare la correttezza del metodo di test.");
        }

        /// <summary>
        ///Test per Costruttore QuickStockDataContext
        ///</summary>
        // TODO: assicurarsi che l'attributo UrlToTest specifichi l'URL di una pagina ASP.NET (ad esempio,
        // http://.../Default.aspx). La specifica è necessaria per l'esecuzione dello unit test sul server Web
        // per il test di una pagina, un servizio Web o WCF.
        [TestMethod()]
        [HostType("ASP.NET")]
        [AspNetDevelopmentServerHost("C:\\sv\\dotNet\\QuickStock", "/")]
        [UrlToTest("http://localhost:2275/")]
        public void QuickStockDataContextConstructorTest4()
        {
            string connection = string.Empty; // TODO: Eseguire l'inizializzazione a un valore appropriato
            QuickStockDataContext target = new QuickStockDataContext(connection);
            Assert.Inconclusive("TODO: Implementare il codice per la verifica della destinazione");
        }

        /// <summary>
        ///Test per Costruttore QuickStockDataContext
        ///</summary>
        // TODO: assicurarsi che l'attributo UrlToTest specifichi l'URL di una pagina ASP.NET (ad esempio,
        // http://.../Default.aspx). La specifica è necessaria per l'esecuzione dello unit test sul server Web
        // per il test di una pagina, un servizio Web o WCF.
        [TestMethod()]
        [HostType("ASP.NET")]
        [AspNetDevelopmentServerHost("C:\\sv\\dotNet\\QuickStock", "/")]
        [UrlToTest("http://localhost:2275/")]
        public void QuickStockDataContextConstructorTest3()
        {
            QuickStockDataContext target = new QuickStockDataContext();
            Assert.Inconclusive("TODO: Implementare il codice per la verifica della destinazione");
        }

        /// <summary>
        ///Test per Costruttore QuickStockDataContext
        ///</summary>
        // TODO: assicurarsi che l'attributo UrlToTest specifichi l'URL di una pagina ASP.NET (ad esempio,
        // http://.../Default.aspx). La specifica è necessaria per l'esecuzione dello unit test sul server Web
        // per il test di una pagina, un servizio Web o WCF.
        [TestMethod()]
        [HostType("ASP.NET")]
        [AspNetDevelopmentServerHost("C:\\sv\\dotNet\\QuickStock", "/")]
        [UrlToTest("http://localhost:2275/")]
        public void QuickStockDataContextConstructorTest2()
        {
            IDbConnection connection = null; // TODO: Eseguire l'inizializzazione a un valore appropriato
            QuickStockDataContext target = new QuickStockDataContext(connection);
            Assert.Inconclusive("TODO: Implementare il codice per la verifica della destinazione");
        }

        /// <summary>
        ///Test per Costruttore QuickStockDataContext
        ///</summary>
        // TODO: assicurarsi che l'attributo UrlToTest specifichi l'URL di una pagina ASP.NET (ad esempio,
        // http://.../Default.aspx). La specifica è necessaria per l'esecuzione dello unit test sul server Web
        // per il test di una pagina, un servizio Web o WCF.
        [TestMethod()]
        [HostType("ASP.NET")]
        [AspNetDevelopmentServerHost("C:\\sv\\dotNet\\QuickStock", "/")]
        [UrlToTest("http://localhost:2275/")]
        public void QuickStockDataContextConstructorTest1()
        {
            IDbConnection connection = null; // TODO: Eseguire l'inizializzazione a un valore appropriato
            MappingSource mappingSource = null; // TODO: Eseguire l'inizializzazione a un valore appropriato
            QuickStockDataContext target = new QuickStockDataContext(connection, mappingSource);
            Assert.Inconclusive("TODO: Implementare il codice per la verifica della destinazione");
        }

        /// <summary>
        ///Test per Costruttore QuickStockDataContext
        ///</summary>
        // TODO: assicurarsi che l'attributo UrlToTest specifichi l'URL di una pagina ASP.NET (ad esempio,
        // http://.../Default.aspx). La specifica è necessaria per l'esecuzione dello unit test sul server Web
        // per il test di una pagina, un servizio Web o WCF.
        [TestMethod()]
        [HostType("ASP.NET")]
        [AspNetDevelopmentServerHost("C:\\sv\\dotNet\\QuickStock", "/")]
        [UrlToTest("http://localhost:2275/")]
        public void QuickStockDataContextConstructorTest()
        {
            string connection = string.Empty; // TODO: Eseguire l'inizializzazione a un valore appropriato
            MappingSource mappingSource = null; // TODO: Eseguire l'inizializzazione a un valore appropriato
            QuickStockDataContext target = new QuickStockDataContext(connection, mappingSource);
            Assert.Inconclusive("TODO: Implementare il codice per la verifica della destinazione");
        }
    }
}
